var import_success_message = messages.import_success_message;
var error_message = messages.error_message;
var no_import_message = messages.import_error_message;
var no_import_condition_message = messages.no_import_condition_message;
var no_file_message = messages.no_file_message;

jQuery(document).ready(function () {
	
    jQuery(document).on('click', '#gfei_submit', function (e) {
        e.preventDefault();

        var button = jQuery(this);
        button.attr('disabled', 'disabled');

        if (document.getElementById("gfei_csv").files.length === 0) {
            bootbox.alert({
                title: error_message,
                message: no_file_message
            });
        } else {
            var file_data = jQuery('#gfei_csv').prop('files')[0];
            var form_data = new FormData();
            form_data.append('action', 'gfei_upload_csv');
            form_data.append('file', file_data);

            jQuery.ajax({
                url: ajaxurl,
                type: "POST",
                data: form_data,
                processData: false,
                contentType: false,
                success: function (response, textStatus, jqXHR) {
                    var obj = JSON.parse(response);


                    if (obj.status) {
                        jQuery('#section_one').hide();
                        jQuery('#section_two').show();
                        jQuery('.loader_container').show();

                        var data = {
                            'action': 'gfei_get_form_fields',
                            'form': jQuery('#gfei_form').val(),
                            'url': obj.url,
                            'log': obj.log_id
                        };
                        jQuery.post(ajaxurl, data, function (response) {
                            var obj = JSON.parse(response);
                            if (obj.status) {
                                jQuery('.fields_mapping_container').html(obj.html);
                            }

                            jQuery('.loader_container').hide();
                        });
                    } else {
                        bootbox.alert({
                            title: error_message,
                            message: obj.message
                        });

                        jQuery("#gfei_csv").val(null);
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    //if fails     
                }
            });
        }

        button.attr('disabled', false);
    });
    jQuery(document).on('click', '#conditional_import', function (e) {
        if (jQuery(this).is(':checked') === true) {
            jQuery('#condition_import').show();
            jQuery('.add_condition').show();
            jQuery('#condition_mode').show();
        } else {
            jQuery('#condition_row').html('');
            jQuery('#condition_row').empty('');
            jQuery('#condition_import').hide();
            jQuery('.add_condition').hide();
            jQuery('#condition_mode').hide();

        }
    });
	jQuery(document).on('click', '#update_entry', function (e) {
        if (jQuery(this).is(':checked') === true) {
				jQuery('#unique_key').show();

		}else {
			jQuery('#unique_key').hide();

        }
    });
    jQuery(document).on('click', '.add', function (e) {
        e.preventDefault();
        jQuery("#condition_import").clone()
                .removeAttr("id")
                .find("input:text").val("").end()
                .append(jQuery('<a class="delete">Remove</a>'))
                .appendTo("#condition_row");

    });

    jQuery("body").on('click', ".delete", function () {
        jQuery(this).closest(".condition_import").remove();
    });

    jQuery(document).on('click', '#gfei_import', function (e) {
        e.preventDefault();

        var button = jQuery(this);
        button.attr('disabled', 'disabled');
        jQuery('#section_two').hide();
        jQuery('#section_three').show();

        importCSVFileAjax(1);
    });



    jQuery(document).on('click', '#enable_save', function () {
        if (jQuery(this).prop('checked') == true) {
            jQuery('.save_template').show();
        } else {
            jQuery('.save_template').hide();
        }
    });

    jQuery(document).on('click', '#gfei_save', function (e) {
        e.preventDefault();
        saveTemplateAjax();
    });

    jQuery(document).on('click', 'a#gfie_remove_template', function(e) {
        e.preventDefault();
        var val = jQuery("select[name='gfei_template_name']").val();
        if(val == '')
            alert('Please Select a Template First!');
        else
            gfei_remove_template(val);
    });

    jQuery(document).on('click', '#gfei_load_template', function (e) {
        e.preventDefault();
        var data = {
            'action': 'gfei_load_template',
            'template_key': jQuery('select[name="gfei_template_name"]').val()
        };
        jQuery.post(ajaxurl, data, function (response) {
            var obj = JSON.parse(response);
            var options = obj.options;
            console.log(options);
            jQuery('#condition_import').hide();
            jQuery('#condition_mode').hide();
            jQuery('#condition_row').html('');
            if (options.mapping) {
                jQuery.each(options.mapping, function (key, value) {
                    jQuery('select[name="mapping[' + key + ']"]').val(value);
                });
            }

//            jQuery('.gfei_csv_file').val(options.url);
            jQuery('.gfei_import_log').val(options.log);
            if (options.update == "1") {
                jQuery('#update_entry').attr('checked', true);
            } else {
                jQuery('#update_entry').attr('checked', false);
            }
            if (options.email_notifications == "1") {
                jQuery('#email_notifications').attr('checked', true);
            } else {
                jQuery('#email_notifications').attr('checked', false);
            }
            if (options.ignore_required == "1") {
                jQuery('#ignore_required').attr('checked', true);
            } else {
                jQuery('#ignore_required').attr('checked', false);
            }

            if (options.unique_key) {
                jQuery('#unique_key').val(options.unique_key);
            }
            if (options.conditional_import == "1") {
                jQuery('#conditional_import').attr('checked', true);
                var jQuerycloned;
                jQuery.each(options.conditional_value, function (key, value) {
                    jQuerycloned = jQuery("#condition_import").clone()
                            .removeAttr("id")
                            .addClass("showthis")
                            .append(jQuery('<a class="delete">Remove</a>'));
                    jQuery("body").on('click', ".delete", function () {
                        jQuery(this).closest(".condition_import").remove();
                    });
                    jQuerycloned.find('input:text').each(function (index, item) {
                        jQuery(item).val(value);
                    });
                    jQuerycloned.find('select').each(function (e, i) {
                        if (jQuery(this).attr("name") == "condition_field[]") {
                            jQuery(i).val(options.conditional_field[key]);
                        }
                        if (jQuery(this).attr("name") == "condition_option[]") {
                            jQuery(i).val(options.conditional_match[key]);
                        }
                    });
                    jQuerycloned.appendTo("#condition_row");
                    jQuery(".showthis").show();
                });
            } else {
                jQuery('#conditional_import').attr('checked', false);
            }

        });
    });
}
);

function saveTemplateAjax() {
    var mapping = {};
    var empty = false;

    jQuery('select[name*="mapping"]').each(function () {
        if (jQuery(this).val() == '') {
            empty = true;
        }
        if (jQuery(this).data('key')) {
            mapping[jQuery(this).data('index') + '##' + jQuery(this).data('key')] = jQuery(this).val();
        } else {
            mapping[jQuery(this).data('index')] = jQuery(this).val();
        }

    });

    var field = [];
    var option = [];
    var value = [];

    jQuery('select[name*="condition_field"]').each(function () {
        field.push(jQuery(this).val());
    });
    jQuery('select[name*="condition_option"]').each(function () {
        option.push(jQuery(this).val());
    });
    jQuery('input[name*="condition_value"]').each(function () {
        value.push(jQuery(this).val());
    });

    var update = 0;
    if (jQuery('#update_entry').is(":checked")) {
        update = 1;
    }

    var conditional = 0;
    if (jQuery('#conditional_import').is(":checked")) {
        conditional = 1;
    }

    var ignore_required = 0;
    if (jQuery('#ignore_required').is(":checked")) {
        ignore_required = 1;
    }
    var email_notifications = 0;
    if (jQuery('#email_notifications').is(":checked")) {
        email_notifications = 1;
    }

    var data = {
        'action': 'gfei_save_template',
        'form': jQuery('#gfei_form').val(),
        'mapping': mapping,
        'url': jQuery('input[name="csv_file"]').val(),
        'log': jQuery('input[name="import_log"]').val(),
        'unique_key': jQuery('#unique_key').val(),
        'update': update,
        'conditional_import': conditional,
        'conditional_field': field,
        'conditional_match': option,
        'conditional_value': value,
        'template_name': jQuery('input[name="template_name"]').val(),
        'empty': empty,
        'condition': jQuery('select[name="condition_mode"]').val(),
        'ignore_required': ignore_required,
        'email_notifications': email_notifications
    };

    jQuery.post(ajaxurl, data, function (response) {
        var obj = JSON.parse(response);
        if (obj.empty) {
            jQuery('.error-message').html('<li class="gfei-error" style="text-align:center">' + obj.message + '</li>');
            jQuery('#gfei_import').removeAttr('disabled');
            jQuery('#section_two').show();
            jQuery('#section_three').hide();
        }
        if (obj.saved) {
            jQuery('#enable_save').prop('checked', false); // Unchecks it
            jQuery('input[name=template_name]').val("");
            jQuery('.save_template').hide();
            jQuery('.error-message').html('');
            jQuery('.save-template-message').html('<li class="gfei-add">Template has been saved successfully for later use</li>');
            jQuery('#gfei_import').removeAttr('disabled');
//            jQuery('#gfei_save').attr('disabled', 'disabled');
            jQuery('#section_two').show();
            jQuery('#section_three').hide();
        }
    });

}

function gfei_remove_template(data) {
    var data = {
            'action': 'gfei_remove_template',
            'template_key': data
        };
    jQuery.post(ajaxurl, data, function(response) {
        if(response.message == 'success'){
            jQuery("select[name='gfei_template_name'] option[value='" + response.key + "']").remove();
            jQuery(".error-message").css('color', 'green');
            jQuery(".error-message").html('Template Removed');
            setTimeout(function () { jQuery(".error-message").fadeOut(); }, 3000);

        }
    });
}

function importCSVFileAjax(offset, count_success, count_error, record) {
    var mapping = {};
    var empty = false;

    if (count_success == null) {
        var count_success = 0;
    }
    if (count_error == null) {
        var count_error = 0;
    }
    if (record == null) {
        var record = [];
    }

    jQuery('select[name*="mapping"]').each(function () {
        if (jQuery(this).val() == '') {
            empty = true;
        }
        if (jQuery(this).data('key')) {
            mapping[jQuery(this).data('index') + '##' + jQuery(this).data('key')] = jQuery(this).val();
        } else {
            mapping[jQuery(this).data('index')] = jQuery(this).val();
        }
    });
    var field = [];
    var option = [];
    var value = [];

    jQuery('select[name*="condition_field"]').each(function () {
        field.push(jQuery(this).val());
    });
    jQuery('select[name*="condition_option"]').each(function () {
        option.push(jQuery(this).val());
    });
    jQuery('input[name*="condition_value"]').each(function () {
        value.push(jQuery(this).val());
    });

    var update = 0;
    if (jQuery('#update_entry').is(":checked")) {
        update = 1;
    }

    var conditional = 0;
    if (jQuery('#conditional_import').is(":checked")) {
        conditional = 1;
    }

    var ignore_required = 0;
    if (jQuery('#ignore_required').is(":checked")) {
        ignore_required = 1;
    }
    var email_notifications = 0;
    if (jQuery('#email_notifications').is(":checked")) {
        email_notifications = 1;
    }

    var data = {
        'action': 'gfei_import_csv',
        'form': jQuery('#gfei_form').val(),
        'mapping': mapping,
        'url': jQuery('input[name="csv_file"]').val(),
        'log': jQuery('input[name="import_log"]').val(),
        // 'unique_key': jQuery('#unique_key').val(),
        // 'unique_key': jQuery("#unique_key option[value='Entry Id']").val(),
        'unique_key': jQuery('#unique_key').find(":selected").val(),
        'update': update,
        'offset': offset,
        'conditional_import': conditional,
        'conditional_field': field,
        'conditional_match': option,
        'conditional_value': value,
        'empty': empty,
        'condition': jQuery('select[name="condition_mode"]').val(),
        'ignore_required': ignore_required,
        'email_notifications': email_notifications,
        'count_success': parseInt(count_success),
        'count_error': parseInt(count_error),
        'record': record
    };

    jQuery.post(ajaxurl, data, function (response) {
        var obj = JSON.parse(response);
        console.log(obj.record);
        if (obj.message) {
            jQuery('.error-message').html('<li class="gfei-error" style="text-align:center">' + obj.message + '</li>');
            jQuery('#gfei_import').removeAttr('disabled');
            jQuery('#section_two').show();
            jQuery('#section_three').hide();
        } else {
            jQuery('.gfei_csv_button').hide();
            jQuery('#gfei_log_container').append(obj.log_list);
            if (obj.status) {
                importCSVFileAjax(obj.offset, obj.count_success, obj.count_error, obj.record);
            } else {
                /*bootbox.alert({
                 message: import_success_message,
                 callback: function(){ 
                 location.reload(true);
                 }
                 });*/
                if (obj.import == 'true') {
                    if (obj.count_error !== '0') {
                        if (obj.count_success == '0') {
                            jQuery('#gfei_log_container').append('<li class="gfei-add">We have proceed ' + obj.total + ' records : ' + obj.count_error + ' rejected </li>');
                        } else {
                            jQuery('#gfei_log_container').append('<li class="gfei-add">We have proceed ' + obj.total + ' records : ' + obj.count_success + ' imported and ' + obj.count_error + ' rejected ' + '</li>');
                        }
                    } else {
                        jQuery('#gfei_log_container').append('<li class="gfei-add">We have proceed and imported all ' + obj.count_success + ' records' + '</li>');
                    }

                } else if (obj.import == 'condition') {
                    jQuery('#gfei_log_container').append('<li class="gfei-error">' + no_import_condition_message + '</li>');
                } else if (obj.import == 'false') {
                    if (obj.count_error !== '0') {
                        if (obj.count_success == '0') {
                            jQuery('#gfei_log_container').append('<li class="gfei-add">We have proceed ' + obj.total + ' records : ' + obj.count_error + ' rejected </li>');
                        } else {
                            jQuery('#gfei_log_container').append('<li class="gfei-add">We have proceed ' + obj.total + ' records : ' + obj.count_success + ' imported and ' + obj.count_error + ' rejected ' + '</li>');
                        }
                    } else {
                        jQuery('#gfei_log_container').append('<li class="gfei-add">We have proceed and imported all ' + obj.count_success + ' records' + '</li>');
                    }
                }

                if (obj.log_file) {
                    jQuery('#gfei_download_log_link').attr('href', obj.log_file);
                    jQuery('.gfei_download_log_container').show();
                }
                if (obj.csv_url) {
                    jQuery('#gfei_download_csv_link').attr('href', obj.csv_url);
                    jQuery('.gfei_csv_button').show();
                }
            }
        }
    });
}