<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'restricted access' );
}

/*
 * This is a function that create menu
 */
if ( ! function_exists( 'gf_sc_add_integration_main_menu' ) ) {
    add_action('admin_menu', 'gf_sc_add_integration_main_menu');
    function gf_sc_add_integration_main_menu() {
        
        add_menu_page( esc_html__( 'Gravity Forms - SuiteCRM Integration', 'gf_sc' ), esc_html__( 'GF - SuiteCRM', 'gf_sc' ), 'manage_options', 'gf_sc-integration', 'gf_sc_integration_main_menu_callback', 'dashicons-migrate' );
        add_submenu_page( 'gf_sc-integration', esc_html__( 'GF - SuiteCRM: Integration', 'gf_sc' ), esc_html__( 'Integration', 'gf_sc' ), 'manage_options', 'gf_sc-integration', 'gf_sc_integration_main_menu_callback' );
    }
}

/*
 * This is a function for integration
 */
if ( ! function_exists( 'gf_sc_integration_main_menu_callback' ) ) {
    function gf_sc_integration_main_menu_callback() {
        
        global $wpdb;
        
        $gf_db_version = get_option( 'gf_db_version' );
        ?>
            <div class="wrap">                
                <h1><?php esc_html_e( 'SuiteCRM Integration', 'gf_sc' ); ?></h1>
                <hr>                
                <?php
                $gf_sc_licence = get_site_option( 'gf_sc_licence' );
                if ( $gf_sc_licence ) {
                    if ( isset( $_REQUEST['id'] ) ) {
                        $id = intval( $_REQUEST['id'] );
                        if ( isset( $_REQUEST['submit'] ) ) {                            
                            update_option( 'gf_sc_'.$id, $_REQUEST['gf_sc'] );
                            update_option( 'gf_sc_fields_'.$id, $_REQUEST['gf_sc_fields'] );
                            update_option( 'gf_sc_action_'.$id, $_REQUEST['gf_sc_action'] );
                            ?>
                                <div class="notice notice-success is-dismissible">
                                    <p><?php esc_html_e( 'Integration settings saved.', 'gf_sc' ); ?></p>
                                </div>
                            <?php
                        } else if ( isset( $_REQUEST['filter'] ) ) {
                            update_option( 'gf_sc_module_'.$id, $_REQUEST['gf_sc_module'] );
                        }
                        
                        $gf_sc_module = get_option( 'gf_sc_module_'.$id );
                                                
                        $gf_sc = get_option( 'gf_sc_'.$id );
                        $gf_sc_fields = get_option( 'gf_sc_fields_'.$id );
                        
                        $action = get_option( 'gf_sc_action_'.$id );
                        if ( ! $action ) {
                            $action = 'create';
                        }
                        
                        if ( $gf_db_version && version_compare( $gf_db_version, '2.3', '>=' ) ) {
                            $form_meta = $wpdb->get_row( 'SELECT * FROM '.$wpdb->prefix.'gf_form_meta WHERE form_id='.$id.' LIMIT 1' );
                        } else {
                            $form_meta = $wpdb->get_row( 'SELECT * FROM '.$wpdb->prefix.'rg_form_meta WHERE form_id='.$id.' LIMIT 1' );
                        }
                        
                        $form = json_decode( $form_meta->display_meta );
                        ?>   
                            <p style="font-size: 17px;"><strong><?php esc_html_e( 'Form Name', 'gf_sc' ); ?>:</strong> <?php echo $form->title; ?></p>
                            <hr>
                            <form method="post">
                                <table class="form-table">
                                    <tbody>
                                        <tr>
                                            <th scope="row"><label><?php esc_html_e( 'Module', 'gf_sc' ); ?></label></th>
                                            <td>
                                                <select name="gf_sc_module">
                                                    <option value=""><?php esc_html_e( 'Select a module', 'gf_sc' ); ?></option>
                                                    <?php
                                                        $modules = unserialize( get_option( 'gf_sc_modules' ) );
                                                        foreach ( $modules as $key => $value ) {
                                                            $selected = '';
                                                            if ( $key == $gf_sc_module ) {
                                                                $selected = ' selected="selected"';
                                                            }
                                                            ?>
                                                                <option value="<?php echo $key; ?>"<?php echo $selected; ?>><?php echo $value; ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="row"><?php esc_html_e( 'Filter module fields', 'gf_sc' ); ?></th>
                                            <td><button type="submit" name="filter" class='button-secondary'><?php esc_html_e( 'Filter', 'gf_sc' ); ?></button></td>
                                        </tr>
                                        <tr>
                                            <th scope="row"><label><?php esc_html_e( 'SuiteCRM Integration?', 'gf_sc' ); ?></label></th>
                                            <td>
                                                <input type="hidden" name="gf_sc" value="0" />
                                                <input type="checkbox" name="gf_sc" value="1"<?php echo ( $gf_sc ? ' checked' : '' ); ?> />
                                            </td>
                                        </tr>
                                        <tr>
                                            <th scope="row"><label><?php esc_html_e( 'Action Event', 'gf_sc' ); ?></label></th>
                                            <td>
                                                <fieldset>
                                                    <label><input type="radio" name="gf_sc_action" value="create"<?php echo ( $action == 'create' ? ' checked="checked"' : '' ); ?> /> <?php esc_html_e( 'Create Module Record', 'gf_sc' ); ?></label>&nbsp;&nbsp;
                                                    <label><input type="radio" name="gf_sc_action" value="create_or_update"<?php echo ( $action == 'create_or_update' ? ' checked="checked"' : '' ); ?> /> <?php esc_html_e( 'Create/Update Module Record', 'gf_sc' ); ?></label>
                                                </fieldset>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <?php                                    
                                    $gf_fields = array();
                                    if ( $form->fields != null ) {
                                        foreach ( $form->fields as $field ) {
                                            if ( $field->inputs != '' && ( $field->type == 'name' || $field->type == 'address' ) ) {
                                                foreach ( $field->inputs as $input ) {
                                                    if ( isset( $input->isHidden ) && $input->isHidden ) {
                                                        //
                                                    } else {
                                                        $gf_fields[$input->id] = array(
                                                            'key'   => $input->id,
                                                            'type'  => $field->type,
                                                            'label' => $input->label.' ('.$field->label.')',
                                                        );
                                                    }
                                                }
                                            } else {
                                                $gf_fields[$field->id] = array(
                                                    'key'   => $field->id,
                                                    'type'  => $field->type,
                                                    'label' => $field->label,
                                                );
                                            }
                                        }
                                    }
                                    
                                    if ( $gf_fields != null ) {
                                        ?>
                                            <table class="widefat striped">
                                                <thead>
                                                    <tr>
                                                        <th><?php esc_html_e( 'Gravity Forms Form Field', 'gf_sc' ); ?></th>
                                                        <th><?php esc_html_e( 'SuiteCRM Module Field', 'gf_sc' ); ?></th>
                                                    </tr>
                                                </thead>
                                                <tfoot>
                                                    <tr>
                                                        <th><?php esc_html_e( 'Gravity Forms Form Field', 'gf_sc' ); ?></th>
                                                        <th><?php esc_html_e( 'SuiteCRM Module Field', 'gf_sc' ); ?></th>
                                                    </tr>
                                                </tfoot>
                                                <tbody>
                                                    <?php
                                                        $gf_sc_modules_fields = get_option( 'gf_sc_modules_fields' );
                                                        $gf_sc_module_fields = ( isset( $gf_sc_modules_fields[$gf_sc_module] ) ? $gf_sc_modules_fields[$gf_sc_module] : array() );
                                                        if ( ! is_array( $gf_sc_module_fields ) ) {
                                                            $gf_sc_module_fields = array();
                                                        }

                                                        foreach ( $gf_fields as $gf_sc_field_key => $gf_sc_field_value ) {
                                                            ?>
                                                                <tr>
                                                                    <td><?php echo $gf_sc_field_value['label']; ?></td>
                                                                    <td>
                                                                        <select name="gf_sc_fields[<?php echo $gf_sc_field_key; ?>][key]">
                                                                            <option value=""><?php esc_html_e( 'Select a field', 'gf_sc' ); ?></option>
                                                                            <?php    
                                                                                $type = '';
                                                                                foreach ( $gf_sc_module_fields as $key => $value ) {
                                                                                    $selected = '';
                                                                                    if ( isset( $gf_sc_fields[$gf_sc_field_key]['key'] ) && $gf_sc_fields[$gf_sc_field_key]['key'] == $key ) {
                                                                                        $selected = ' selected="selected"';
                                                                                        $type = $value['type'];
                                                                                    }   
                                                                                    ?>
                                                                                        <option value="<?php echo $key; ?>"<?php echo $selected; ?>>
                                                                                            <?php echo $value['label']; ?> (<?php esc_html_e( 'Data Type:', 'gf_sc' ); ?> <?php echo $value['type']; echo ( $value['required'] ? esc_html__( ' and Field: required', 'gf_sc' ) : '' ); ?>)                                                                                                      
                                                                                        </option>
                                                                                    <?php
                                                                                }
                                                                            ?>                                                                                   
                                                                        </select>
                                                                        <input type="hidden" name="gf_sc_fields[<?php echo $gf_sc_field_key; ?>][type]" value="<?php echo $type; ?>" />
                                                                        <input type="hidden" name="gf_sc_fields[<?php echo $gf_sc_field_key; ?>][field_type]" value="<?php echo $gf_sc_field_value['type']; ?>" />
                                                                    </td>
                                                                </tr>
                                                            <?php
                                                        }
                                                    ?>
                                                </tbody>
                                            </table>
                                        <?php
                                    } else {
                                        ?><p><?php esc_html_e( 'No fields found.', 'gf_sc' ); ?></p><?php
                                    } 
                                ?>
                                <p><input type='submit' class='button-primary' name="submit" value="<?php esc_html_e( 'Save', 'gf_sc' ); ?>" /></p>
                            </form>
                        <?php
                    } else {
                        $sc_url = get_option( 'gf_sc_url' );
                        if ( $sc_url ) {
                            $username = get_option( 'gf_sc_username' );
                            $password = gf_sc_crypt( get_option( 'gf_sc_password' ), 'd', $username );
                            $gf_sc = new SuiteCRM_REST_API( $sc_url, $username, $password );
                            $authentication = $gf_sc->authentication();
                            if ( ! isset( $authentication->error ) && isset( $authentication->id ) ) {
                                $modules = unserialize( get_option( 'gf_sc_modules' ) );                            
                                $gf_sc_modules_fields = array();
                                if ( $modules != null ) {
                                    foreach( $modules as $key => $value ) {
                                        $fields = $gf_sc->getModuleFields( $authentication->id, $key );
                                        asort( $fields );
                                        $gf_sc_modules_fields[$key] = $fields;
                                    }
                                }
                                update_option( 'gf_sc_modules_fields', $gf_sc_modules_fields );
                            }
                        }
                        ?>
                        <table class="widefat striped">
                            <thead>
                                <tr>
                                    <th><?php esc_html_e( 'Form Name', 'gf_sc' ); ?></th>
                                    <th><?php esc_html_e( 'Integration Status', 'gf_sc' ); ?></th>       
                                    <th><?php esc_html_e( 'Action', 'gf_sc' ); ?></th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th><?php esc_html_e( 'Form Name', 'gf_sc' ); ?></th>
                                    <th><?php esc_html_e( 'Integration Status', 'gf_sc' ); ?></th>       
                                    <th><?php esc_html_e( 'Action', 'gf_sc' ); ?></th>
                                </tr>
                            </tfoot>
                            <tbody>
                                <?php                                    
                                    if ( $gf_db_version && version_compare( $gf_db_version, '2.3', '>=' ) ) {
                                        $forms = $wpdb->get_results( 'SELECT * FROM '.$wpdb->prefix.'gf_form WHERE is_trash=0' );
                                    } else {
                                        $forms = $wpdb->get_results( 'SELECT * FROM '.$wpdb->prefix.'rg_form WHERE is_trash=0' );
                                    }
                                    
                                    if ( $forms != null ) {                                
                                        foreach ( $forms as $form ) {
                                            ?>
                                                <tr>
                                                    <td><?php echo $form->title; ?></td>
                                                    <td><?php echo ( get_option( 'gf_sc_'.$form->id ) ? '<span class="dashicons dashicons-yes"></span>' : '<span class="dashicons dashicons-no"></span>' ); ?></td>
                                                    <td><a href="<?php echo menu_page_url( 'gf_sc-integration', 0 ); ?>&id=<?php echo $form->id; ?>"><span class="dashicons dashicons-edit"></span></a></td>
                                                </tr>
                                            <?php
                                        }
                                    } else {
                                        ?>
                                            <tr>
                                                <td colspan="3"><?php esc_html_e( 'No forms found.', 'gf_sc' ); ?></td>
                                            </tr>
                                        <?php
                                    }                        
                                ?>
                            </tbody>
                        </table>
                        <?php                         
                    } 
                } else {
                    ?>
                        <div class="notice notice-error is-dismissible">
                            <p><?php esc_html_e( 'Please verify purchase code.', 'gf_sc' ); ?></p>
                        </div>
                    <?php
                }
                ?>
            </div>
        <?php
    }
}