import QueryFilters from './QueryFilters.svelte';

jQuery( document ).ready( function ( $ ) {
    const initialized = [];

    Object.keys( window ).forEach( obj => {
        if ( !obj.match( /^gkQueryFilters_/ ) ) {
            return;
        }

        const {
            fields,
            conditions,
            targetElementSelector,
            autoscrollElementSelector,
            inputElementName,
            translations,
        } = window[obj];

        if ( !$( targetElementSelector ).length || !fields.length || !inputElementName ) {
            return;
        }

        if (initialized.indexOf(targetElementSelector) !== -1) {
            window[obj] = undefined;

            return;
        }

        initialized.push(targetElementSelector);

        new QueryFilters( {
            target: $( targetElementSelector )[ 0 ],
            props: {
                fields,
                conditions,
                targetElementSelector,
                autoscrollElementSelector,
                inputElementName,
                translations,
            },
        } );
    } );
} );
