<?php
defined( 'ABSPATH' ) || exit;
class Gravity_add_settings_whatsapp{
	function __construct(){
		add_filter( 'gform_form_settings', array($this,'settings'), 10, 2 );
		add_filter( 'gform_pre_form_settings_save', array($this,'save_setting') );
	}

    function settings($settings, $form ) {
    	$settings[ esc_html__( 'WhatsApp Connect', 'gravityforms' ) ]['gf_nav_type'] = '
        <tr>
            <th><label for="gf_whatsapp_number">'.esc_html__("Number WhatsApp","gravityforms-whatsapp").'</label></th>
            <td>
                <input name="gf_whatsapp_number" type="text" value="'.esc_attr(rgar($form, 'gf_whatsapp_number')).'"><br>
                <pre>'.esc_html__("Use: 1XXXXXXXXXX
+001-(XXX)XXXXXXX","gravityforms-whatsapp").'</pre>
            </td>
        </tr>
        <tr>
            <th><label for="gf_nav_type">'.esc_html__("Custom Message","gravityforms-whatsapp").'</label></th>
            <td>
                <textarea class="fieldwidth-3 fieldheight-2" name="gf_whatsapp_message">'.esc_attr(rgar($form, 'gf_whatsapp_message',"Form: {form-name}
Data:
{all}
Thank you")).'</textarea> <br>
<pre>'.esc_html__("
All field: {all}
ID Form: {form-id}
ID Entry: {entry-id}
URL Form: {form-url}
Name Form: {form-name}
name field: phone={Phone:1}&email={Email:2}","gravityforms-whatsapp").
'</pre>
            </td>
        </tr>   
        ';
    	return $settings;
    }
    function save_setting($form) {
        $form['gf_whatsapp_number'] = rgpost( 'gf_whatsapp_number' );
        $form['gf_whatsapp_message'] = rgpost( 'gf_whatsapp_message' );
        return $form;
    }
}
new  Gravity_add_settings_whatsapp();