<?php
if ( ! class_exists( 'GFForms' ) ) {
	die();
}
GFForms::include_addon_framework();
class CFWhatsapp_Addon extends GFAddOn{
	protected $_version = "1.0";
	protected $_min_gravityforms_version = '1.9';
	protected $_slug = 'gravityforms-whatsapp';
	protected $_path = 'gravityforms-whatsapp/index.php';
	protected $_full_path = __FILE__;
	protected $_title = 'Gravity Forms WhatsApp Add-On';
	protected $_short_title = 'Gravity Forms WhatsApp';

	private static $_instance = null;
	public static function get_instance() {
		if ( self::$_instance == null ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	public function init_admin() {
        parent::init_admin();
        // add tasks or filters here that you want to perform only in admin
    }
 
    public function init_frontend() {
        parent::init_frontend();
        // add tasks or filters here that you want to perform only in the front end
        add_action("gform_after_submission",array($this,"add_whatsapp"),10,2);
    }
    public function pre_init() {
    	include GF_WHATSAPP_PLUGIN_PATH."backend/index.php";
		parent::pre_init();
	}
	function add_whatsapp($entry, $form){
		$form_id = $entry["form_id"];
		$url = $entry["source_url"];
		$entry_id = $entry["id"];
		$form_name = $form["title"];
		
		$fields = $form["fields"];
		$all_field = "";
		foreach ($fields as  $field) {
			$all_field .= $field["label"] .": " . $entry[$field["id"]]."\n";
		}
		$number = $form["gf_whatsapp_number"];
		if(trim($number) !="" ) {
			$content  = $form["gf_whatsapp_message"];
			$lead = array();
			$confirmation = GFCommon::replace_variables( $content, $form, $entry,true,false);

			$breaks = array("<br />","<br>","<br/>");  
	    	$confirmation = str_ireplace($breaks, "", $confirmation);
	    	$confirmation = str_ireplace("{all}", $all_field, $confirmation);
	    	$confirmation = str_ireplace("{form-id}}", $form_id, $confirmation);
	    	$confirmation = str_ireplace("{entry-id}", $entry_id, $confirmation);
	    	$confirmation = str_ireplace("{form-url}", $url, $confirmation);
	    	$confirmation = str_ireplace("{form-name}", $form_name, $confirmation);
	    	$confirmation = str_ireplace("%40", "@", $confirmation);
			if( $this->isMobile() ) {
				$url = "https://wa.me/{$number}?text=".urlencode($confirmation);
				header( "Location: {$url}" );	
			}else{
				$url = "https://web.whatsapp.com/send?phone={$number}&text=".urlencode($confirmation);
				header( "Location: {$url}" );	
			}

		}
	}
	function isMobile() {
	    return preg_match("/(android|avantgo|blackberry|bolt|boost|cricket|docomo|fone|hiptop|mini|mobi|palm|phone|pie|tablet|up\.browser|up\.link|webos|wos)/i", $_SERVER["HTTP_USER_AGENT"]);
	}	
}