/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ({

/***/ "./js/src/frontend/a11y-error-handler.js":
/*!***********************************************!*\
  !*** ./js/src/frontend/a11y-error-handler.js ***!
  \***********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return a11yErrorHandler; });
/**
 * Error handling UI and accessibility.
 */
class a11yErrorHandler {

	constructor(types, formId, ccFieldId) {

		/**
   * List of messages to be spoken.
   *
   * @member {Array} speechMessages
   */
		this.speechMessages = [];

		/**
   * setTimeout Speak function handler.
   *
   * @int speaker
   */
		this.speaker = null;

		/**
   * Errors object, contains all current error messages with field types as keys.
   *
   * @Object errors
   */
		this.errors = {};

		/**
   * GFSquare input types (card number, cvv, ..etc ).
   *
   * @array types
   */
		this.types = types;

		/**
   * The form ID.
   *
   * @string formId
   */
		this.formId = formId;

		/**
   * The field ID.
   *
   * @string fieldId
   */
		this.ccFieldId = ccFieldId;
	}

	/**
  * Adds an error.
  *
  * @param type field type.
  * @param message error message.
  */
	push(type, message) {
		// Sometimes different types return the same message.
		// Since this is a single element, it doesn't make since to show the same message twice.
		if (this.messageExists(message)) {
			return;
		}
		// Make sure provided type is a field type we already have.
		type = this.getErrorType(type);
		this.errors[type] = message;
		// Display error and add it to speech array.
		this.declareError(type, message);
		// delay invoking the speak function in case more errors are being pushed.
		setTimeout(this.speak.bind(this), 500);
	}

	/**
  * Loops through existing messages and makes sure the message about to be shown isn't already there.
  *
  * @since 1.7
  *
  * @param {string} message The new message.
  *
  * @return {boolean}
  */
	messageExists(message) {
		let exists = false;
		Object.keys(this.errors).forEach(type => {
			if (message === this.errors[type]) {
				exists = true;
			}
		});

		return exists;
	}

	remove(type) {
		type = this.getErrorType(type);
		this.errors[type] = null;
		// Remove error from display.
		this.clearError(type);
	}

	/**
  * Removes all errors and declares all good status! ready to submit.
  */
	clearErrors() {
		Object.keys(this.errors).forEach(function (type, index) {
			this.clearError(type);
		}.bind(this));

		if (this.speaker) {
			clearTimeout(this.speaker);
			this.speaker = null;
		}
	}

	getErrorType(type) {
		// Generic errors appear beneath after field container ( not beneath a particular input like card number ).
		if (type == null || !type in Object.keys(this.types)) {
			type = 'generic';
		}

		return type;
	}

	/**
  * Removes error message from UI.
  *
  * @param type field type.
  */
	clearError(type) {
		// Get field container.
		const container = this.getFieldContainer(type);
		// If validation message exist after container, find error div within and remove it.
		const $validationMessageContainer = container.next('.validation_message');
		if ($validationMessageContainer.length) {
			$validationMessageContainer.find('div.' + type).remove();
		}

		// If card holder container, remove error class ( card details container error class is removed in inputEventReceived ).
		if (type === 'cardHolderName') {
			container.removeClass('SqPaymentForm--invalid');
		}
	}

	/**
  * Displays a single error, adds error message to speech array to be spoken later.
  *
  * @param {string}  type field type.
  * @param {string}  message error message.
  * @param {boolean} muted If the error should not be spoken.
  */
	declareError(type, message, muted = false) {
		const container = this.getFieldContainer(type);

		// Add error class to container.
		container.addClass('SqPaymentForm--invalid');
		// Make sure error container exists after field container, if not create it.
		if (!container.next('.validation_message').length) {
			container.after('<div class="gfield_description validation_message"></div>');
		}
		// get error div or create it.
		const $errorDiv = container.next('.validation_message').find('div.' + type);
		if ($errorDiv.length) {
			// If error div exists check if it has the same error, otherwise display new error.
			const lastMessage = $errorDiv.text();
			if (lastMessage !== message) {
				$errorDiv.text(message);
			}
		} else {
			// Error div for this type never existed, create and display it.
			container.next('.validation_message').append('<div class="' + type + '">' + message + '</div>');
		}
		// Add error message to speech array even if it existed before.
		// Blind people need the error message to be spoken again if the error is triggered again while the error message is already displayed.
		this.speechMessages.push(message);
	}

	/**
  * Combines all current error messages to one message and speaks it.
  */
	speak() {
		// if speak was already invoked, quit.
		if (this.speaker !== null) {
			return;
		}
		this.speaker = setTimeout(function () {
			let toSpeak = '';
			// Sometimes the same error message is added to the array twice when field loses focus before submit is clicked, filter repeated messages.
			const uniqueErrors = this.speechMessages.filter(function (value, index, self) {
				return self.indexOf(value) === index;
			});
			// Generate Error speech by imploding messages array into one string, calling wp.a11y.speak in a loop failed.
			uniqueErrors.forEach(function (error, index) {
				// separate error message by new line so VO don't announce them as one line ( dot was not enough ! ).
				toSpeak += '\n' + error;
			});
			// Finally speak.
			wp.a11y.speak(toSpeak);
			// Reset evey thing for next push.
			this.speaker = null;
			this.speechMessages = [];
		}.bind(this), 250);
	}

	/**
  * Gets field container
  *
  * @since 1.2
  *
  * @param type field type.
  *
  * return {jQuery}
  */
	getFieldContainer(type) {

		if (type === 'generic') {
			return jQuery('.ginput_container_square_card');
		}

		return jQuery('#input_' + this.formId + '_' + this.ccFieldId + '_' + this.types[type]);
	}
}

/***/ }),

/***/ "./js/src/frontend/card-renderer.js":
/*!******************************************!*\
  !*** ./js/src/frontend/card-renderer.js ***!
  \******************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return CardRenderer; });
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./helpers */ "./js/src/frontend/helpers.js");


/**
 * Handles rendering the web payment card and updating its UI.
 */
class CardRenderer {

	/**
  * Card Renderer Constructor.
  *
  * @param {WebPayments}      webPayments     Square Web Payments SDK Wrapper.
  * @param {a11yErrorHandler} errorStack      Errors a11y Handler.
  * @param {number}           formId          The current Form ID.
  * @param {number}           fieldId         The Square Field ID.
  */
	constructor(webPayments, errorStack, formId, fieldId) {
		this.webPayments = webPayments;
		this.errorStack = errorStack;
		this.formId = formId;
		this.fieldId = fieldId;
		this.field = null;
		this.cardHolderNameInput = null;
		this.cardContainer = null;
		this.isCardVisible = false;
		this.bindEvents();
	}

	/**
  * @function bindEvents
  * @description Binds events handlers for the form and feed conditional logic.
  *
  * @since 1.7
  */
	bindEvents() {

		// Render the web payment card.
		jQuery(document).ready(this.render.bind(this));

		// After conditional logic evaluation, trigger window resize to let the square IFrame re-calculate its size if the field became visible.
		jQuery(document).on('gform_post_conditional_logic', this.handlePostConditionalLogic.bind(this));

		gform.addAction('gform_frontend_feeds_evaluated', this.handlePostConditionalLogic.bind(this));
	}

	/**
  * @function cacheElements
  * @description Caches the elements used in the process of creating and submitting the form.
  *
  * @since 1.7
  */
	cacheElements() {
		this.field = document.getElementById('field_' + this.formId + '_' + this.fieldId);
		this.cardHolderNameInput = document.getElementById('input_' + this.formId + '_' + this.fieldId + '_3');
		this.cardContainer = document.getElementById('input_' + this.formId + '_' + this.fieldId + '_1');
		this.fieldContainer = document.getElementById('input_' + this.formId + '_' + this.fieldId);
	}

	/**
  * @function render
  * @description Renders the square web payment card.
  *
  * @since 1.7
  *
  * @return {Promise<void>}
  */
	async render() {

		this.cacheElements();

		try {

			// We need to match the card style to the cardholder name.
			const styleObject = this.getCardConfigurationStyleObject();

			// Render the card.
			const card = await this.webPayments.getCard(styleObject);
			this.attached = await card.attach(this.cardContainer);

			/* When the field is rendered while hidden, the height of the IFrame is not calculated correctly
   this is an issue on the Square side, after conditional logic we re-configure the card and let it resize
   properly, so we have to hide it until we are sure it looks OK, otherwise it will look broken for a fraction
   of a second. */
			if (this.fieldContainer !== null && jQuery(this.fieldContainer).is(':hidden')) {
				this.cardContainer.style.visibility = 'hidden';
			}

			this.bindCardEventListeners.bind(this);
			this.bindCardEventListeners(card);
		} catch (e) {

			this.errorStack.push('generic', gforms_square_frontend_strings.CATCH_ALL);
		}
	}

	/**
  * @function getCardConfigurationStyleObject
  * @description Calculates the style for the cardholder name input, to be used for the inputs inside the square IFrame.
  *
  * @since 1.7
  */
	getCardConfigurationStyleObject() {
		let styleObject = {};
		let sqInputStyle = {};
		if (this.cardHolderNameInput !== null) {
			sqInputStyle = window.getComputedStyle(this.cardHolderNameInput, null);
			styleObject = {
				input: {
					backgroundColor: _helpers__WEBPACK_IMPORTED_MODULE_0__["default"].rgb2hex(sqInputStyle.getPropertyValue('background-color')),
					color: _helpers__WEBPACK_IMPORTED_MODULE_0__["default"].rgb2hex(sqInputStyle.getPropertyValue('color')),
					fontSize: sqInputStyle.getPropertyValue('font-size'),
					fontWeight: sqInputStyle.getPropertyValue('font-weight')
				},
				'.input-container': {
					borderRadius: sqInputStyle.getPropertyValue('border-radius'),
					borderColor: sqInputStyle.getPropertyValue('border-color'),
					borderWidth: sqInputStyle.getPropertyValue('border-width')
				}
			};
		}

		/**
   * Filter the style object that is passed to the square SDK to style the credit card details iframe and its contents.
   *
  * @see https://developer.squareup.com/reference/sdks/web/payments/objects/CardClassSelectors
   *
   * @since 1.7
   *
   * @param {Object} styleObject The style object that contains the style selectors, properties and values.
   * @param {Int} formId         The formId.
   *
   * @return {Object} The filtered style object.
   */
		styleObject = gform.applyFilters('gform_square_card_details_style', styleObject, this.formId);

		return styleObject;
	}

	/**
  * @function handlePostConditionalLogic
  * @description Runs after form conditional logic has been evaluated, triggers a resize event and reconfigures the card.
  *
  * @since 1.7
  */
	handlePostConditionalLogic() {
		// The event is fired many times for a single change.
		// Clear the timeout of the previous calls so the logic eventually runs once.
		if (this.conditionalLogicTimeout !== null) {
			clearTimeout(this.conditionalLogicTimeout);
		}

		this.conditionalLogicTimeout = setTimeout(() => {
			if (this.field !== null && jQuery(this.field).is(':visible')) {
				// Get the style object again after the input has become visible.
				this.webPayments.reConfigureCard({
					style: this.getCardConfigurationStyleObject()
				});

				// Trigger window resize to let the square IFrame re-calculate its size if the field became visible.
				const ResizeEvent = document.createEvent('HTMLEvents');
				ResizeEvent.initEvent('resize', true, false);
				window.dispatchEvent(ResizeEvent);

				this.cardContainer.style.visibility = 'visible';
			}
		}, 250);
	}

	/**
  * @function bindCardEventListeners
  * @description Binds event listeners for UI events of the card.
  *
  * @since 1.7
  *
  * @param {Object} card The Square card.
  */
	bindCardEventListeners(card) {

		card.addEventListener('focusClassAdded', this.handleCardUIChange.bind(this));
		card.addEventListener('focusClassRemoved', this.handleCardUIChange.bind(this));
		card.addEventListener('errorClassAdded', this.handleCardUIChange.bind(this));
		card.addEventListener('errorClassRemoved', this.handleCardUIChange.bind(this));
		card.addEventListener('escape', this.handleCardUIChange.bind(this));
	}

	/**
  * @function handleCardUIChange
  * @description Handles UI for when the card loses/gets focus.
  *
  * When the card gets focus, a textual message appears beneath it, this function adds a margin for the label when it is below the card
  * so the textual message don't overflow over the label, it also resets the margin once the card loses focus as the textual message disappears.
  *
  * @since 1.7
  *
  * @param {Object} event The card UI event.
  *
  * @return {Promise<void>}
  */
	async handleCardUIChange(event) {
		switch (event.type) {
			case 'focusClassAdded':
			case 'errorClassAdded':
				// The SDK provides localized messages
				// The container is hidden because it doesn't match our UI
				// So we are going to take the text and push it to our error handler.
				if (event.type === 'errorClassAdded') {
					const sdkMessage = jQuery('#gform_' + this.formId + ' .sq-card-message').text();
					this.errorStack.push(event.detail.field, sdkMessage, true);
				}

				break;
			case 'focusClassRemoved':
			case 'errorClassRemoved':

				if (event.type === 'errorClassRemoved') {

					this.errorStack.remove(event.detail.field);

					// If this was the last error to be cleared, reset our error stack as well.
					if (event.detail.currentState.hasErrorClass === false) {
						this.errorStack.clearErrors();
					}
				}

				break;
		}
	}
}

/***/ }),

/***/ "./js/src/frontend/frontend-handler.js":
/*!*********************************************!*\
  !*** ./js/src/frontend/frontend-handler.js ***!
  \*********************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return FrontEndHandler; });
/* harmony import */ var _web_payments__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./web-payments */ "./js/src/frontend/web-payments.js");
/* harmony import */ var _a11y_error_handler__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./a11y-error-handler */ "./js/src/frontend/a11y-error-handler.js");
/* harmony import */ var _card_renderer__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./card-renderer */ "./js/src/frontend/card-renderer.js");
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./helpers */ "./js/src/frontend/helpers.js");





/**
 * Handles the frontend logic of the add-on.
 */
class FrontEndHandler {

	constructor(args) {
		for (const prop in args) {
			if (args.hasOwnProperty(prop)) {
				this[prop] = args[prop];
			}
		}

		this.fields = {
			cardNumber: 1,
			expirationDate: 1,
			cvv: 1,
			postalCode: 1,
			cardHolderName: 3
		};

		this.errorStack = new _a11y_error_handler__WEBPACK_IMPORTED_MODULE_1__["default"](this.fields, this.formId, this.ccFieldId);
		this.webPayments = new _web_payments__WEBPACK_IMPORTED_MODULE_0__["default"](this.formId, this.application_id, this.location_id);
		this.cardRenderer = new _card_renderer__WEBPACK_IMPORTED_MODULE_2__["default"](this.webPayments, this.errorStack, this.formId, this.ccFieldId);
		_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].formId = this.formId;

		this.cacheElements();
		this.bindEvents();
	}

	/**
  * @function cacheElements
  * @description Caches the elements used in the process of creating and submitting the form.
  *
  * @since 1.7
  */
	cacheElements() {
		this.form = jQuery('#gform_' + this.formId);
		this.GFSField = jQuery('#input_' + this.formId + '_' + this.ccFieldId);
		this.GFSCCInput = jQuery('#input_' + this.formId + '_' + this.ccFieldId + '_1');
		this.fieldContainer = jQuery('.ginput_container_square_card');
	}

	/**
  * @function bindEvents
  * @description Binds events handlers for the form and feed conditional logic.
  *
  * @since 1.7
  */
	bindEvents() {

		// After feeds are evaluated, handle square feed if it exists and active.
		gform.addAction('gform_frontend_feeds_evaluated', this.handleFeedEvaluated.bind(this));

		// bind Square functionality to submit event.
		jQuery('#gform_' + this.formId).on('submit', this.handleFormSubmit.bind(this));

		// Set priority to 51 so it will be triggered after the coupons add-on
		gform.addFilter('gform_product_total', function (total, formId) {
			window['gform_square_amount_' + formId] = total;
			return total;
		}, 51);
	}

	/**
  * @function handleFeedEvaluated
  * @description Handles showing/hiding the field after feed conditional logic is evaluated.
  *
  * @since 1.0.0
  *
  * @param {Array}   feeds  All feeds that were evaluated.
  * @param {Integer} formId The id of the form.
  *
  */
	handleFeedEvaluated(feeds, formId) {
		if (formId != parseInt(this.formId)) {
			return;
		}

		this.activeFeed = null;
		this.feedActivated = false;
		// Loop through the feeds and Check if square feed is active.
		const feedsCount = Object.keys(feeds).length;
		for (let i = 0; i < feedsCount; i++) {
			if (feeds[i].addonSlug === 'gravityformssquare' && feeds[i].isActivated) {
				this.feedHasConditionalLogic = feeds[i].conditionalLogic;
				this.feedActivated = true;
				// Add the active feed object to the square object as it will be needed later.
				this.activeFeed = this.feeds[feeds[i].feedId];

				// check if we are in the cc page, if so initiate the Square single element payment form.
				if (_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].isCreditCardOnPage(this.ccPage)) {
					this.feedConditionalLogicResult = true;
				}

				break; // allow only one active feed.
			}
		}

		// If no active feeds found, display error next to Square Card Field.
		if (!this.feedActivated) {
			this.feedConditionalLogicResult = false;
			// Show error.
			this.errorStack.push('generic', gforms_square_frontend_strings.no_active_frontend_feed);
			// Hide inputs.
			this.fieldContainer.hide();
			// remove square fields and form status when Square feed deactivated.
			_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetSquareStatus(this.form, formId);
			_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetFormStatus(this.form, formId);
			this.activeFeed = null;
		} else {
			this.errorStack.remove('generic');
			this.fieldContainer.show();
		}
	}

	/**
  * @function handleFormSubmit
  * @description Handles form submission by validating the name and tokenizing the card.
  *
  * @since 1.7
  *
  * @param {Object} event The form submission event.
  *
  * @return {Promise<boolean>}
  */
	async handleFormSubmit(event) {

		if (!this.canSubmitToSquare()) {
			return true;
		}

		this.form.data('gfsquaresubmitting', true);
		_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].maybeAddSpinner(false, this.formId);

		this.form = jQuery('#gform_' + this.formId);

		_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].updatePaymentAmount(this.formId, this.activeFeed);

		// Skip square logic if clicking on the Previous button, not the right page or if total amount is 0.
		const sourcePage = parseInt(jQuery('#gform_source_page_number_' + this.formId).val(), 10),
		      targetPage = parseInt(jQuery('#gform_target_page_number_' + this.formId).val(), 10),
		      skipSqFormHandler = false;

		if (sourcePage > targetPage && targetPage !== 0 || window['gform_square_amount_' + this.formId] === 0) {
			skipSqFormHandler = true;
		}

		if (_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].isLastPage() && !_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].isCreditCardOnPage() || gformIsHidden(this.GFSCCInput) || skipSqFormHandler) {
			return true;
		}

		event.preventDefault();

		// Get the cardholder first and last name to make sure we can start SCA later.
		const fullName = jQuery('#input_' + this.formId + '_' + this.ccFieldId + '_' + this.fields.cardHolderName.toString()).val(),
		      names = fullName.trim().split(' ');

		// If we don't have a name show error and stop execution.
		if (names.length < 2) {
			this.errorStack.push('cardHolderName', gforms_square_frontend_strings.requires_name);
			_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetFormStatus(this.form, this.formId);
			return false;
		}

		this.errorStack.remove('cardHolderName');

		_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetSquareStatus();

		try {

			this.tokenizedCard = await this.webPayments.getTokenizeCard();

			if (this.tokenizedCard.status === 'OK') {
				this.nonceReceived(this.tokenizedCard.token, this.tokenizedCard.details.card);
			} else {
				if (this.tokenizedCard.errors.length > 0) {
					this.tokenizedCard.errors.forEach(error => {
						this.errorStack.push(error.field, error.message);
					});
				}

				_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetFormStatus(this.form, this.formId);
			}
		} catch (e) {
			this.errorStack.push('generic', gforms_square_frontend_strings.CATCH_ALL);
			_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetFormStatus(this.form, this.formId);
		}

		return false;
	}

	/**
  * @function nonceReceived
  * @description Fired when the nonce received from Square after calling getCardNonce
  *
  * @since 1.0.0
  * @since 1.7.0 Moved error handling to form submission handler.
  *
  * @param {String} nonce           The card token.
  * @param {Object} cardData        The card data object that contains information like last 4
  *
  * @return {Promise<boolean>}
  */
	async nonceReceived(nonce, cardData) {

		this.errorStack.clearErrors();
		// Add card data to hidden inputs so they can be saved with the entry.
		this.form.append(jQuery('<input type="hidden" name="square_credit_card_last_four" id="' + this.formId + '_square_credit_card_last_four" />').val(cardData.last4));
		this.form.append(jQuery('<input type="hidden" name="square_credit_card_type" id="' + this.formId + '_square_credit_card_type"/>').val(cardData.brand));
		this.form.append(jQuery('<input type="hidden" name="square_nonce" id="' + this.formId + '_square_nonce" />').val(nonce));
		// If we already have a nonce, start SCA, If SCA Passes, form will be submitted.
		await this.startSCA(nonce);
	}

	/**
  * @function startSCA
  * @description Starts SCA process, if not required, will submit the form.
  *
  * @param {String} nonce The card token.
  *
  * @since 1.0.0
  *
  * @return boolean
  */
	async startSCA(nonce) {

		// Get the cardholder first and last name to start SCA.
		const full_name = jQuery('#input_' + this.formId + '_' + this.ccFieldId + '_3').val();
		const names = full_name.trim().split(' ');
		// If we don't have a name show error and stop execution.
		if (names.length < 2) {
			this.errorStack.push('cardHolderName', gforms_square_frontend_strings.requires_name);
			this.resetFormStatus(this.form, this.formId, this.isLastPage());
			return false;
		}
		this.errorStack.remove('cardHolderName');

		const first_name = names[0];
		const last_name = names[1];

		// Prepare any given billing information to be provided along with the names for SCA.
		const email = GFMergeTag.replaceMergeTags(this.formId, _helpers__WEBPACK_IMPORTED_MODULE_3__["default"].getBillingAddressMergeTag(this.activeFeed.email));
		const city = GFMergeTag.replaceMergeTags(this.formId, _helpers__WEBPACK_IMPORTED_MODULE_3__["default"].getBillingAddressMergeTag(this.activeFeed.address_city));
		const postalCode = GFMergeTag.replaceMergeTags(this.formId, _helpers__WEBPACK_IMPORTED_MODULE_3__["default"].getBillingAddressMergeTag(this.activeFeed.address_zip));
		const addressLine1 = GFMergeTag.replaceMergeTags(this.formId, _helpers__WEBPACK_IMPORTED_MODULE_3__["default"].getBillingAddressMergeTag(this.activeFeed.address_line1));
		const addressLine2 = GFMergeTag.replaceMergeTags(this.formId, _helpers__WEBPACK_IMPORTED_MODULE_3__["default"].getBillingAddressMergeTag(this.activeFeed.address_line2));

		// Collect rest of verification data if we have minimum required details.
		if (first_name === '' || last_name === '') {
			// We don't have enough data to start SCA
			// This part should be implemented later when hiding cardholder name field becomes an option.
			return false;
		}

		const billingContact = {
			givenName: first_name,
			familyName: last_name
		};

		// Add only available billing information to contact object.
		if (email !== '') {
			billingContact.email = email;
		}

		if (city !== '') {
			billingContact.city = city;
		}

		if (postalCode !== '') {
			billingContact.postalCode = postalCode;
		}

		if (addressLine1 !== '') {
			billingContact.addressLines = [];
			billingContact.addressLines.push(addressLine1);
		}

		if (addressLine2 !== '') {
			billingContact.addressLines.push(addressLine2);
		}

		const verificationDetails = {
			intent: 'CHARGE',
			amount: window['gform_square_amount_' + this.formId].toString(),
			currencyCode: this.currency,
			billingContact: billingContact
		};
		// Start SCA.
		try {
			const verificationResults = await this.webPayments.getPaymentsApi().verifyBuyer(nonce, verificationDetails);

			this.form.append(jQuery('<input type="hidden" name="square_verification" id="' + this.formId + '_square_verification" />').val(verificationResults.token));
			this.form.submit();
		} catch (e) {
			this.errorStack.push('generic', gforms_square_frontend_strings.sca);
			_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].resetFormStatus(this.form, this.formId);
		}
	}

	/**
  * Checks if the form can be submitted or not.
  *
  * @since 1.0.0
  *
  * @return {boolean}
  */
	canSubmitToSquare() {

		// We cannot submit to Square if any of the cases are true.
		switch (true) {
			// Field is not currently shown.
			case !this.GFSCCInput.is(':visible'):
			case gformIsHidden(this.GFSCCInput):
			case !_helpers__WEBPACK_IMPORTED_MODULE_3__["default"].isCreditCardOnPage(this.ccPage):
				return false;
			// No active Square feed.
			case !this.feedActivated:
				return false;
			// Already submitting.
			case this.form.data('gfsquaresubmitting'):
				return false;
			// Saving.
			case jQuery('#gform_save_' + this.formId).val() == 1:
				return false;
			// reCAPTCHA is pending a result.
			case typeof gformIsRecaptchaPending !== 'undefined' && gformIsRecaptchaPending(this.form):
				return false;
			default:
				return true;
		}
	}
}

/***/ }),

/***/ "./js/src/frontend/frontend.js":
/*!*************************************!*\
  !*** ./js/src/frontend/frontend.js ***!
  \*************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _frontend_handler__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./frontend-handler */ "./js/src/frontend/frontend-handler.js");


(function ($) {

	window.GFSquare = function (args) {
		window.SquareFrontEndHandler = new _frontend_handler__WEBPACK_IMPORTED_MODULE_0__["default"](args);
	};
})(jQuery);

/***/ }),

/***/ "./js/src/frontend/helpers.js":
/*!************************************!*\
  !*** ./js/src/frontend/helpers.js ***!
  \************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/**
 * A collection of helper functions that are used by the frontend handler.
 */
const helpers = {

	/**
  * Converts an RGBA value to its corresponding hex representation.
  *
  * @param {String} color
  *
  * @return {string}
  */
	rgb2hex: function (color) {
		const rgba = color.replace(/^rgba?\(|\s+|\)$/g, '').split(',');

		const hex = `#${((1 << 24) + (parseInt(rgba[0]) << 16) + (parseInt(rgba[1]) << 8) + parseInt(rgba[2])).toString(16).slice(1)}`;

		return hex;
	},
	/**
  * Gets field values.
  *
  * @param field
  * @return {string}
  */
	getBillingAddressMergeTag: function (field) {
		if (field === '') {
			return '';
		}
		return '{:' + field + ':value}';
	},

	/**
  * Checks if we are on last page.
  *
  * @return {boolean}
  */
	isLastPage: function () {
		var targetPageInput = jQuery('#gform_target_page_number_' + this.formId);
		if (targetPageInput.length > 0) {
			return targetPageInput.val() == 0;
		}

		return true;
	},

	/**
  * Checks if current page has the Square credit card field on it.
  *
  * @return {boolean}
  */
	isCreditCardOnPage: function (ccPage) {
		const currentPage = this.getCurrentPageNumber();

		// if current page is false or no credit card page number, assume this is not a multi-page form.
		if (!ccPage || !currentPage) {
			return true;
		}

		return ccPage == currentPage;
	},

	/**
  * Gets current page number.
  *
  * @return {*}
  */
	getCurrentPageNumber: function () {
		var currentPageInput = jQuery('#gform_source_page_number_' + this.formId);
		return currentPageInput.length > 0 ? currentPageInput.val() : false;
	},

	/**
  * Checks if a spinner should be added next to the submit button and adds one if needed.
  */
	maybeAddSpinner: function (isAjax, formId) {
		if (isAjax) {
			return;
		}

		if (typeof gformAddSpinner === 'function') {
			gformAddSpinner(formId);
		} else {
			if (jQuery('#gform_ajax_spinner_' + formId).length == 0) {
				var spinnerUrl = gform.applyFilters('gform_spinner_url', gf_global.spinnerUrl, formId),
				    $spinnerTarget = gform.applyFilters('gform_spinner_target_elem', jQuery('#gform_submit_button_' + formId + ', #gform_wrapper_' + formId + ' .gform_next_button, #gform_send_resume_link_button_' + formId), formId);
				$spinnerTarget.after('<img id="gform_ajax_spinner_' + formId + '"  class="gform_ajax_spinner" src="' + spinnerUrl + '" alt="" />');
			}
		}
	},

	/**
  * Removes Square Card hidden inputs
  *
  * @param form form object
  * @param formId
  */
	resetSquareStatus: function (form, formId) {
		// Remove appended inputs.
		jQuery('#' + formId + '_square_nonce, #' + formId + '_square_credit_card_last_four, #' + formId + '_square_credit_card_type, #' + formId + '_square_verification').remove();
	},

	/**
  * Resets form status when errors are received after trying to submit.
  *
  * @param form form object
  * @param formId
  * @param isLastPage
  */
	resetFormStatus: function (form, formId) {
		// Reset form status.
		form.data('gfsquaresubmitting', false);
		// Remove spinner.
		jQuery('#gform_ajax_spinner_' + formId).remove();
		// must do this or the form cannot be submitted again.
		if (this.isLastPage(formId)) {
			window['gf_submitting_' + formId] = false;
		}
	},

	/**
  * Clears any displayed errors.
  */
	clearErrors: function (formId, fieldId) {
		var creditCardDetailContainer = jQuery('#input_' + formId + '_' + fieldId + '_1');
		var cardHolderNameContainer = jQuery('#input_' + formId + '_' + fieldId + '_3');

		if (creditCardDetailContainer.next('.validation_message').length) {
			creditCardDetailContainer.next('.validation_message').html('');
		}

		if (cardHolderNameContainer.next('.validation_message').length) {
			cardHolderNameContainer.next('.validation_message').html('');
		}
	},

	/**
  * Calculates the form total if needed.
  */
	updatePaymentAmount: function (formId, activeFeed) {

		if (activeFeed.paymentAmount !== 'form_total') {
			var price = GFMergeTag.getMergeTagValue(formId, activeFeed.paymentAmount, ':price'),
			    qty = GFMergeTag.getMergeTagValue(formId, activeFeed.paymentAmount, ':qty');

			if (typeof price === 'string') {
				price = GFMergeTag.getMergeTagValue(formId, activeFeed.paymentAmount + '.2', ':price');
				qty = GFMergeTag.getMergeTagValue(formId, activeFeed.paymentAmount + '.3', ':qty');
			}

			window['gform_square_amount_' + formId] = price * qty;
		} else if (activeFeed.paymentAmount === 'form_total') {
			gformCalculateTotalPrice(formId);
		}
	}
};

/* harmony default export */ __webpack_exports__["default"] = (helpers);

/***/ }),

/***/ "./js/src/frontend/web-payments.js":
/*!*****************************************!*\
  !*** ./js/src/frontend/web-payments.js ***!
  \*****************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return WebPayments; });
/**
 * A simple wrapper around the Square object.
 */
class WebPayments {

	constructor(formId, applicationId, locationId) {
		this.formId = formId;
		this.applicationId = applicationId;
		this.locationId = locationId;
		this.card = null;
		this.payments = null;
	}

	/**
  * @function getPaymentsApi
  * @description Initializes and retrieves a Payments object from the Square SDK.
  *
  * @since 1.7
  *
  * @return {Object} The Payments API object.
  */
	getPaymentsApi() {
		if (!window.Square) {
			throw new Error('Square.js failed to load properly');
		}

		if (this.payments === null) {
			this.payments = window.Square.payments(this.applicationId, this.locationId);
		}

		return this.payments;
	}

	/**
  * Returns the card object if it already exists, otherwise initiates it.
  *
  * @since 1.7
  *
  * @param {Object} styleObject An object that contains styling properties for the card.
  *
  * @return {Promise<Object>}
  */
	async getCard(styleObject) {

		if (this.payments === null) {
			this.getPaymentsApi();
		}

		if (this.card !== null) {
			return this.card;
		}

		try {
			if (Object.keys(styleObject).length !== 0) {
				this.card = await this.payments.card({
					style: styleObject
				});
			} else {
				this.card = await this.payments.card();
			}
			return this.card;
		} catch (e) {
			throw new Error('Could not get card from payment API: ' + e.toString());
		}
	}

	/**
  * @function getTokenizeCard
  * @description Tokenize the card object.
  *
  * @since 1.7
  *
  * @return {Promise<Boolean|Object>}
  */
	async getTokenizeCard() {
		if (this.card === null || this.card.attached === false) {
			throw new Error('Can not tokenize card that is not attached');
		}

		try {
			this.tokenizedCard = await this.card.tokenize();
			return this.tokenizedCard;
		} catch (e) {
			throw new Error('Could not tokenize card: ' + e.toString());
		}
	}

	/**
  * @function reConfigureCard
  * @description Re Configures the card after it has been initialized and attached.
  *
  * @since 1.7
  *
  * @return {Promise<Boolean|Object>}
  */
	reConfigureCard(configuration) {

		if (this.card === null || this.card.attached === false) {
			return;
		}

		return this.card.configure(configuration);
	}
}

/***/ }),

/***/ "./node_modules/whatwg-fetch/fetch.js":
/*!********************************************!*\
  !*** ./node_modules/whatwg-fetch/fetch.js ***!
  \********************************************/
/*! exports provided: Headers, Request, Response, DOMException, fetch */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Headers", function() { return Headers; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Request", function() { return Request; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Response", function() { return Response; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DOMException", function() { return DOMException; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "fetch", function() { return fetch; });
var global =
  (typeof globalThis !== 'undefined' && globalThis) ||
  (typeof self !== 'undefined' && self) ||
  (typeof global !== 'undefined' && global)

var support = {
  searchParams: 'URLSearchParams' in global,
  iterable: 'Symbol' in global && 'iterator' in Symbol,
  blob:
    'FileReader' in global &&
    'Blob' in global &&
    (function() {
      try {
        new Blob()
        return true
      } catch (e) {
        return false
      }
    })(),
  formData: 'FormData' in global,
  arrayBuffer: 'ArrayBuffer' in global
}

function isDataView(obj) {
  return obj && DataView.prototype.isPrototypeOf(obj)
}

if (support.arrayBuffer) {
  var viewClasses = [
    '[object Int8Array]',
    '[object Uint8Array]',
    '[object Uint8ClampedArray]',
    '[object Int16Array]',
    '[object Uint16Array]',
    '[object Int32Array]',
    '[object Uint32Array]',
    '[object Float32Array]',
    '[object Float64Array]'
  ]

  var isArrayBufferView =
    ArrayBuffer.isView ||
    function(obj) {
      return obj && viewClasses.indexOf(Object.prototype.toString.call(obj)) > -1
    }
}

function normalizeName(name) {
  if (typeof name !== 'string') {
    name = String(name)
  }
  if (/[^a-z0-9\-#$%&'*+.^_`|~!]/i.test(name) || name === '') {
    throw new TypeError('Invalid character in header field name: "' + name + '"')
  }
  return name.toLowerCase()
}

function normalizeValue(value) {
  if (typeof value !== 'string') {
    value = String(value)
  }
  return value
}

// Build a destructive iterator for the value list
function iteratorFor(items) {
  var iterator = {
    next: function() {
      var value = items.shift()
      return {done: value === undefined, value: value}
    }
  }

  if (support.iterable) {
    iterator[Symbol.iterator] = function() {
      return iterator
    }
  }

  return iterator
}

function Headers(headers) {
  this.map = {}

  if (headers instanceof Headers) {
    headers.forEach(function(value, name) {
      this.append(name, value)
    }, this)
  } else if (Array.isArray(headers)) {
    headers.forEach(function(header) {
      this.append(header[0], header[1])
    }, this)
  } else if (headers) {
    Object.getOwnPropertyNames(headers).forEach(function(name) {
      this.append(name, headers[name])
    }, this)
  }
}

Headers.prototype.append = function(name, value) {
  name = normalizeName(name)
  value = normalizeValue(value)
  var oldValue = this.map[name]
  this.map[name] = oldValue ? oldValue + ', ' + value : value
}

Headers.prototype['delete'] = function(name) {
  delete this.map[normalizeName(name)]
}

Headers.prototype.get = function(name) {
  name = normalizeName(name)
  return this.has(name) ? this.map[name] : null
}

Headers.prototype.has = function(name) {
  return this.map.hasOwnProperty(normalizeName(name))
}

Headers.prototype.set = function(name, value) {
  this.map[normalizeName(name)] = normalizeValue(value)
}

Headers.prototype.forEach = function(callback, thisArg) {
  for (var name in this.map) {
    if (this.map.hasOwnProperty(name)) {
      callback.call(thisArg, this.map[name], name, this)
    }
  }
}

Headers.prototype.keys = function() {
  var items = []
  this.forEach(function(value, name) {
    items.push(name)
  })
  return iteratorFor(items)
}

Headers.prototype.values = function() {
  var items = []
  this.forEach(function(value) {
    items.push(value)
  })
  return iteratorFor(items)
}

Headers.prototype.entries = function() {
  var items = []
  this.forEach(function(value, name) {
    items.push([name, value])
  })
  return iteratorFor(items)
}

if (support.iterable) {
  Headers.prototype[Symbol.iterator] = Headers.prototype.entries
}

function consumed(body) {
  if (body.bodyUsed) {
    return Promise.reject(new TypeError('Already read'))
  }
  body.bodyUsed = true
}

function fileReaderReady(reader) {
  return new Promise(function(resolve, reject) {
    reader.onload = function() {
      resolve(reader.result)
    }
    reader.onerror = function() {
      reject(reader.error)
    }
  })
}

function readBlobAsArrayBuffer(blob) {
  var reader = new FileReader()
  var promise = fileReaderReady(reader)
  reader.readAsArrayBuffer(blob)
  return promise
}

function readBlobAsText(blob) {
  var reader = new FileReader()
  var promise = fileReaderReady(reader)
  reader.readAsText(blob)
  return promise
}

function readArrayBufferAsText(buf) {
  var view = new Uint8Array(buf)
  var chars = new Array(view.length)

  for (var i = 0; i < view.length; i++) {
    chars[i] = String.fromCharCode(view[i])
  }
  return chars.join('')
}

function bufferClone(buf) {
  if (buf.slice) {
    return buf.slice(0)
  } else {
    var view = new Uint8Array(buf.byteLength)
    view.set(new Uint8Array(buf))
    return view.buffer
  }
}

function Body() {
  this.bodyUsed = false

  this._initBody = function(body) {
    /*
      fetch-mock wraps the Response object in an ES6 Proxy to
      provide useful test harness features such as flush. However, on
      ES5 browsers without fetch or Proxy support pollyfills must be used;
      the proxy-pollyfill is unable to proxy an attribute unless it exists
      on the object before the Proxy is created. This change ensures
      Response.bodyUsed exists on the instance, while maintaining the
      semantic of setting Request.bodyUsed in the constructor before
      _initBody is called.
    */
    this.bodyUsed = this.bodyUsed
    this._bodyInit = body
    if (!body) {
      this._bodyText = ''
    } else if (typeof body === 'string') {
      this._bodyText = body
    } else if (support.blob && Blob.prototype.isPrototypeOf(body)) {
      this._bodyBlob = body
    } else if (support.formData && FormData.prototype.isPrototypeOf(body)) {
      this._bodyFormData = body
    } else if (support.searchParams && URLSearchParams.prototype.isPrototypeOf(body)) {
      this._bodyText = body.toString()
    } else if (support.arrayBuffer && support.blob && isDataView(body)) {
      this._bodyArrayBuffer = bufferClone(body.buffer)
      // IE 10-11 can't handle a DataView body.
      this._bodyInit = new Blob([this._bodyArrayBuffer])
    } else if (support.arrayBuffer && (ArrayBuffer.prototype.isPrototypeOf(body) || isArrayBufferView(body))) {
      this._bodyArrayBuffer = bufferClone(body)
    } else {
      this._bodyText = body = Object.prototype.toString.call(body)
    }

    if (!this.headers.get('content-type')) {
      if (typeof body === 'string') {
        this.headers.set('content-type', 'text/plain;charset=UTF-8')
      } else if (this._bodyBlob && this._bodyBlob.type) {
        this.headers.set('content-type', this._bodyBlob.type)
      } else if (support.searchParams && URLSearchParams.prototype.isPrototypeOf(body)) {
        this.headers.set('content-type', 'application/x-www-form-urlencoded;charset=UTF-8')
      }
    }
  }

  if (support.blob) {
    this.blob = function() {
      var rejected = consumed(this)
      if (rejected) {
        return rejected
      }

      if (this._bodyBlob) {
        return Promise.resolve(this._bodyBlob)
      } else if (this._bodyArrayBuffer) {
        return Promise.resolve(new Blob([this._bodyArrayBuffer]))
      } else if (this._bodyFormData) {
        throw new Error('could not read FormData body as blob')
      } else {
        return Promise.resolve(new Blob([this._bodyText]))
      }
    }

    this.arrayBuffer = function() {
      if (this._bodyArrayBuffer) {
        var isConsumed = consumed(this)
        if (isConsumed) {
          return isConsumed
        }
        if (ArrayBuffer.isView(this._bodyArrayBuffer)) {
          return Promise.resolve(
            this._bodyArrayBuffer.buffer.slice(
              this._bodyArrayBuffer.byteOffset,
              this._bodyArrayBuffer.byteOffset + this._bodyArrayBuffer.byteLength
            )
          )
        } else {
          return Promise.resolve(this._bodyArrayBuffer)
        }
      } else {
        return this.blob().then(readBlobAsArrayBuffer)
      }
    }
  }

  this.text = function() {
    var rejected = consumed(this)
    if (rejected) {
      return rejected
    }

    if (this._bodyBlob) {
      return readBlobAsText(this._bodyBlob)
    } else if (this._bodyArrayBuffer) {
      return Promise.resolve(readArrayBufferAsText(this._bodyArrayBuffer))
    } else if (this._bodyFormData) {
      throw new Error('could not read FormData body as text')
    } else {
      return Promise.resolve(this._bodyText)
    }
  }

  if (support.formData) {
    this.formData = function() {
      return this.text().then(decode)
    }
  }

  this.json = function() {
    return this.text().then(JSON.parse)
  }

  return this
}

// HTTP methods whose capitalization should be normalized
var methods = ['DELETE', 'GET', 'HEAD', 'OPTIONS', 'POST', 'PUT']

function normalizeMethod(method) {
  var upcased = method.toUpperCase()
  return methods.indexOf(upcased) > -1 ? upcased : method
}

function Request(input, options) {
  if (!(this instanceof Request)) {
    throw new TypeError('Please use the "new" operator, this DOM object constructor cannot be called as a function.')
  }

  options = options || {}
  var body = options.body

  if (input instanceof Request) {
    if (input.bodyUsed) {
      throw new TypeError('Already read')
    }
    this.url = input.url
    this.credentials = input.credentials
    if (!options.headers) {
      this.headers = new Headers(input.headers)
    }
    this.method = input.method
    this.mode = input.mode
    this.signal = input.signal
    if (!body && input._bodyInit != null) {
      body = input._bodyInit
      input.bodyUsed = true
    }
  } else {
    this.url = String(input)
  }

  this.credentials = options.credentials || this.credentials || 'same-origin'
  if (options.headers || !this.headers) {
    this.headers = new Headers(options.headers)
  }
  this.method = normalizeMethod(options.method || this.method || 'GET')
  this.mode = options.mode || this.mode || null
  this.signal = options.signal || this.signal
  this.referrer = null

  if ((this.method === 'GET' || this.method === 'HEAD') && body) {
    throw new TypeError('Body not allowed for GET or HEAD requests')
  }
  this._initBody(body)

  if (this.method === 'GET' || this.method === 'HEAD') {
    if (options.cache === 'no-store' || options.cache === 'no-cache') {
      // Search for a '_' parameter in the query string
      var reParamSearch = /([?&])_=[^&]*/
      if (reParamSearch.test(this.url)) {
        // If it already exists then set the value with the current time
        this.url = this.url.replace(reParamSearch, '$1_=' + new Date().getTime())
      } else {
        // Otherwise add a new '_' parameter to the end with the current time
        var reQueryString = /\?/
        this.url += (reQueryString.test(this.url) ? '&' : '?') + '_=' + new Date().getTime()
      }
    }
  }
}

Request.prototype.clone = function() {
  return new Request(this, {body: this._bodyInit})
}

function decode(body) {
  var form = new FormData()
  body
    .trim()
    .split('&')
    .forEach(function(bytes) {
      if (bytes) {
        var split = bytes.split('=')
        var name = split.shift().replace(/\+/g, ' ')
        var value = split.join('=').replace(/\+/g, ' ')
        form.append(decodeURIComponent(name), decodeURIComponent(value))
      }
    })
  return form
}

function parseHeaders(rawHeaders) {
  var headers = new Headers()
  // Replace instances of \r\n and \n followed by at least one space or horizontal tab with a space
  // https://tools.ietf.org/html/rfc7230#section-3.2
  var preProcessedHeaders = rawHeaders.replace(/\r?\n[\t ]+/g, ' ')
  // Avoiding split via regex to work around a common IE11 bug with the core-js 3.6.0 regex polyfill
  // https://github.com/github/fetch/issues/748
  // https://github.com/zloirock/core-js/issues/751
  preProcessedHeaders
    .split('\r')
    .map(function(header) {
      return header.indexOf('\n') === 0 ? header.substr(1, header.length) : header
    })
    .forEach(function(line) {
      var parts = line.split(':')
      var key = parts.shift().trim()
      if (key) {
        var value = parts.join(':').trim()
        headers.append(key, value)
      }
    })
  return headers
}

Body.call(Request.prototype)

function Response(bodyInit, options) {
  if (!(this instanceof Response)) {
    throw new TypeError('Please use the "new" operator, this DOM object constructor cannot be called as a function.')
  }
  if (!options) {
    options = {}
  }

  this.type = 'default'
  this.status = options.status === undefined ? 200 : options.status
  this.ok = this.status >= 200 && this.status < 300
  this.statusText = options.statusText === undefined ? '' : '' + options.statusText
  this.headers = new Headers(options.headers)
  this.url = options.url || ''
  this._initBody(bodyInit)
}

Body.call(Response.prototype)

Response.prototype.clone = function() {
  return new Response(this._bodyInit, {
    status: this.status,
    statusText: this.statusText,
    headers: new Headers(this.headers),
    url: this.url
  })
}

Response.error = function() {
  var response = new Response(null, {status: 0, statusText: ''})
  response.type = 'error'
  return response
}

var redirectStatuses = [301, 302, 303, 307, 308]

Response.redirect = function(url, status) {
  if (redirectStatuses.indexOf(status) === -1) {
    throw new RangeError('Invalid status code')
  }

  return new Response(null, {status: status, headers: {location: url}})
}

var DOMException = global.DOMException
try {
  new DOMException()
} catch (err) {
  DOMException = function(message, name) {
    this.message = message
    this.name = name
    var error = Error(message)
    this.stack = error.stack
  }
  DOMException.prototype = Object.create(Error.prototype)
  DOMException.prototype.constructor = DOMException
}

function fetch(input, init) {
  return new Promise(function(resolve, reject) {
    var request = new Request(input, init)

    if (request.signal && request.signal.aborted) {
      return reject(new DOMException('Aborted', 'AbortError'))
    }

    var xhr = new XMLHttpRequest()

    function abortXhr() {
      xhr.abort()
    }

    xhr.onload = function() {
      var options = {
        status: xhr.status,
        statusText: xhr.statusText,
        headers: parseHeaders(xhr.getAllResponseHeaders() || '')
      }
      options.url = 'responseURL' in xhr ? xhr.responseURL : options.headers.get('X-Request-URL')
      var body = 'response' in xhr ? xhr.response : xhr.responseText
      setTimeout(function() {
        resolve(new Response(body, options))
      }, 0)
    }

    xhr.onerror = function() {
      setTimeout(function() {
        reject(new TypeError('Network request failed'))
      }, 0)
    }

    xhr.ontimeout = function() {
      setTimeout(function() {
        reject(new TypeError('Network request failed'))
      }, 0)
    }

    xhr.onabort = function() {
      setTimeout(function() {
        reject(new DOMException('Aborted', 'AbortError'))
      }, 0)
    }

    function fixUrl(url) {
      try {
        return url === '' && global.location.href ? global.location.href : url
      } catch (e) {
        return url
      }
    }

    xhr.open(request.method, fixUrl(request.url), true)

    if (request.credentials === 'include') {
      xhr.withCredentials = true
    } else if (request.credentials === 'omit') {
      xhr.withCredentials = false
    }

    if ('responseType' in xhr) {
      if (support.blob) {
        xhr.responseType = 'blob'
      } else if (
        support.arrayBuffer &&
        request.headers.get('Content-Type') &&
        request.headers.get('Content-Type').indexOf('application/octet-stream') !== -1
      ) {
        xhr.responseType = 'arraybuffer'
      }
    }

    if (init && typeof init.headers === 'object' && !(init.headers instanceof Headers)) {
      Object.getOwnPropertyNames(init.headers).forEach(function(name) {
        xhr.setRequestHeader(name, normalizeValue(init.headers[name]))
      })
    } else {
      request.headers.forEach(function(value, name) {
        xhr.setRequestHeader(name, value)
      })
    }

    if (request.signal) {
      request.signal.addEventListener('abort', abortXhr)

      xhr.onreadystatechange = function() {
        // DONE (success or failure)
        if (xhr.readyState === 4) {
          request.signal.removeEventListener('abort', abortXhr)
        }
      }
    }

    xhr.send(typeof request._bodyInit === 'undefined' ? null : request._bodyInit)
  })
}

fetch.polyfill = true

if (!global.fetch) {
  global.fetch = fetch
  global.Headers = Headers
  global.Request = Request
  global.Response = Response
}


/***/ }),

/***/ 0:
/*!********************************************************!*\
  !*** multi whatwg-fetch ./js/src/frontend/frontend.js ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

__webpack_require__(/*! whatwg-fetch */"./node_modules/whatwg-fetch/fetch.js");
module.exports = __webpack_require__(/*! ./js/src/frontend/frontend.js */"./js/src/frontend/frontend.js");


/***/ })

/******/ });
//# sourceMappingURL=frontend.js.map