(function ($) {

    var text_column_row_value = gf_list_col_num_settings_admin.text_column_row_value;

// ADD drop down options to list field in form editor - hooks into existing GetFieldChoices function.
    (function (w) {
        var GetFieldChoicesOptions = w.GetFieldChoices;

        w.GetFieldChoices = function () {

            var str = GetFieldChoicesOptions.apply(this, [field]);

            if (field.choices == undefined)
                return "";

            for (var index = 0; index < field.choices.length; index++) {

                var field_type = GetInputType(field);
                var value = field.enableChoiceValue ? String(field.choices[ index ].value) : field.choices[ index ].text;

                if ('list' == field_type) {
                    var template = wp.template('list-number-custom-settings');
                    str += template({
                        index: index,
                        value: value,
                    });

                }
            }

            return str;
        }
    })(window || {});

    // trigger for when field is opened
    $(document).bind('gform_load_field_settings', function (event, field, form) {
        gf_list_col_num_format_init();
    });

    // trigger for when column titles are updated
    jQuery(document).on('change', '#gfield_settings_columns_container #field_columns li.field-choice-row', function () {
        gf_list_col_num_format_init();
    });

// trigger when 'Enable multiple columns' is ticked
    jQuery(document).on('change', '#field_settings input[id=field_columns_enabled]', function () {
        gf_list_col_num_format_init();
    });

    // handles custom options - runs on field load and when field options change
    gf_list_col_num_format_init = function () {
        setTimeout(function () {
            var field_type = field.type;

            if ('list' == field_type) {
                if (field.enableColumns) {

                    // hide single column options
                    $('.list_single_col_number_settings').hide();

                    // set up mulit-column options
                    for (var index = 0; index < field.choices.length; index++) {

                        var list_col_number_enable = field.choices[ index ].isNumber;
                        if (true == list_col_number_enable) {
                            // add list column number calculation options
                            list_col_num_calculation_options(index, field)
                            // add range min and max calculation fields
                            // MIN FORUMULA
                            list_col_num_calculation_min_range_options(index, field);
                            // MAX FORUMULA
                            list_col_num_calculation_max_range_options(index, field);

                            // set values
                            set_list_col_number_values(index);

                            // display options
                            jQuery('.list_col_number_options_' + index).show();

                            // set drop down options
                            gf_list_col_num_format_displayed_options(index)
                        } else {
                            jQuery('.list_col_number_options_' + index).hide();
                        }
                    }
                } else {
                    var index = 'single';
                    var list_single_col_number_enable = field.isNumber;
                    // set values
                    set_list_col_number_values(index);
                    if (true == list_single_col_number_enable) {
                        // display options
                        $('.list_single_col_numsettings_wrap').show();

                        gf_list_col_num_format_displayed_options(index);

                    } else {
                        $('.list_single_col_numsettings_wrap').hide();
                    }

                    // show single column options
                    $('.list_single_col_number_settings').show();
                }
            }
        }, 50);
    }

    // add list column number calculation options
    function list_col_num_calculation_options(index, field) {

        if ($('.list_col_number_options_' + index + ' #list_col_calculation_options_' + index).length) {

            // remove any options created by other plugins
            $('li#field_' + field.id + ' #list_col_calculation_formula_' + index + '_variable_select optgroup[label="Custom"]').find('option').each(function () {
                if ('' !== $(this).val() && (-1 == $(this).val().indexOf(':' + field.id + '.') || -1 == $(this).text().indexOf(text_column_row_value))) {
                    $(this).remove();
                }
            });
            // when select tag from select set calculation input value
            $('#list_col_calculation_options_' + index + ' #list_col_calculation_formula_' + index + '_variable_select').change(function () {
                var current_index = $(this).closest(".list_col_calculation_form").data('index');
                set_list_col_calculation_field_data(current_index);
            });
            // when click calculation button set calculation input value
            $('#list_col_calculation_options_' + index + ' div.gf_calculation_buttons input').click(function () {
                var current_index = $(this).closest(".list_col_calculation_form").data('index');
                set_list_col_calculation_field_data(current_index);
            });
            // when type in calculation text area set calculation input value
            $('#list_col_calculation_options_' + index + ' textarea#list_col_calculation_formula_' + index).change(function () {
                var current_index = $(this).closest(".list_col_calculation_form").data('index');
                set_list_col_calculation_field_data(current_index);
            });
        }
    }

    // add range min and max calculation fields  MIN FORUMULA
    function list_col_num_calculation_min_range_options(index, field) {
        if ($('.list_col_number_range_calculation_wrap #list_col_range_min_calculation_options_' + index).length) {

            // remove any options created by other plugins
            $('li#field_' + field.id + ' #list_col_calculation_range_min_formula_' + index + '_variable_select optgroup[label="Custom"]').find('option').each(function () {
                if ('' !== $(this).val() && (-1 == $(this).val().indexOf(':' + field.id + '.') || -1 == $(this).text().indexOf(text_column_row_value))) {
                    $(this).remove();
                }
            });

            // MIN FORUMULA
            // remove the standard options
            $('#list_col_range_min_calculation_options_' + index + ' #list_col_calculation_range_min_formula_' + index + '_variable_select optgroup[label="Allowable form fields"]').remove();
            // when select tag from select set calculation input value
            $(document).on('change', '#list_col_range_min_calculation_options_' + index + ' #list_col_calculation_range_min_formula_' + index + '_variable_select', function () {
                var current_index = $(this).closest("#list_col_range_min_calculation_options_" + index).data('index');
                set_list_col_min_calculation_field_data(current_index);
            });
            // when type in calculation text area set calculation input value
            $(document).on('change', '#list_col_range_min_calculation_options_' + index + ' textarea#list_col_calculation_range_min_formula_' + index, function () {
                var current_index = $(this).closest("#list_col_range_min_calculation_options_" + index).data('index');
                set_list_col_min_calculation_field_data(current_index);
            });
        }
    }


    // add range min and max calculation fields MAX FORUMULA
    function list_col_num_calculation_max_range_options(index, field) {
        if ($('.list_col_number_range_calculation_wrap #list_col_range_max_calculation_options_' + index).length) {
            // remove any options created by other plugins
            $('li#field_' + field.id + ' #list_col_calculation_range_max_formula_' + index + '_variable_select optgroup[label="Custom"]').find('option').each(function () {
                if ('' !== $(this).val() && (-1 == $(this).val().indexOf(':' + field.id + '.') || -1 == $(this).text().indexOf(text_column_row_value))) {
                    $(this).remove();
                }
            });
            // remove the standard options
            $('#list_col_range_max_calculation_options_' + index + ' #list_col_calculation_range_max_formula_' + index + '_variable_select optgroup[label="Allowable form fields"]').remove();
            // when select tag from select set calculation input value
            $(document).on('change', '#list_col_range_max_calculation_options_' + index + ' #list_col_calculation_range_max_formula_' + index + '_variable_select', function () {
                var current_index = $(this).closest("#list_col_range_max_calculation_options_" + index).data('index');
                set_list_col_max_calculation_field_data(current_index);
            });
            // when type in calculation text area set calculation input value
            $(document).on('change', '#list_col_range_max_calculation_options_' + index + ' textarea#list_col_calculation_range_max_formula_' + index, function () {
                var current_index = $(this).closest("#list_col_range_max_calculation_options_" + index).data('index');
                set_list_col_max_calculation_field_data(current_index);
            });

        }
    }

    // set list col number calculation field object data
    function set_list_col_calculation_field_data(index) {
        if ('single' !== index) {
            field.choices[ index ].isNumberCalculationFormula = $('#list_col_calculation_formula_' + index).val().trim();

        }
    }

    // set list col number min range calculation field object data
    set_list_col_min_calculation_field_data = function (index) {
        var calcualtion_min_value = $('#list_col_calculation_range_min_formula_' + index).val().trim();
        field.choices[ index ].list_col_calculation_range_min_formula = calcualtion_min_value;
        $('#list_col_number_range_min_' + index).val(calcualtion_min_value).change();
    }

    // set list col number max range calculation field object data
    set_list_col_max_calculation_field_data = function (index) {
        var calcualtion_max_value = $('#list_col_calculation_range_max_formula_' + index).val().trim();
        field.choices[ index ].list_col_calculation_range_max_formula = calcualtion_max_value;
        $('#list_col_number_range_max_' + index).val(calcualtion_max_value).change();
    }


    // set field data to field object
    set_field_obj_data = function (index) {

        field = GetSelectedField();
        if (index == 'single') {
            // set field selections
            field.isNumber = $('#list_single_col_number_enable').is(':checked');
            field.isNumberFormat = $('#list_single_col_number_format').val();
            field.isNumberRounding = $('#list_single_col_number_rounding').val();
            field.isNumberFixedPoint = $('#list_single_col_number_fixed_point').is(':checked');
            field.isNumberRoundingDirection = $('#list_single_col_number_rounding_direction').val();
            field.isNumberRangeMin = $('#list_single_col_number_range_min').val();
            field.isNumberRangeMax = $('#list_single_col_number_range_max').val();
            field.isNumberRangeInstructions = $('#list_single_col_number_range_instructions').is(':checked');
            field.isNumberColumnTotal = $('#list_single_col_number_column_total').is(':checked');
            gf_list_single_col_num_format_preview()

        } else {

            // set field selections
            field.choices[ index ].isNumber = $('#list_col_number_enable_' + index).is(':checked');
            field.choices[ index ].isNumberFormat = $('#list_col_number_format_' + index).val();
            field.choices[ index ].isNumberRounding = $('#list_col_number_rounding_' + index).val();
            field.choices[ index ].isNumberFixedPoint = $('#list_col_number_fixed_point_' + index).is(':checked');
            field.choices[ index ].isNumberRoundingDirection = $('#list_col_number_rounding_direction_' + index).val();
            field.choices[ index ].isNumberRangeMin = $('#list_col_number_range_min_' + index).val();
            field.choices[ index ].isNumberRangeMax = $('#list_col_number_range_max_' + index).val();
            field.choices[ index ].isNumberRangeInstructions = $('#list_col_number_range_instructions_' + index).is(':checked');
            field.choices[ index ].isNumberEnableCalculation = $('#list_col_number_enable_calculation_' + index).is(':checked');
            field.choices[ index ].isNumberColumnTotal = $('#list_col_number_column_total_' + index).is(':checked');
            field.choices[ index ].isNumberEnableRangeCalculation = $('#list_col_number_enable_range_calculation_' + index).is(':checked');
            field.choices[ index ].isNumberCalculationFormula = $('#list_col_calculation_formula_' + index).val();
//            field.choices[ index ].list_col_calculation_range_min_formula = $('#list_col_calculation_range_min_formula_' + index).val();
//            field.choices[ index ].list_col_calculation_range_max_formula = $('#list_col_calculation_range_max_formula_' + index).val();

            // preview gf list column number format in input field
            gf_list_col_num_format_preview();
        }
        // display list col options
        gf_list_col_num_format_displayed_options(index);
    }

    function set_list_col_number_values(index) {
        // get list column number options values  
        var list_col_num_option_values = gf_list_col_num_option_values(index);
        if ('single' == index) {
            $('.list_single_col_number_settings #list_single_col_number_enable').prop('checked', list_col_num_option_values.isNumber);
            $('.list_single_col_number_settings #list_single_col_number_format').val(list_col_num_option_values.isNumberFormat);
            $('.list_single_col_number_settings #list_single_col_number_rounding').val(list_col_num_option_values.isNumberRounding);
            $('.list_single_col_number_settings #list_single_col_number_fixed_point').prop('checked', list_col_num_option_values.isNumberFixedPoint);
            $('.list_single_col_number_settings #list_single_col_number_rounding_direction').val(list_col_num_option_values.isNumberRoundingDirection);
            $('.list_single_col_number_settings #list_single_col_number_range_min').val(list_col_num_option_values.isNumberRangeMin);
            $('.list_single_col_number_settings #list_single_col_number_range_max').val(list_col_num_option_values.isNumberRangeMax);
            $('.list_single_col_number_settings #list_single_col_number_range_instructions').prop('checked', list_col_num_option_values.isNumberRangeInstructions);
            $('.list_single_col_number_settings #list_single_col_number_column_total').prop('checked', list_col_num_option_values.isNumberColumnTotal);

        } else {

            $('#field_columns #list_col_number_enable_' + index).prop('checked', list_col_num_option_values.isNumber);
            $('#field_columns #list_col_number_format_' + index).val(list_col_num_option_values.isNumberFormat);
            $('#field_columns #list_col_number_rounding_' + index).val(list_col_num_option_values.isNumberRounding);
            $('#field_columns #list_col_number_fixed_point_' + index).prop('checked', list_col_num_option_values.isNumberFixedPoint);
            $('#field_columns #list_col_number_rounding_direction_' + index).val(list_col_num_option_values.isNumberRoundingDirection);
            $('#field_columns #list_col_number_range_min_' + index).val(list_col_num_option_values.isNumberRangeMin);
            $('#field_columns #list_col_number_range_max_' + index).val(list_col_num_option_values.isNumberRangeMax);
            $('#field_columns #list_col_number_enable_calculation_' + index).prop('checked', list_col_num_option_values.isNumberEnableCalculation);
            $('#field_columns #list_col_number_range_instructions_' + index).prop('checked', list_col_num_option_values.isNumberRangeInstructions);
            $('#field_columns #list_col_number_enable_range_calculation_' + index).prop('checked', list_col_num_option_values.isNumberEnableRangeCalculation);
            $('#field_columns #list_col_number_column_total_' + index).prop('checked', list_col_num_option_values.isNumberColumnTotal);
            $('#field_columns #list_col_calculation_formula_' + index).val(list_col_num_option_values.isNumberCalculationFormula);
            $('#field_columns #list_col_calculation_range_min_formula_' + index).val(list_col_num_option_values.isNumberRangeMin);
            $('#field_columns #list_col_calculation_range_max_formula_' + index).val(list_col_num_option_values.isNumberRangeMax);
        }

    }

    // format the field preview inputs for multi-column list field
    function gf_list_col_num_format_preview() {

        for (var index = 0; index < field.choices.length; index++) {
            var list_col_number_enable = 'undefined' !== typeof field.choices[ index ].isNumber ? field.choices[ index ].isNumber : false;

            if (true == list_col_number_enable) {
                var list_col_number_format = ('undefined' !== typeof field.choices[ index ].isNumberFormat) ? field.choices[ index ].isNumberFormat : 'decimal_dot';
                if ('currency' == list_col_number_format) {
                    var number_format_text = '$9,999.00';
                } else if ('decimal_comma' == list_col_number_format) {
                    var number_format_text = '9.999,99';
                } else {
                    var number_format_text = '9,999.99';
                }
                var new_input = '<input type="text" disabled="disabled" value="' + number_format_text + '">';
                var column = index + 1;
                jQuery('li#field_' + field.id + ' table.gfield_list_container tbody tr td:nth-child(' + column + ')').html(new_input);
            }
        }
    }

    // format the field preview inputs for multi-column list field
    function gf_list_single_col_num_format_preview() {

        var list_single_col_number_enable = 'undefined' !== typeof field.isNumber ? field.isNumber : false;

        if (true == list_single_col_number_enable) {
            var list_single_col_number_format = ('undefined' !== typeof field.isNumberFormat) ? field.isNumberFormat : 'decimal_dot';
            if ('currency' == list_single_col_number_format) {
                var number_format_text = '$9,999.00';
            } else if ('decimal_comma' == list_single_col_number_format) {
                var number_format_text = '9.999,99';
            } else {
                var number_format_text = '9,999.99';
            }
            var new_input = '<input type="text" disabled="disabled" value="' + number_format_text + '">';
            jQuery('li#field_' + field.id + ' table.gfield_list_container tbody tr td.gfield_list_cell').html(new_input);
        }

    }
    // format available options
    function gf_list_col_num_format_displayed_options(index) {
        // get list column number options values
        var list_col_num_option_values = gf_list_col_num_option_values(index);
        var rounding_select = '';
        var col_number_format = '';

        if (index !== 'single') {
            // hide / show calculation field formula field
            if (list_col_num_option_values.isNumberEnableCalculation) {
                $('.list_col_number_options_' + index + ' #list_col_calculation_options_' + index).show();
            } else {
                $('.list_col_number_options_' + index + ' #list_col_calculation_options_' + index).hide();
            }
            // show / hide range min and max calculation fields
            if (list_col_num_option_values.isNumberEnableRangeCalculation) {
                // show range min and max calculation fields
                $('.list_col_number_options_' + index + ' #list_col_range_min_calculation_options_' + index).show();
                $('.list_col_number_options_' + index + ' #list_col_range_max_calculation_options_' + index).show();
                // hide min and max number field
                $('.list_col_number_options_' + index + ' .list_col_number_range_wrap').hide();
                // hide range instructions wrap
                $('#list_col_number_range_instructions_wrap_' + index).hide();
            } else {
                // hide range min and max calculation fields
                $('.list_col_number_options_' + index + ' #list_col_range_min_calculation_options_' + index).hide();
                $('.list_col_number_options_' + index + ' #list_col_range_max_calculation_options_' + index).hide();
                // show min and max number field
                $('.list_col_number_options_' + index + ' .list_col_number_range_wrap').show();
                // show range instructions wrap
                $('#list_col_number_range_instructions_wrap_' + index).show();
            }
            // get rounding select
            rounding_select = $('#list_col_number_rounding_' + index);
        } else {
            // get rounding select
            rounding_select = $('#list_single_col_number_rounding');
        }

        // get column number format
        col_number_format = list_col_num_option_values.isNumberFormat;
        // show / hide fixed point and rounding according to list col number format
        var rounding_selected_option = rounding_select.find('option:selected').val();
        if ('currency' == col_number_format) {
            // hide fixed point notation - does not apply to currency format
            gf_list_col_hide_show_fixed_point_notation(index, false);
            // is selected rounding option is more than 2 - select 2
            if (rounding_selected_option > 2 || 1 == rounding_selected_option || 'norounding' == rounding_selected_option) {
                rounding_select.val(2);
            }
            // hide options 1, >2 and 'Do not round'
            rounding_select.find('option').each(function () {
                var rounding_select_option = $(this);
                var rounding_select_option_value = rounding_select_option.val();
                if (rounding_select_option_value > 2 || 1 == rounding_select_option_value || 'norounding' == rounding_select_option_value) {
                    rounding_select_option.hide();
                }
            });
        } else {
            if ('norounding' == rounding_selected_option) {
                // hide fixed point notation - does not when no rounding
                gf_list_col_hide_show_fixed_point_notation(index, false);
                // hide rounding direction
                gf_list_col_hide_show_rounding_dir(index, false);
            } else if ('0' == rounding_selected_option) {
                // hide fixed point notation - does not when rounding to integer
                gf_list_col_hide_show_fixed_point_notation(index, false);
                // show rounding direction
                gf_list_col_hide_show_rounding_dir(index, true);
                // display all options
                rounding_select.find('option').each(function () {
                    $(this).show();
                });
            } else {
                // display fixed point notation
                gf_list_col_hide_show_fixed_point_notation(index, true);
                // show rounding direction
                gf_list_col_hide_show_rounding_dir(index, true);
                // display all options
                rounding_select.find('option').each(function () {
                    $(this).show();
                });
            }
        }
    }

    // hide / show fixed point notation 
    function gf_list_col_hide_show_fixed_point_notation(index, display) {
        var fixed_point_notation_field = '';
        if (index == 'single') {
            fixed_point_notation_field = $('.list_single_col_number_settings #list_single_col_number_point_notation');
        } else {
            fixed_point_notation_field = $('.list_col_number_options_' + index + ' #list_col_number_point_notation_' + index);
        }
        if (display) {
            fixed_point_notation_field.show();
        } else {
            fixed_point_notation_field.hide();
        }
    }

    // hide / show rounding direction 

    function gf_list_col_hide_show_rounding_dir(index, display) {

        var rounding_dir_field = '';
        if (index == 'single') {
            rounding_dir_field = $('.list_single_col_number_settings #list_single_col_number_round_dir_wrap');
        } else {
            rounding_dir_field = $('.list_col_number_options_' + index + ' #list_col_number_round_dir_' + index);
        }

        if (display) {
            rounding_dir_field.show();
        } else {
            rounding_dir_field.hide();
        }
    }

    // get list column number options values
    function gf_list_col_num_option_values(index) {
        var list_col_num_option_values = {};

        if (index == 'single') {
            list_col_num_option_values['isNumber'] = 'undefined' !== typeof field.isNumber ? field.isNumber : false;
            list_col_num_option_values['isNumberFormat'] = 'undefined' !== typeof field.isNumberFormat ? field.isNumberFormat : 'decimal_dot';
            list_col_num_option_values['isNumberRounding'] = 'undefined' !== typeof field.isNumberRounding ? field.isNumberRounding : 'norounding';
            list_col_num_option_values['isNumberFixedPoint'] = 'undefined' !== typeof field.isNumberFixedPoint ? field.isNumberFixedPoint : false;
            list_col_num_option_values['isNumberRoundingDirection'] = 'undefined' !== typeof field.isNumberRoundingDirection ? field.isNumberRoundingDirection : 'roundclosest';
            list_col_num_option_values['isNumberRangeMin'] = 'undefined' !== typeof field.isNumberRangeMin ? field.isNumberRangeMin : '';
            list_col_num_option_values['isNumberRangeMax'] = 'undefined' !== typeof field.isNumberRangeMax ? field.isNumberRangeMax : '';
            list_col_num_option_values['isNumberRangeInstructions'] = 'undefined' !== typeof field.isNumberRangeInstructions ? field.isNumberRangeInstructions : false;
            list_col_num_option_values['isNumberColumnTotal'] = 'undefined' !== typeof field.isNumberColumnTotal ? field.isNumberColumnTotal : false;

        } else {
            list_col_num_option_values['isNumber'] = 'undefined' !== typeof field.choices[ index ].isNumber ? field.choices[ index ].isNumber : false;
            list_col_num_option_values['isNumberFormat'] = 'undefined' !== typeof field.choices[ index ].isNumberFormat ? field.choices[ index ].isNumberFormat : 'decimal_dot';
            list_col_num_option_values['isNumberRounding'] = 'undefined' !== typeof field.choices[ index ].isNumberRounding ? field.choices[ index ].isNumberRounding : 'norounding';
            list_col_num_option_values['isNumberFixedPoint'] = 'undefined' !== typeof field.choices[ index ].isNumberFixedPoint ? field.choices[ index ].isNumberFixedPoint : false;
            list_col_num_option_values['isNumberRoundingDirection'] = 'undefined' !== typeof field.choices[ index ].isNumberRoundingDirection ? field.choices[ index ].isNumberRoundingDirection : 'roundclosest';
            list_col_num_option_values['isNumberRangeMin'] = 'undefined' !== typeof field.choices[ index ].isNumberRangeMin ? field.choices[ index ].isNumberRangeMin : '';
            list_col_num_option_values['isNumberRangeMax'] = 'undefined' !== typeof field.choices[ index ].isNumberRangeMax ? field.choices[ index ].isNumberRangeMax : '';
            list_col_num_option_values['isNumberEnableCalculation'] = 'undefined' !== typeof field.choices[ index ].isNumberEnableCalculation ? field.choices[ index ].isNumberEnableCalculation : false;
            list_col_num_option_values['isNumberRangeInstructions'] = 'undefined' !== typeof field.choices[ index ].isNumberRangeInstructions ? field.choices[ index ].isNumberRangeInstructions : false;
            list_col_num_option_values['isNumberEnableRangeCalculation'] = 'undefined' !== typeof field.choices[ index ].isNumberEnableRangeCalculation ? field.choices[ index ].isNumberEnableRangeCalculation : false;
            list_col_num_option_values['isNumberColumnTotal'] = 'undefined' !== typeof field.choices[ index ].isNumberColumnTotal ? field.choices[ index ].isNumberColumnTotal : false;
            list_col_num_option_values['isNumberCalculationFormula'] = 'undefined' !== typeof field.choices[ index ].isNumberCalculationFormula ? field.choices[ index ].isNumberCalculationFormula : '';
//            list_col_num_option_values['list_col_calculation_range_min_formula'] = 'undefined' !== typeof field.choices[ index ].list_col_calculation_range_min_formula ? field.choices[ index ].list_col_calculation_range_min_formula : '';
//            list_col_num_option_values['list_col_calculation_range_max_formula'] = 'undefined' !== typeof field.choices[ index ].list_col_calculation_range_max_formula ? field.choices[ index ].list_col_calculation_range_max_formula : '';

        }

        return list_col_num_option_values;

    }
})(jQuery);
