
const gf_list_col_num_field_settings = [];
const gf_list_field_is_calculating = {};
window.GWPListNumberFormat = null;

( function($) { 
	window.GWPListNumberFormat = function (form_id, form_settings, $){
	const self = GWPListNumberFormat;
    let exprPatt = /^[0-9 -/*\(\)]+$/i;

    self.gf_list_col_number_format_init = function (form_id, field_ids = null) {

		if (!gf_list_col_num_field_settings[form_id]) {
			return;
		}

		// determine which list fields to update.
		let fields_init_ids = [];
		if (field_ids === null) {
			// init all list fields with number format settings.
			fields_init_ids = Object.keys(gf_list_col_num_field_settings[form_id]);
		} else {
			// init passed fields if they have number format settings.
			field_ids.forEach(function (field_id) {
				if (typeof (gf_list_col_num_field_settings[form_id][field_id]) !== 'undefined') {
					fields_init_ids.push(field_id);
				}
			});
		}

		fields_init_ids.forEach(function (field_id) {
				const number_format_field = gf_list_col_num_field_settings[form_id][field_id];
				var field_col_count = number_format_field['col_count'];
				var list_total_cols = typeof number_format_field['list_total_cols'] !== 'undefined' ? number_format_field['list_total_cols'] : {};
				list_total_cols.length = Object.keys(list_total_cols).length
				// display list col number total column
				if (list_total_cols && list_total_cols.length > 0)
					self.gf_setup_total_columns(form_id, field_id, list_total_cols, field_col_count);
				// get list col number field data

				for( const column_num in number_format_field ) {
					if (isNaN(column_num))
						continue;
					
					col_number_field = number_format_field[column_num];
					// get list column number field
					var field = $('.gfield_list_' + field_id + '_cell' + column_num + ' input');
					// nothing found - lets look for a select instead
					if (!field.length)
						var field = jQuery('.gfield_list_' + field_id + '_cell' + column_num + ' select');
					if (!field.length)
						continue;

					// get list col field data
					var field_data = self.gf_list_col_get_field_data(col_number_field);

					// disable autocomplete for isNumber fields
					field.attr('autocomplete', 'off');
					// add field custom classes 
					var list_col_num_format_class = (field_data.list_col_num_format) ? field_data.list_col_num_format : 'decimal_dot';

					field.addClass(list_col_num_format_class);
					// check if field enable calculation
					if (col_number_field['list_col_number_enable_calculation'] && col_number_field['list_col_number_enable_calculation'] !== 'false') {
						field.attr('readonly', 'readonly')
					}
					// setup isNumber fields if list column number total is enabled
					if (col_number_field.list_col_number_column_total && col_number_field.list_col_number_column_total != 'false') {
						field.addClass('is_column_number_total_enabled');
//                        list_total_cols.push(parseInt(column_num));
					}
					// set column cal total value                        
					self.gf_list_calc_column_total(form_id, field_id, column_num);
					// calculate field based on field calculation forumla 

					if (field_data.list_col_calculation_formula) {
						self.gf_list_col_bind_calc_events(field, field_id, column_num, form_id, field_data)
					}
					// list column number field init
					self.gf_list_col_fields_init(field, form_id, field_id, column_num, field_data);

					// gf list col range calculations
					if ( field_data.list_col_calculation_range_min_formula !== '' || field_data.list_col_calculation_range_max_formula !== '' ) {
						self.gf_list_col_setup_range_calculation(field, form_id, field_id, column_num, field_data);
					}

					// on page load - run on change event to trigger range warnings
					$('.gfield .gfield_list .gfield_list_group').find(field).each(function () {
						var value = $(this).val();
						if (isFinite(self.gf_list_col_clean_number(value, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction))) {
							$(this).trigger('change');
						}
					});

				};
			} );
		

			$('input.is_column_number_total_enabled').trigger('change');

	};


    self.gf_list_number_format_new_row_addedit = function(new_row, row) {
        //var field_details = row.parents( '.gfield_list_container' ).prev( 'input' ).attr('id').split( '_' );
        //var field_id = field_details[ field_details.length - 2 ];
        //var field_id = row.parents( '.gfield_list_container' ).prev( 'input' ).attr('id').split( '_' ).pop().trim().replace( '[]', '');
        if ('1' == gf_list_col_num_settings.is_entry_detail) {
            var field_details = row.parents('.gfield_list_container').parents('.detail-view').attr('id').split('_');
            var field_id = field_details[ field_details.length - 1 ];
        } else {
            var field_details = row.parents('.gfield').attr('id').split('_');
            var field_id = field_details[ field_details.length - 1 ];
        }

        var form_id = field_details[ field_details.length - 2 ];

        new_row.find('.gfield_list_cell input.decimal_dot, .gfield_list_cell input.decimal_comma, .gfield_list_cell input.currency').each(function () {
            var field = jQuery(this);
			field.removeClass('range-error');
			field.next('div.range-error').remove();
            var column_num = field.parent('.gfield_list_cell').index() + 1;
            var number_format_fields = gf_list_col_num_field_settings[form_id];
            // get field saved settings 
            var number_format_field = number_format_fields[field_id][column_num];
            if (!number_format_field)
                return;
            // get list col field data
            var field_data = self.gf_list_col_get_field_data(number_format_field);

            // list column number field init
            self.gf_list_col_fields_init(field, form_id, field_id, column_num, field_data);

            // gf list col range calculations
            if (field_data.list_col_calculation_range_min_formula !== '' || field_data.list_col_calculation_range_max_formula !== '') {
                self.gf_list_col_setup_range_calculation(field, form_id, field_id, column_num, field_data);
            }

            // set column cal total value                        
            self.gf_list_calc_column_total(form_id, field_id, column_num);
            // calculate field based on field calculation forumla 

            if (field_data.list_col_calculation_formula) {
                self.gf_list_col_bind_calc_events(field, field_id, column_num, form_id, field_data)
            }

        });
    };

    self.gf_list_col_get_field_data = function(col_number_field) {
        var field_data = {}
        field_data.list_col_num_format = typeof col_number_field['list_col_num_format'] !== 'undefined' ? col_number_field['list_col_num_format'] : 'decimal_dot';
        field_data.list_col_number_rounding = (typeof col_number_field['list_col_number_rounding'] == 'undefined' || 'norounding' == col_number_field['list_col_number_rounding']) ? -1 : parseInt(col_number_field['list_col_number_rounding']);
        field_data.list_col_number_rounding_direction = typeof col_number_field['list_col_number_rounding_direction'] !== 'undefined' ? col_number_field['list_col_number_rounding_direction'] : 'roundclosest';
        field_data.list_col_number_fixed_point = typeof col_number_field['list_col_number_fixed_point'] !== 'undefined' ? col_number_field['list_col_number_fixed_point'] : false;
        field_data.list_col_calculation_formula = typeof col_number_field['list_col_calculation_formula'] !== 'undefined' ? col_number_field['list_col_calculation_formula'] : false;
        // get range calculations
		field_data.list_col_number_enable_range_calculation = typeof col_number_field['list_col_number_enable_range_calculation'] !== 'undefined' ? col_number_field['list_col_number_enable_range_calculation'] : false;
        field_data.list_col_calculation_range_min_formula = typeof col_number_field['list_col_calculation_range_min_formula'] !== 'undefined' ? col_number_field['list_col_calculation_range_min_formula'] : false;
        field_data.list_col_calculation_range_max_formula = typeof col_number_field['list_col_calculation_range_max_formula'] !== 'undefined' ? col_number_field['list_col_calculation_range_max_formula'] : false;

        // list column number format 
        field_data.decimal_separator = '.';
        field_data.thousand_separator = ',';
        if ('decimal_comma' == field_data.list_col_num_format) {
            field_data.decimal_separator = ',';
            field_data.thousand_separator = '.';
        } else if ('currency' == field_data.list_col_num_format) {
            field_data.decimal_separator = gformGetDecimalSeparator('currency');
            field_data.thousand_separator = (field_data.decimal_separator === '.') ? ',' : '.';
        }

        return field_data;
    };

    self.gf_setup_total_columns = function(form_id, field_id, list_total_cols, field_col_count) {
		try {
			if ($('#field_' + form_id + '_' + field_id + ' table').length > 0) {
				var template = wp.template('list-col-num-total');
				$('#field_' + form_id + '_' + field_id + ' table').append(template({
					list_total_cols: list_total_cols,
					field_col_count: field_col_count
				}));
			} else {
				if ($('#field_' + form_id + '_' + field_id).length > 0) {
						var template = wp.template('fieldset-list-col-num-total');
						$('#field_' + form_id + '_' + field_id).append(template({
							list_total_cols: list_total_cols,
							field_col_count: field_col_count
						}));
				}
			}
		} catch {
			console.error( 'List Number Format - Total row template not found.' );
		}
        // run calculation
//        calc_column_total(field, form_id, field_id, field_column, isNumberFormat, isNumberRounding, decimalSeparator, thousandSeparator, isNumberFixedPoint, isNumberRoundingDirection);
    };

    /**
     * gf list cal column total 
     * 
     * @param int form_id
     * @param int field_id
     * @param int column_num
     * @param boolean ret_val
     * @returns string
     */
    self.gf_list_calc_column_total = function(form_id, field_id, column_num, ret_val = false, formula_field) {

        var field = $('.gfield_list_' + field_id + '_cell' + column_num + ' input'),
                value = field.val(),
                total_value = 0;
        var settings_field_data = self.gf_list_field_settings_data(column_num, field_id, form_id);

        // takes currency, comma or decimal separated numbers - cleans and passes through GF format function
        if (settings_field_data) {
            $('.gfield_list_container .gfield_list_group .gfield_list_cell').find(field).each(function () {
                var value = $(this).val();
                value = self.gf_list_col_clean_number(value, settings_field_data.list_col_number_rounding, settings_field_data.decimal_separator, settings_field_data.list_col_number_rounding_direction);
                total_value += value;
            });
        }

        if (ret_val) {
            var numberFormat = gf_get_field_number_format(field_id, form_id);
            if (!numberFormat) {
                numberFormat = gf_get_field_number_format(formula_field.field_id, form_id);
            }
            if (gformGetDecimalSeparator(numberFormat) == ',')
                total_value = total_value.toString().replace(/\,/g, '').replace(/\./g, ',');

            return total_value;
        } else {
            // gf list col number format
            total_value = self.list_col_num_format_number_field(total_value, settings_field_data.list_col_num_format, settings_field_data.list_col_number_rounding, settings_field_data.decimal_separator, settings_field_data.thousand_separator, settings_field_data.list_col_number_fixed_point, settings_field_data.list_col_number_rounding_direction);
            $('#field_' + form_id + '_' + field_id + ' .list-num-col-total-wrap .list-num-col-total-row .gfield_list_cell:nth-child(' + column_num + ') input').val(total_value);
    }
    };


    // takes currency, comma or decimal separated numbers - cleans and passes through GF format function
    self.gf_list_col_clean_number = function(value, list_col_number_rounding, decimal_separator, list_col_number_rounding_direction) {

        if (undefined == value || !value) {
            return 0;
        }

        if (typeof (value) !== 'string')
            value = value.toString();
        // remove any dollar symbols or non numeric characters -- allows decimal and negative symboles
        var value = value.replace(/(?![.,-])[\D+]/g, '');

        // if decimal separator is comma (e.g. 9.999,00) convert to decimal (e.g. 9,999.99) by removing any dots and replacing comma with a dot
        if (',' == decimal_separator) {
            value = value.replace(/\./g, '').replace(/\,/g, '.');
        }

        // remove any commas that remain (e.g. 9,999.99 to 9999.99)
        value = value.replace(/\,/g, '');

        if (!gformIsNumber(value)) {
            var value = 0;
        }

        if ('rounddown' == list_col_number_rounding_direction) {
            var length = self.gf_list_col_create_length_number('1', list_col_number_rounding);
            var value = (Math.floor(value * length) / length);
        } else if ('roundup' == list_col_number_rounding_direction) {
            var length = self.gf_list_col_create_length_number('1', list_col_number_rounding);
            var value = (Math.ceil(value * length) / length);
        } else if ('roundclosest' == list_col_number_rounding_direction) {
            var value = parseFloat(value);
            if (-1 != list_col_number_rounding) {
                value = value.toFixed(list_col_number_rounding);
            }
        }

        value = value.toString();

        if (!isFinite(value)) {
            value = 0;
        }

        return parseFloat(value);
    };

    // 
    self.gf_list_col_create_length_number = function(str, max) {
        return str.length < max + 1 ? self.gf_list_col_create_length_number(str + '0', max) : str;
    };

    // gf list col number format
    self.list_col_num_format_number_field = function(clean_value, list_col_num_format, list_col_number_rounding, decimal_separator, thousand_separator, list_col_number_fixed_point, list_col_number_rounding_direction) {
        var value = 0;
        // catch any undefined values
        if (undefined == clean_value) {
            clean_value = 0;
        }

        if (0 == clean_value.length) {
            clean_value = 0;
        }

        clean_value = clean_value.toString(); // convert to string in case number passed

        if ('currency' == list_col_num_format) {
            value = gformFormatMoney(clean_value, 1);
            value = self.list_col_force_rounding(value, list_col_number_rounding, decimal_separator, list_col_number_fixed_point);
        } else {
            value = gformFormatNumber(clean_value, list_col_number_rounding, decimal_separator, thousand_separator); // rounds closest
            value = self.list_col_force_rounding(value, list_col_number_rounding, decimal_separator, list_col_number_fixed_point);
        }
        return value;
    };

    // list column force rounding
    self.list_col_force_rounding = function(value, list_col_number_rounding, decimal_separator, list_col_number_fixed_point) {
        if (list_col_number_fixed_point) {
            var decimal_places = (value.split(decimal_separator)[1] || []).length; // get the current number of decimal places
            if (decimal_places < list_col_number_rounding) { // if current number of decimal places is less than the rounding limit
                // if decimal separator does not exist - add it
                if (-1 == value.indexOf(decimal_separator)) {
                    value += decimal_separator;
                }

                // add '0' padding until decimal places isNumberRounding has been met
                while (decimal_places < list_col_number_rounding) {
                    value += '0';
                    decimal_places = value.substr(value.indexOf(decimal_separator) + 1).length;
                }
            }
        }

        // strip additional decimal places


        return value;
    };

    // calculate field based on field calculation forumla 
    self.gf_list_col_bind_calc_events = function(field, field_id, field_column, form_id, field_data) {

        // setup row calculations
        var obj = gf_list_col_num_field_settings[ form_id ][ field_id ];
        var calculation_field_forumla = obj[ field_column ]['list_col_calculation_formula'];
        var rows = field.parents('.gfield_list_group');
        var keyup_input;
        // get column matches from formula
        var matches = GFMergeTag.parseMergeTags(calculation_field_forumla);
        var formula_field = {
            'field_id': field_id,
            'formula': calculation_field_forumla
        };

        gf_list_field_is_calculating[form_id + '_' + field_id] = false;

        $.each(rows, function (key, row) {
            for (var i in matches) {

                if (!matches.hasOwnProperty(i))
                    continue;

                var input_id = matches[i][1];
                var field_id = parseInt(input_id, 10);
                var column_num = '';
                var current_field = $(row).find(field);

                // if match list field column
                if (undefined !== matches[ i ][2]) {
                    column_num = matches[ i ][2].substr(1);
                    keyup_input = $(row).find('.gfield_list_' + field_id + '_cell' + column_num + ' input, .gfield_list_' + field_id + '_cell' + column_num + ' select');
                } else { // otherwise must be standard field
                    //var input = jQuery( '#input_' + form_id + '_' + fieldId );
                    keyup_input = $('#field_' + form_id + '_' + field_id).find('input[name="input_' + input_id + '"], select[name="input_' + input_id + '"]');
                }

                if (keyup_input.prop('type') == 'checkbox' || keyup_input.prop('type') == 'radio') {
                    $(keyup_input).click(function () {
                        self.gf_list_bind_calc_event(current_field, input_id, field_id, column_num, formula_field, form_id, field_data, 0);
                    });
                } else
                if (keyup_input.is('select') || keyup_input.prop('type') == 'hidden') {
					// support GP Nested Form field. Nested forms (v1.0.5) triggers calculations by triggering gform_post_conditional_logic action.
					if ($(keyup_input).parent().find('.gpnf-nested-entries-container').length > 0) {
						$(document).bind("gform_post_conditional_logic", function(e,formID, fields, isInit){
							self.gf_list_bind_calc_event(current_field, input_id, field_id, column_num, formula_field, form_id, field_data, 0);
						});						
					} else {
						// Other fields.
						$(keyup_input).change(function () {
							self.gf_list_bind_calc_event(current_field, input_id, field_id, column_num, formula_field, form_id, field_data, 0);
						});
					}
                } else {
                    $(keyup_input).keydown(function () {
                        self.gf_list_bind_calc_event(current_field, input_id, field_id, column_num, formula_field, form_id, field_data, 0);
                    }).change(function () {
                        self.gf_list_bind_calc_event(current_field, input_id, field_id, column_num, formula_field, form_id, field_data, 0);
                    });
                }

                // allow users to add custom methods for triggering calculations.
                gform.doAction('gf_list_col_post_calculation_events', matches[i], formula_field, form_id);

				// run calculations for this input after binding calc events.
				self.gf_list_run_calc(current_field, formula_field, form_id, column_num, input_id, field_id, field_data);
            }
        });

    };

    // 
    self.gf_list_bind_calc_event = function(destination_field, input_id, field_id, column_num, formula_field, form_id, field_data, delay) {

        var formula_field_id = formula_field.field_id;

        delay = delay == undefined ? 345 : delay;

        if (gf_list_field_is_calculating[form_id + '_' + formula_field_id] && gf_list_field_is_calculating[form_id + '_' + formula_field_id][input_id]){
            clearTimeout(gf_list_field_is_calculating[form_id + '_' + formula_field_id][input_id]);
		}

		gf_list_field_is_calculating[form_id + '_' + formula_field_id][input_id] = window.setTimeout(function () {
            self.gf_list_run_calc(destination_field, formula_field, form_id, column_num, input_id, field_id, field_data);
        }, delay);

    }

    //
    self.gf_list_run_calc = function(destination_field, formula_field, form_id, column_num, input_id, field_id, field_data) {

        var field = $('#field_' + form_id + '_' + formula_field.field_id);
        var result = self.gf_list_run_cal_formula(destination_field, formula_field, form_id, column_num, input_id, field_data);

        // clean number field
//        result = self.gf_list_col_clean_number(result, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction);
        // format number field
        result = self.list_col_num_format_number_field(result, field_data.list_col_num_format, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.thousand_separator, field_data.list_col_number_fixed_point, field_data.list_col_number_rounding_direction);
        //If value doesn't change, abort.
        // if this is a calculation product, handle differently
        if (field.hasClass('gfield_price')) {
            jQuery('#input_' + form_id + '_' + formula_field.field_id).text(result);
            destination_field.val(result).trigger('change');
            gformCalculateTotalPrice(form_id);
        } else {
            destination_field.val(result).trigger('change');
        }

    }

    self.gf_list_run_cal_formula = function(destination_field, formula_field, form_id, column_num, input_id, field_data) {
		var calcObj = rgars( window, 'gf_global/gfcalc/' + form_id );
		var field = $('#field_' + form_id + '_' + formula_field.field_id),
                row = field.find('.gfield_list_group'),
                formula = gform.applyFilters('gf_list_col_calculation_formula', formula_field.formula, formula_field, form_id),
                expr = gform.applyFilters('gform_calculation_formula', formula, formula_field, form_id, calcObj),
                result = '',
                formula_input = '';
		expr = self.gf_list_col_replace_field_tags(form_id, expr, formula_field, field_data, destination_field).replace(/(\r\n|\n|\r)/gm, "");

        // get formula input field
        if (field.hasClass('gfield_price')) {
            formula_input = $('#ginput_base_price_' + form_id + '_' + formula_field.field_id);
        } else {
            // if list field column
            if (column_num) {
                formula_input = row.find('.gfield_list_' + formula_field.field_id + '_cell' + column_num + ' input, .gfield_list_' + formula_field.field_id + '_cell' + column_num + ' select');
            } else { // otherwise must be standard field
                formula_input = $('#field_' + form_id + '_' + formula_field.field_id).find('input[name="input_' + input_id + '"], select[name="input_' + input_id + '"]');
            }
            // if radio field only get active radio
            if (formula_input.prop('type') == 'radio') {
                formula_input = formula_input.filter(':checked');
            }
        }

        // get formula input field value
        var previous_val = formula_input.val();

        if (exprPatt.test(expr)) {
            try {
                //run calculation
                result = eval(expr);
            } catch (e) {
            }
        }
        // if result is positive infinity, negative infinity or a NaN, defaults to 0
        if (!isFinite(result))
            result = 0;

        return result;
    }

    //
    self.gf_list_col_replace_field_tags = function(form_id, expr, formula_field, field_data, destination_field) {

        var matches = GFMergeTag.parseMergeTags(expr),
                i;

        for (i in matches) {

            if (!matches.hasOwnProperty(i))
                continue;

            var input_id = matches[i][1];
            var field_id = parseInt(input_id, 10);

            var modifier = 'value';
            if (matches[i][3]) {
                modifier = matches[i][3];
            } else {
                var is_product_radio = jQuery('.gfield_price input[name=input_' + field_id + ']').is('input[type=radio]');
                var is_product_dropdown = jQuery('.gfield_price select[name=input_' + field_id + ']').length > 0;
                var is_option_checkbox = jQuery('.gfield_price input[name="input_' + input_id + '"]').is('input[type=checkbox]');

                if (is_product_dropdown || is_product_radio || is_option_checkbox) {
                    modifier = 'price';
                }
            }

            var isVisible = window['gf_check_field_rule'] ? gf_check_field_rule(form_id, field_id, true, '') == 'show' : true;

            var value = isVisible ? GFMergeTag.getMergeTagValue(form_id, input_id, modifier) : 0;

            // clean number fields value
            var numberFormat = gf_get_field_number_format(field_id, form_id);
            if (!numberFormat) {
                numberFormat = gf_get_field_number_format(formula_field.field_id, form_id);
            }
            if (numberFormat && value) {
                var decimalSeparator = gformGetDecimalSeparator(numberFormat);
                value = gformCleanNumber(value, '', '', decimalSeparator);
            }

            if (!value) {
                // allow users to modify value with their own function
                value = gform.applyFilters('gf_list_col_merge_tag_value_pre_calculation', value, matches[i], isVisible, formula_field, form_id, destination_field);
//                value = self.gf_list_col_clean_number(value, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction);
            }
            expr = expr.replace(matches[i][0], value);
        }

        return expr;
    }

    // list column number field init
    self.gf_list_col_fields_init = function(field, form_id, field_id, column_num, field_data) {
        // if column number total enabled then calculate list column total and add to total field
        if (field.hasClass('is_column_number_total_enabled')) {
            $(field).keyup(function () {
                self.gf_list_calc_column_total(form_id, field_id, column_num);

            });
        }
        $(field).each(function () {
            $(this).change(function () {
                var $this = $(this);
                if (!$this.is('select') && '' != $this.val() && '0' != $this.val()) {
                    var value = $this.val();
                    var clean_value = self.gf_list_col_clean_number(value, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction);
                    var value = self.list_col_num_format_number_field(clean_value, field_data.list_col_num_format, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.thousand_separator, field_data.list_col_number_fixed_point, field_data.list_col_number_rounding_direction);
//                    self.gf_list_calc_column_total(form_id, field_id, column_num);
                    $this.val(value).trigger('keyup');
                }
            });
        });
    }

    self.gf_list_col_setup_range_calculation = function(field, form_id, field_id, column_num, field_data) {
        var list_col_calculation_range_max_formula = field_data.list_col_calculation_range_max_formula;
        var list_col_calculation_range_min_formula = field_data.list_col_calculation_range_min_formula;

        /**
         * Min range formula
         */
        if (list_col_calculation_range_min_formula.length >= 1) {
            var row = field.parents('.gfield_list_group');
            var keyup_input;
            // get column matches from formula
            var matches = GFMergeTag.parseMergeTags(list_col_calculation_range_min_formula);
            var formula_field = {
                'field_id': field_id,
                'formula': list_col_calculation_range_min_formula
            };

            if (matches) {
                // when current field value change then check range calculation
                keyup_input = row.find('.gfield_list_' + field_id + '_cell' + column_num + ' input, .gfield_list_' + field_id + '_cell' + column_num + ' select');
                if (keyup_input.length > 0)
                    self.gf_list_min_max_range_cal_init(keyup_input, field, input_id, column_num, formula_field, form_id, field_data)

                for (var i in matches) {

                    if (!matches.hasOwnProperty(i))
                        continue;

                    var input_id = matches[i][1];
                    var field_id = parseInt(input_id, 10);
                    var column_id = '';

                    // if match list field column
                    if (undefined !== matches[ i ][2]) {
                        column_id = matches[ i ][2].substr(1);
                        keyup_input = row.find('.gfield_list_' + field_id + '_cell' + column_id + ' input, .gfield_list_' + field_id + '_cell' + column_id + ' select');
                    } else { // otherwise must be standard field
                        //var input = jQuery( '#input_' + form_id + '_' + fieldId );
                        keyup_input = $('#field_' + form_id + '_' + field_id).find('input[name="input_' + input_id + '"], select[name="input_' + input_id + '"]');
                    }
                    // when any of min range formula fields value is changed then check range calculation
                    if (keyup_input.length > 0)
                        self.gf_list_min_max_range_cal_init(keyup_input, field, input_id, column_id, formula_field, form_id, field_data)
                    // allow users to add custom methods for triggering calculations
                    gform.doAction('gf_list_col_min_range_calculation_events', matches[i], formula_field, form_id);

                }
            }

        }

        /**
         * Max range formula
         */
        if (list_col_calculation_range_max_formula.length >= 1) {
            var row = field.parents('.gfield_list_group');
            var keyup_input;
            // get column matches from formula
            var matches = GFMergeTag.parseMergeTags(list_col_calculation_range_max_formula);

            var formula_field = {
                'field_id': field_id,
                'formula': list_col_calculation_range_max_formula
            };

            if (matches) {
                // when current field value change then check range calculation
                keyup_input = row.find('.gfield_list_' + field_id + '_cell' + column_num + ' input, .gfield_list_' + field_id + '_cell' + column_num + ' select');
                if (keyup_input.length > 0)
                    self.gf_list_min_max_range_cal_init(keyup_input, field, input_id, column_num, formula_field, form_id, field_data)

                for (var i in matches) {

                    if (!matches.hasOwnProperty(i))
                        continue;

                    var input_id = matches[i][1];
                    var field_id = parseInt(input_id, 10);
                    var column_id = '';

                    // if match list field column
                    if (undefined !== matches[ i ][2]) {
                        column_id = matches[ i ][2].substr(1);
                        keyup_input = row.find('.gfield_list_' + field_id + '_cell' + column_id + ' input, .gfield_list_' + field_id + '_cell' + column_id + ' select');
                    } else { // otherwise must be standard field
                        //var input = jQuery( '#input_' + form_id + '_' + fieldId );
                        keyup_input = $('#field_' + form_id + '_' + field_id).find('input[name="input_' + input_id + '"], select[name="input_' + input_id + '"]');
                    }
                    // when any of min range formula fields value is changed then check range calculation
                    if (keyup_input.length > 0)
                        self.gf_list_min_max_range_cal_init(keyup_input, field, input_id, column_id, formula_field, form_id, field_data)
                    // allow users to add custom methods for triggering calculations
                    gform.doAction('gf_list_col_max_range_calculation_events', matches[i], formula_field, form_id);

                }
            }
        }
    }

    // gravity forms list col min range calculation init 
    self.gf_list_min_max_range_cal_init = function(keyup_input, field, input_id, column_id, formula_field, form_id, field_data) {
        if (keyup_input.prop('type') == 'checkbox' || keyup_input.prop('type') == 'radio') {
            $(keyup_input).click(function () {
                self.gf_list_bind_min_max_range_cal_event(field, input_id, column_id, formula_field, form_id, field_data);
            });
        } else
        if (keyup_input.is('select') || keyup_input.prop('type') == 'hidden') {
            $(keyup_input).change(function () {
                self.gf_list_bind_min_max_range_cal_event(field, input_id, column_id, formula_field, form_id, field_data);
            });
        } else {
            $(keyup_input).change(function () {
                self.gf_list_bind_min_max_range_cal_event(field, input_id, column_id, formula_field, form_id, field_data);
            });
        }
    }

    // gravity forms list col min range calculation event 
    self.gf_list_bind_min_max_range_cal_event = function(destination_fields, input_id, column_num, formula_field, form_id, field_data) {
        // get current field value 
		destination_fields.each( function(index,elem ) {
			destination_field = $(elem);

			// don't show visual feedback if the field value is empty.
			if ( destination_field.val() === '' ) {
				return;
			}

			var current_field_val = self.gf_list_col_clean_number(destination_field.val(), field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction)
			destination_field.removeClass('range-error');
			destination_field.next('div.range-error').remove();

			// calculate min range formula value
			var list_col_calculation_range_min_formula = field_data.list_col_calculation_range_min_formula;
			var min_range_valid = true;
			if (list_col_calculation_range_min_formula.length >= 1) {
				formula_field.formula = list_col_calculation_range_min_formula;
				var min_range_val = self.gf_list_run_cal_formula(destination_field, formula_field, form_id, column_num, input_id, field_data);
	//            min_range_val = gf_list_col_clean_nu/mber(min_range_val, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction);
				var min_range_val_format = self.list_col_num_format_number_field(min_range_val, field_data.list_col_num_format, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.thousand_separator, field_data.list_col_number_fixed_point, field_data.list_col_number_rounding_direction);
				// check if min value is valid
				if (min_range_val > current_field_val) {
					min_range_valid = false;
				}
			}

			// calculate max range formula value
			var list_col_calculation_range_max_formula = field_data.list_col_calculation_range_max_formula;
			var max_range_valid = true;
			if (list_col_calculation_range_max_formula.length >= 1) {
				formula_field.formula = list_col_calculation_range_max_formula;
				var max_range_val = self.gf_list_run_cal_formula(destination_field, formula_field, form_id, column_num, input_id, field_data);
	//            max_range_val = self.gf_list_col_clean_number(max_range_val, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.list_col_number_rounding_direction);
				var max_range_val_format = self.list_col_num_format_number_field(max_range_val, field_data.list_col_num_format, field_data.list_col_number_rounding, field_data.decimal_separator, field_data.thousand_separator, field_data.list_col_number_fixed_point, field_data.list_col_number_rounding_direction);
				// check if min value is valid
				if (max_range_val < current_field_val) {
					max_range_valid = false
				}
			}

			// display range min and ax errors
			if (!min_range_valid || !max_range_valid) {
				var error_message = '';
				if (!min_range_valid && !max_range_valid)
					error_message = gf_list_col_num_settings.min_max_range_formula_error.replace(/{{min}}/g, min_range_val_format).replace(/{{max}}/g, max_range_val_format);
				else if (!min_range_valid)
					error_message = gf_list_col_num_settings.min_range_formula_error.replace(/{{min}}/g, min_range_val_format);
				else if (!max_range_valid)
					error_message = gf_list_col_num_settings.max_range_formula_error.replace(/{{max}}/g, max_range_val_format);

				destination_field.addClass('range-error');
				destination_field.next('div.range-error').remove(); // remove any existing errors
				destination_field.after("<div class='range-error'><div class='arrow-up'></div><span class='range-error-flag'>" + error_message + "</span></div>");
			}
		});
    }

    self.gf_list_field_settings_data = function(column_num, field_id, form_id) {
        // setup number format fields
        var number_format_fields = gf_list_col_num_field_settings[form_id];
        var number_format_field = (undefined !== number_format_fields[field_id]) ? number_format_fields[field_id][column_num] : {};
        var settings_field_data = {};

        if (!number_format_field)
            return;

        settings_field_data.list_col_num_format = typeof number_format_field['list_col_num_format'] !== 'undefined' ? number_format_field['list_col_num_format'] : 'decimal_dot';
        settings_field_data.list_col_number_rounding = (typeof number_format_field['list_col_number_rounding'] == 'undefined' || 'norounding' == number_format_field['list_col_number_rounding']) ? -1 : parseInt(number_format_field['list_col_number_rounding']);
        settings_field_data.list_col_number_rounding_direction = typeof number_format_field['list_col_number_rounding_direction'] !== 'undefined' ? number_format_field['list_col_number_rounding_direction'] : 'roundclosest';
        settings_field_data.list_col_number_fixed_point = typeof number_format_field['list_col_number_fixed_point'] !== 'undefined' ? number_format_field['list_col_number_fixed_point'] : false;
        settings_field_data.list_col_calculation_formula = number_format_field['list_col_calculation_formula'];

        // list column number format 
        settings_field_data.decimal_separator = '.';
        settings_field_data.thousand_separator = ',';
        if ('decimal_comma' == settings_field_data.list_col_num_format) {
            settings_field_data.decimal_separator = ',';
            settings_field_data.thousand_separator = '.';
        } else if ('currency' == settings_field_data.list_col_num_format) {
            settings_field_data.decimal_separator = gformGetDecimalSeparator('currency');
            settings_field_data.thousand_separator = (settings_field_data.decimal_separator === '.') ? ',' : '.';
        }

        return settings_field_data;
    }

    if (typeof gform !== 'undefined') {
        // function to the 'add list item' button click event
        gform.addFilter('gform_list_item_pre_add', function (clone, group) {

            self.gf_list_number_format_new_row_addedit(clone, group);
            return clone;
        });

        gform.addFilter('gform_merge_tag_value_pre_calculation', function (value, merge_tag_arr, is_visible, formula_field, form_id) {

            var field_id = parseInt(merge_tag_arr[1]),
                    field_selector = '#field_' + form_id + '_' + field_id;

            if (value === '') {
                value = 0;
            }

            // check if merge tag belongs to a List field and that it isn't hidden by conditional logic
            if ($(field_selector + ' .gfield_list').length == 1 && is_visible) {

                if (merge_tag_arr[2] == null) {
                    // if no column specified count the rows
                    value = $(field_selector + ' .gfield_list .gfield_list_group').length;
                } else {
                    var column_num = parseInt(merge_tag_arr[2].substr(1));
                    value = self.gf_list_calc_column_total(form_id, field_id, column_num, true, formula_field)
                }

            }

            return value;
        });

        // get value of col in specific roe
        gform.addFilter('gf_list_col_merge_tag_value_pre_calculation', function (value, merge_tag_arr, is_visible, formula_field, form_id, destination_field) {
            var input_id = parseInt(merge_tag_arr[1]),
                    field_id = parseInt(input_id),
                    field_selector = '#field_' + form_id + '_' + field_id;

            if (value === '') {
                value = 0;
            }

            // check if merge tag belongs to a List field and that it isn't hidden by conditional logic

            if ($(field_selector + ' .gfield_list').length == 1 && is_visible) {
                if (merge_tag_arr[2] !== null) {
                    // if no column specified count the rows
                    var this_row = destination_field.parents('.gfield_list_group');
//                    var this_row = $(field_selector).parents('.gfield_list_group');
                    var column_id = merge_tag_arr[2].substr(1);

                    // get settings field data
                    var settings_field_data = self.gf_list_field_settings_data(column_id, field_id, form_id);
                    if (!this_row.length) { // if input is a standard field
                        var target_rows = $('#field_' + form_id + '_' + field_id).find('.gfield_list_group');
                        var source_input = target_rows.find('.gfield_list_' + field_id + '_cell' + column_id + ' input, .gfield_list_' + field_id + '_cell' + column_id + ' select');
                    } else {
                        var source_input = this_row.find('.gfield_list_' + field_id + '_cell' + column_id + ' input, .gfield_list_' + field_id + '_cell' + column_id + ' select');
                    }
                    // get the value and clean it up
                    value = source_input.val();
                    if (settings_field_data) {
                        value = self.gf_list_col_clean_number(value, settings_field_data.list_col_number_rounding, settings_field_data.decimal_separator, settings_field_data.list_col_number_rounding_direction);
                    }
                }
            }

            return value;

        });

        gform.addAction('gform_post_calculation_events', function (merge_tag_arr, formula_field, form_id, calcObj) {
            var field_id = parseInt(merge_tag_arr[1]),
                    fieldSelector = '#field_' + form_id + '_' + field_id;

            if ($(fieldSelector + ' .gfield_list').length == 1) {
                $(fieldSelector)
                        .on('click', '.add_list_item', function () {
                            $(fieldSelector + ' .delete_list_item').prop('onclick',null);
                            calcObj.bindCalcEvent(field_id, formula_field, form_id, 0);
                        })
                        .on('click', '.delete_list_item', function () {
                            gformDeleteListItem(this, 0);
                            calcObj.bindCalcEvent(field_id, formula_field, form_id, 0);
                        });

                if (merge_tag_arr[2] != null) {
                    var column_id = merge_tag_arr[2].substr(1),
                            columnSelector = '.gfield_list_' + field_id + '_cell' + column_id + ' :input';
                    $(fieldSelector).on('keyup', columnSelector, function () {
                        calcObj.bindCalcEvent(field_id, formula_field, form_id, 0);
                    });
                }
            }
        });


        gform.addAction('gform_list_post_item_delete', function (container) {
            container.find('.gfield_list_group:first input').each(function () {
                $(this).trigger('keyup');
            });
        });

		// Support for GPPA. Reinitizalize after GPPA populates a list field.
		$(document).on('gppa_updated_batch_fields', function (event, formId, updatedFieldIds) {
			if (updatedFieldIds.length !== 0) {
				const fieldIds = [];
				updatedFieldIds.forEach(element => fieldIds.push(parseInt(element)));
				self.gf_list_col_number_format_init(formId, fieldIds);
			}
		});
    }

	gf_list_col_num_field_settings[form_id] = form_settings;

	self.gf_list_col_number_format_init(form_id);
}; } ) (jQuery);

