<li class="list_single_col_number_settings field_setting">
	<label for="number_format" class="section_label">
		<?php esc_html_e( 'Number Format', 'gravitywp-list-number-format' ); ?>
		<?php gform_tooltip( 'list_number_enable' ); ?>
	</label>
	<input type='checkbox' name='list_single_col_number_enable' id='list_single_col_number_enable' onclick='set_field_obj_data("single"); gf_list_col_num_format_init();' />
	<label class='inline' for='list_single_col_number_enable'>
		<?php esc_html_e( 'Enable Number Format', 'gravitywp-list-number-format' ); ?>
	</label>
	<div class="list_single_col_numsettings_wrap">
		<div class='list_col_number_clear'>
			<label class='section_label' for='list_single_col_number_format'>
				<?php esc_html_e( 'Number Format', 'gravitywp-list-number-format' ); ?>
			</label>
		</div>
		<!--option for number format-->
		<select id="list_single_col_number_format" class='list_single_col_number_format list_single_col_number_option' onchange="set_field_obj_data('single');" <?php echo $entry_count > 0 ? 'disabled' : ''?>>
			<option value="decimal_dot" >9,999.99</option>
			<option value="decimal_comma">9.999,99</option>
			<option value="currency"><?php esc_html_e( 'Currency', 'gravitywp-list-number-format' ); ?></option>
		</select>
		<p style="font-size: 80%;">
			<?php esc_html_e( 'Note: Changing the format is only possible when the form has no entries.', 'gravitywp-list-number-format' );?>
		</p>

		<!--option for number round-->
		<div class='list_single_col_number_rounding_wrap'>
			<div class='list_col_number_clear'>
				<label class='section_label' for='list_single_col_number_rounding'>
					<?php esc_html_e( 'Rounding', 'gravitywp-list-number-format' ); ?>
				</label>
			</div>
			<select class='list_single_col_number_rounding list_single_col_number_option' id='list_single_col_number_rounding' onchange="set_field_obj_data('single');" >
				<option value='norounding'><?php esc_html_e( 'Do not round', 'gravitywp-list-number-format' ); ?></option>
				<option value='0'>0</option>
				<option value='1'>1</option>
				<option value='2'>2</option>
				<option value='3'>3</option>
				<option value='4'>4</option>
				<option value='5'>5</option>
			</select>
		</div>


		<!--  option for fixed point notation-->
		<div class="list_single_col_number_point_notation list_single_col_number_option" id='list_single_col_number_point_notation'>
			<input type='checkbox' id='list_single_col_number_fixed_point' onclick="set_field_obj_data('single');" />
			<label class='inline' for='list_single_col_number_fixed_point'>
				<?php esc_html_e( 'Fixed point notation', 'gravitywp-list-number-format' ); ?>
			</label>
		</div>
		<!-- option for rounding direction -->
		<div class='list_single_col_number_round_dir_wrap list_single_col_number_option'>
			<div  class='list_col_number_clear'>
				<label class='section_label' for='list_single_col_number_rounding_direction'>
					<?php esc_html_e( 'Rounding Direction', 'gravitywp-list-number-format' ); ?>
				</label>
			</div>
			<select class='list_single_col_number_rounding_direction' id='list_single_col_number_rounding_direction' onchange="set_field_obj_data('single'); gf_list_col_num_format_init();">
				<option value='roundclosest'><?php esc_html_e( 'Round closest', 'gravitywp-list-number-format' ); ?></option>
				<option value='roundup'><?php esc_html_e( 'Round up', 'gravitywp-list-number-format' ); ?></option>
				<option value='rounddown'><?php esc_html_e( 'Round down', 'gravitywp-list-number-format' ); ?></option>
			</select>
		</div>

		<!-- options for range -->
		<div class='list_single_col_number_range_wrap list_single_col_number_option'>
			<div  class='list_col_number_clear'>
				<label class='section_label'><?php esc_html_e( 'Range', 'gravitywp-list-number-format' ); ?></label>
			</div>
			<div class='range'>
				<!-- option for min range -->
				<div class='range_min'>
					<input type='text' id='list_single_col_number_range_min' onchange="set_field_obj_data('single');" >
					<label for='list_single_col_number_range_min'><?php esc_html_e( 'Min', 'gravitywp-list-number-format' ); ?></label>
				</div>
				<!-- option for max range --> 
				<div class='range_max'>
					<input type='text' id='list_single_col_number_range_max' onchange="set_field_obj_data('single');" >
					<label for='list_single_col_number_range_max'>
						<?php esc_html_e( 'Max', 'gravitywp-list-number-format' ); ?>
					</label>
				</div>
				<br>
			</div>
		</div>

		<!-- option to include range message - enabled by default --> 
		<div class='list_single_col_number_option'>

			<!-- option to instructions--> 
			<div id="list_single_col_number_range_instructions_wrap">
				<input type='checkbox' id='list_single_col_number_range_instructions' onclick="set_field_obj_data('single');" >
				<label class='inline' for='list_single_col_number_range_instructions'>
					<?php esc_html_e( 'Enable Range Instructions', 'gravitywp-list-number-format' ); ?>
				</label>
			</div>
			
			<!-- option to create column total -->
			<div class="list_single_col_number_range_total"> 
				<input type='checkbox' id='list_single_col_number_column_total' onclick="set_field_obj_data('single');" >
				<label class='inline' for='list_single_col_number_column_total'>
					<?php esc_html_e( 'Enable Column Total', 'gravitywp-list-number-format' ); ?>
				</label>
			</div>
		</div>
	</div>
</li>
