<?php
/*
 * Google Sheet configuration and settings page
 * @since 1.0
 */

// Exit if accessed directly
if (!defined('ABSPATH')) {
   exit();
}

$active_tab = ( isset($_GET['tab']) && sanitize_text_field($_GET["tab"])) ? sanitize_text_field($_GET['tab']) : 'integration';
// if the license info is incomplete or license status is invalid, go to the license tab

$license = get_option('gfgs_license_key');
$status = get_option('gfgs_license_status');

if (empty($license) || $status == 'invalid') {
   $active_tab = 'license_settings';
}
?>
<div class = "wrap gf_browser_chrome">
   <?php
   $tabs = array(
      'license_settings' => __('License', 'gsheetconnector-gravityforms'),
      'integration' => __('Integration', 'gsheetconnector-gravityforms'),
      'settings' => __('Settings', 'gsheetconnector-gravityforms'),
   );
   echo '<div id="icon-themes" class="icon32"><br></div>';
   echo '<h2 class="nav-tab-wrapper">';
   foreach ($tabs as $tab => $name) {
      $class = ( $tab == $active_tab ) ? ' nav-tab-active' : '';
      echo "<a class='nav-tab$class' href='?page=gf_googlesheet&tab=$tab'>$name</a>";
   }
   echo '</h2>';
   switch ($active_tab) {
      case 'license_settings' :
         $gf_license_settings = new GSheet_License_Settings();
         $gf_license_settings->add_gfgs_setting_page();
         break;
      case 'integration' :
         include( GRAVITY_GOOGLESHEET_PRO_PATH . "includes/pages/gs-gravity-integration.php" );
         break;
      case 'settings' :
         $gs_settings = new GSheet_Settings();
         $gs_settings->add_gs_setting_page();
         break;
   }
   ?>
</div>