<?php
/*
Plugin Name: Themes Addon
Plugin URI:  https://wpmonks.com/downloads/theme-pack
Description: Theme Pack for Styles and Layouts for Gravity Forms Plugin
Version:     1.4
Author:      Sushil Kumar
Author URI:  http://wpmonks.com/
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

// don't load directly
if ( !defined( 'ABSPATH' ) ) die( '-1' );

//set constants for plugin directory and plugin url
define( "GF_STLA_THEME_DIR", WP_PLUGIN_DIR . "/" . basename( dirname( __FILE__ ) ) );
define( "GF_STLA_THEME_URL", plugins_url() . "/" . basename( dirname( __FILE__ ) ) );
define( "GF_STLA_THEME_VERSION", "1.4" );

//file to send automatic updates
include_once WP_PLUGIN_DIR . "/" . basename( dirname( __FILE__ ) ).'/update.php';

//Main class of Styles & layouts Gravity Forms
class Gravity_customizer_themes{
    public $selected_form_id = '';
    public $old_theme = '';
    public $new_theme = '';
    function __construct(){
        add_action('gf_stla_add_theme_section', array($this,'gf_stla_add_css_to_frontend_for_themes'),12, 2 );
        add_action('customize_save', array($this, 'gf_stla_get_old_theme'));
        add_action('customize_save_after', array($this, 'gf_stla_new_theme'));
        $this->selected_form_id = get_option('gf_stla_select_form_id' );
        add_action( 'customize_preview_init', array( $this, 'gf_stla_theme_live_preview' ) );
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'hide_theme_section' ),11 );
		
		// Alert if plugin dependencies are missing
		add_action( 'admin_notices', array( $this, 'check_plugin_dependencies' ) );

    }
    public $get_the_option;

    function gf_stla_add_css_to_frontend_for_themes($wp_customize, $current_form_id){

        $theme_names =  array(
                              'none' => 'Default',
                              'orange' => 'Tomato',
                              'pink' => 'Amaranth',
                              'blue' => 'Picton Blue',
                              'blue_1' => 'Azure',
                              'light_1' => 'Cararra',
                              'light_2' => 'Davy Grey',
                              'light_4' => 'Peace',
                              'dark_1' => 'Ebony Clay',
                              'dark_2' => 'Pickled Bluewood',
                              'dark_3' => 'Mirage',
                              'dark_4' => 'Shade of Shamrock',
                              'dark_5' => 'Big Stone',
                              'dark_6' => 'Comet',
                              'dark_7' => 'Aztec',
                              'sunrise' =>'Sunrise Gradient',
                              'bloody_marry' =>'Bloody Marry Gradient',
                              'facebook_messenger' =>'Facebook Messenger Gradient',
                              'clear_sky' =>'Clear Sky Gradient',
                              'portrait' =>'Portrait Gradient',
                              'servquick' =>'ServQuick Gradient',
                              'jonquil' =>'Jonquil Gradient',
                              'vine' =>'Vine Gradient',
                              'purple_bliss' =>'Purple Bliss Gradient',
                              'the_strain' =>'The Strain Gradient',
                              'behongo' =>'Behongo Gradient',
                              'shadow_night' =>'Shadow Night Gradient',
                              'pinot_noir' =>'Pinot Noir Gradient',
                              'deep_space' => 'Deep Space Gradient',
                               'kyoto' => 'Kyoto Gradient',
                               'sirius_tamed' => 'Siirus Tamed Gradient',
                               'aubergine' => 'Aubergine Gradient',

                              );
        $wp_customize->add_section( 'gf_stla_form_id_themes' , array(
            'title' => 'Select theme',
            'panel' => 'gf_stla_panel',
        ) );

        $wp_customize->add_setting( 'gf_stla_form_id_'.$current_form_id.'theme' , array(
            'default'     => 'none',
            'transport'   => 'postMessage',
            'type' => 'option'
        ) );

        $wp_customize->add_control('gf_stla_form_id_'.$current_form_id.'theme',   array(
                'type' => 'select',
                'priority' => 10, // Within the section.
                'section' => 'gf_stla_form_id_themes', // Required, core or custom.
                'label' => __( 'Select Theme' ),
                'choices'        => $theme_names,
            )
        );
    }

    function gf_stla_get_old_theme(){

        $this->old_theme = get_option('gf_stla_form_id_'.$this->selected_form_id.'theme');
        // if(isset($this->old_theme)){
        //     $this->old_theme = $this->old_theme;
        // }
    }
    function gf_stla_theme_live_preview(){
		
        wp_enqueue_script( 'gf_stla_show_theme_live_changes', GF_STLA_THEME_URL. '/js/theme-live-preview-changes.js', array( 'jquery', 'customize-preview' ), GF_STLA_THEME_VERSION, true );
		wp_localize_script( 'gf_stla_show_theme_live_changes', 'stla_themes_data', array($this->selected_form_id));
    }

    /**
     *  enqueue js file that hides themes option till form is selected
     *
     * @author Sushil Kumar
     * @since  v1.0
     * @return null
     */
    function hide_theme_section() {

        wp_enqueue_script( 'gf_stla_hide_theme_section', GF_STLA_THEME_URL. '/js/hide-theme-section.js', array( 'jquery' ), GF_STLA_THEME_VERSION, true );

    }

    function gf_stla_new_theme(){

        $this->new_theme = get_option('gf_stla_form_id_'.$this->selected_form_id.'theme');
        if(isset($this->new_themetheme)){
            $this->new_theme = $this->new_themetheme;
        }
       if($this->old_theme != $this->new_theme){
            switch($this->new_theme) {

                case 'dark_1':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:4:{s:16:"background-color";s:7:"#24313c";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#1ab188";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:5:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#1ab188";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#a0b3b0";s:12:"border-color";s:7:"#a0b3b0";s:16:"background-color";s:7:"#24313c";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:15:"dropdown-fields";a:4:{s:16:"background-color";s:7:"#24313c";s:13:"border-radius";s:3:"0px";s:10:"font-color";s:7:"#a0b3b0";s:12:"border-color";s:7:"#a0b3b0";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#91989d";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#91989d";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#a0b3b0";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
               case 'vine':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:5:{s:16:"background-color";s:7:"#00bf8f";s:17:"background-color1";s:7:"#001510";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#00bf8f";s:17:"background-color1";s:7:"#001510";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:5:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#1ab188";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#a0b3b0";s:12:"border-color";s:7:"#a0b3b0";s:16:"background-color";s:7:"#24313c";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:15:"dropdown-fields";a:4:{s:16:"background-color";s:7:"#24313c";s:13:"border-radius";s:3:"0px";s:10:"font-color";s:7:"#a0b3b0";s:12:"border-color";s:7:"#a0b3b0";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#91989d";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#91989d";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#a0b3b0";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'light_1':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:7:{s:16:"background-color";s:7:"#ebebeb";s:11:"border-size";s:3:"2px";s:11:"border-type";s:5:"inset";s:12:"border-color";s:7:"#d1d1d1";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:6:"center";}s:16:"form-description";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#3a57af";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:12:"border-color";s:7:"#cccccc";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#000000";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#4c4c4c";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#dddddd";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#cbc9c9";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#ebebeb";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:2:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
             case 'portrait':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:8:{s:16:"background-color";s:7:"#8e9eab";s:17:"background-color1";s:7:"#eef2f3";s:11:"border-size";s:3:"2px";s:11:"border-type";s:5:"inset";s:12:"border-color";s:7:"#d1d1d1";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:6:"center";}s:16:"form-description";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#3a57af";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:12:"border-color";s:7:"#cccccc";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#000000";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#4c4c4c";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#dddddd";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#cbc9c9";s:10:"text-align";s:4:"left";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#8e9eab";s:17:"background-color1";s:7:"#eef2f3";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:2:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'dark_2':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:7:{s:4:"font";s:7:"Default";s:16:"background-color";s:7:"#2c3e50";s:11:"border-size";s:3:"6px";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:4:"10px";s:7:"padding";s:4:"30px";s:11:"border-type";s:6:"double";}s:11:"form-header";a:6:{s:16:"background-color";s:7:"#ffffff";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:4:"10px";s:11:"border-type";s:5:"solid";s:7:"padding";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#708090";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#708090";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#ffffff";s:10:"font-color";s:7:"#708090";s:11:"border-size";s:3:"2px";s:11:"border-type";s:6:"double";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:4:"10px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#f2f2f2";}s:11:"text-fields";a:6:{s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:3:"5px";s:10:"font-color";s:7:"#708090";s:11:"border-type";s:6:"groove";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#f2f2f2";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#f2f2f2";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#f2f2f2";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#f2f2f2";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:6:{s:11:"border-size";s:3:"2px";s:13:"border-radius";s:3:"5px";s:10:"font-color";s:7:"#708090";s:11:"border-type";s:6:"groove";s:12:"border-color";s:7:"#999999";s:16:"background-color";s:7:"#ffffff";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
            case 'purple_bliss':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:8:{s:4:"font";s:7:"Default";s:16:"background-color";s:7:"#360033";s:17:"background-color1";s:7:"#0b8793";s:11:"border-size";s:3:"6px";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:4:"10px";s:7:"padding";s:4:"30px";s:11:"border-type";s:6:"double";}s:11:"form-header";a:6:{s:16:"background-color";s:7:"#ffffff";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:4:"10px";s:11:"border-type";s:5:"solid";s:7:"padding";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#708090";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#708090";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#ffffff";s:10:"font-color";s:7:"#708090";s:11:"border-size";s:3:"2px";s:11:"border-type";s:6:"double";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:4:"10px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#f2f2f2";}s:11:"text-fields";a:6:{s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#999999";s:13:"border-radius";s:3:"5px";s:10:"font-color";s:7:"#708090";s:11:"border-type";s:6:"groove";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#f2f2f2";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#f2f2f2";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#f2f2f2";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#f2f2f2";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:6:{s:11:"border-size";s:3:"2px";s:13:"border-radius";s:3:"5px";s:10:"font-color";s:7:"#708090";s:11:"border-type";s:6:"groove";s:12:"border-color";s:7:"#999999";s:16:"background-color";s:7:"#ffffff";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'dark_3':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#1e1e28";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#cc6666";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#cc4949";s:12:"border-color";s:7:"#cc4949";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:7:"padding";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-color";s:7:"#cc4949";s:5:"width";s:4:"100%";s:12:"button-align";s:6:"center";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#cc4949";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#dddddd";}s:11:"text-fields";a:6:{s:10:"font-color";s:7:"#ffffff";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#cc6666";s:13:"border-radius";s:3:"5px";s:16:"background-color";s:7:"#1e1e28";s:11:"border-type";s:5:"solid";}s:15:"dropdown-fields";a:5:{s:16:"background-color";s:7:"#1e1e28";s:11:"border-size";s:3:"2px";s:13:"border-radius";s:3:"5px";s:10:"font-color";s:7:"#ffffff";s:12:"border-color";s:7:"#cc6666";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#dddddd";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                   case 'the_strain':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:7:{s:16:"background-color";s:7:"#870000";s:17:"background-color1";s:7:"#1F1C18";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#cc6666";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:11:"form-header";a:6:{s:16:"background-color";s:7:"#870000";s:17:"background-color1";s:7:"#1F1C18";s:12:"border-color";s:7:"#cc4949";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:7:"padding";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-color";s:7:"#cc4949";s:5:"width";s:4:"100%";s:12:"button-align";s:6:"center";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#cc4949";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#dddddd";}s:11:"text-fields";a:6:{s:10:"font-color";s:7:"#ffffff";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#cc6666";s:13:"border-radius";s:3:"5px";s:16:"background-color";s:7:"#1e1e28";s:11:"border-type";s:5:"solid";}s:15:"dropdown-fields";a:5:{s:16:"background-color";s:7:"#1e1e28";s:11:"border-size";s:3:"2px";s:13:"border-radius";s:3:"5px";s:10:"font-color";s:7:"#ffffff";s:12:"border-color";s:7:"#cc6666";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#dddddd";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'dark_4':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:5:{s:16:"background-color";s:7:"#171a1e";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#24d6a6";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#24d6a6";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#24d6a6";s:10:"font-color";s:7:"#000000";s:5:"width";s:4:"100%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#39a086";}s:11:"text-fields";a:6:{s:10:"font-color";s:7:"#dddddd";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#39a086";s:16:"background-color";s:7:"#1b1f24";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:15:"dropdown-fields";a:5:{s:16:"background-color";s:7:"#1b1f24";s:11:"border-size";s:3:"2px";s:13:"border-radius";s:2:"px";s:10:"font-color";s:7:"#dddddd";s:12:"border-color";s:7:"#39a086";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#dddddd";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#dddddd";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#24d6a6";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#dddddd";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                 case 'behongo':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#52c234";s:17:"background-color1";s:7:"#061700";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#24d6a6";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#24d6a6";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#24d6a6";s:10:"font-color";s:7:"#000000";s:5:"width";s:4:"100%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#39a086";}s:11:"text-fields";a:6:{s:10:"font-color";s:7:"#dddddd";s:11:"border-size";s:3:"2px";s:12:"border-color";s:7:"#39a086";s:16:"background-color";s:7:"#1b1f24";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:15:"dropdown-fields";a:5:{s:16:"background-color";s:7:"#1b1f24";s:11:"border-size";s:3:"2px";s:13:"border-radius";s:2:"px";s:10:"font-color";s:7:"#dddddd";s:12:"border-color";s:7:"#39a086";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#dddddd";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#dddddd";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#24d6a6";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#dddddd";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'dark_5':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:7:{s:16:"background-color";s:7:"#192741";s:11:"border-size";s:5:"thick";s:12:"border-color";s:7:"#395587";s:6:"margin";s:0:"";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#df830f";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#df830f";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#df830f";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#df830f";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#192741";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#395587";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#395587";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
             case 'shadow_night':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:8:{s:16:"background-color";s:7:"#000000";s:17:"background-color1";s:7:"#53346D";s:11:"border-size";s:5:"thick";s:12:"border-color";s:7:"#395587";s:6:"margin";s:0:"";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#df830f";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#df830f";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#df830f";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#df830f";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#192741";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#395587";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#395587";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'light_2':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#545454";s:13:"border-radius";s:4:"15px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#545454";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#00b8f6";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#00b8f6";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#00b8f6";s:13:"border-radius";s:4:"10px";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#545454";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#000000";s:13:"border-radius";s:4:"10px";s:16:"background-color";s:7:"#bebebe";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:16:"background-color";s:7:"#bebebe";s:13:"border-radius";s:4:"10PX";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:3:{s:16:"background-color";s:7:"#545454";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                    case 'servquick':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:7:{s:16:"background-color";s:7:"#485563";s:17:"background-color1";s:7:"#29323c";s:13:"border-radius";s:4:"15px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#545454";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#00b8f6";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#00b8f6";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#00b8f6";s:13:"border-radius";s:4:"10px";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#545454";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#000000";s:13:"border-radius";s:4:"10px";s:16:"background-color";s:7:"#bebebe";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:16:"background-color";s:7:"#bebebe";s:13:"border-radius";s:4:"10PX";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#485563";s:17:"background-color1";s:7:"#29323c";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'blue':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:5:{s:16:"background-color";s:7:"#55acee";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0PX";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:3:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";s:7:"padding";s:0:"";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#81d742";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:11:"text-fields";a:5:{s:16:"background-color";s:7:"#000000";s:10:"font-color";s:7:"#ffffff";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0px";}s:11:"form-header";a:3:{s:16:"background-color";s:7:"#55acee";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#000000";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#000000";s:10:"font-color";s:7:"#ffffff";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"text-align";s:4:"left";s:10:"font-color";s:7:"#000000";}s:25:"section-break-description";a:1:{s:10:"font-color";s:7:"#000000";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                  case 'facebook_messenger':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#00c6ff";s:17:"background-color1";s:7:"#0072ff";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0PX";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:3:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";s:7:"padding";s:0:"";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#81d742";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:11:"text-fields";a:5:{s:16:"background-color";s:7:"#000000";s:10:"font-color";s:7:"#ffffff";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0px";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#00c6ff";s:17:"background-color1";s:7:"#0072ff";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#000000";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#000000";s:10:"font-color";s:7:"#ffffff";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"text-align";s:4:"left";s:10:"font-color";s:7:"#000000";}s:25:"section-break-description";a:1:{s:10:"font-color";s:7:"#000000";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'dark_6':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:5:{s:16:"background-color";s:7:"#525877";s:11:"border-type";s:5:"inset";s:13:"border-radius";s:4:"20px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#1059ff";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#1059ff";s:13:"border-radius";s:4:"20px";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:4:{s:16:"background-color";s:7:"#bfc2cd";s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:16:"background-color";s:7:"#bfc2cd";s:13:"border-radius";s:3:"0px";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#bfc2cd";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#bfc2cd";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#bfc2cd";s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                   case 'pinot_noir':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#4b6cb7";s:17:"background-color1";s:7:"#182848";s:11:"border-type";s:5:"inset";s:13:"border-radius";s:4:"20px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#1059ff";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:7:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#1059ff";s:13:"border-radius";s:4:"20px";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:4:{s:16:"background-color";s:7:"#bfc2cd";s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:16:"background-color";s:7:"#bfc2cd";s:13:"border-radius";s:3:"0px";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#bfc2cd";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#bfc2cd";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#bfc2cd";s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'orange':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:5:{s:16:"background-color";s:7:"#ff6347";s:13:"border-radius";s:3:"3px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ad1a00";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-color";s:7:"#ad1a00";s:10:"font-color";s:7:"#ffffff";s:12:"button-align";s:6:"center";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:3:{s:16:"background-color";s:7:"#ff6347";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:4:{s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#000000";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                    case 'kyoto':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#c21500";s:17:"background-color1";s:7:"#ffc500";s:13:"border-radius";s:3:"3px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-color";s:7:"#ad1a00";s:10:"font-color";s:7:"#ffffff";s:12:"button-align";s:6:"center";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#c21500";s:17:"background-color1";s:7:"#ffc500";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:4:{s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#000000";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                     case 'sunrise':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#FF512F";s:17:"background-color1";s:7:"#F09819";s:13:"border-radius";s:3:"3px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ad1a00";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-color";s:7:"#ad1a00";s:10:"font-color";s:7:"#ffffff";s:12:"button-align";s:6:"center";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#FF512F";s:17:"background-color1";s:7:"#F09819";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:4:{s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#000000";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#000000";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'blue_1':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#3a5997";s:11:"border-size";s:3:"1px";s:12:"border-color";s:7:"#2d416d";s:13:"border-radius";s:3:"3px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#d4d4d4";s:10:"font-color";s:7:"#636363";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#636363";s:13:"border-radius";s:3:"3px";s:5:"width";s:3:"30%";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#afafaf";s:12:"border-color";s:7:"#314d89";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#afafaf";s:11:"border-size";s:3:"0px";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#3a5997";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'clear_sky':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:7:{s:16:"background-color";s:7:"#005C97";s:17:"background-color1";s:7:"#363795";s:11:"border-size";s:3:"1px";s:12:"border-color";s:7:"#2d416d";s:13:"border-radius";s:3:"3px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#d4d4d4";s:10:"font-color";s:7:"#636363";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#636363";s:13:"border-radius";s:3:"3px";s:5:"width";s:3:"30%";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#afafaf";s:12:"border-color";s:7:"#314d89";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#afafaf";s:11:"border-size";s:3:"0px";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#005C97";s:17:"background-color1";s:7:"#363795";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'dark_7':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:7:{s:16:"background-color";s:7:"#161d1b";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#cecece";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#588a87";s:12:"border-color";s:7:"#000000";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#5b8d8b";s:10:"font-color";s:7:"#ffffff";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#253737";s:5:"width";s:3:"30%";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#737776";s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"2px";s:16:"background-color";s:7:"#737776";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
              case 'aubergine':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:8:{s:16:"background-color";s:7:"#AA076B";s:17:"background-color1";s:7:"#61045F";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#cecece";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#AA076B";s:12:"border-color";s:7:"#61045F";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#5b8d8b";s:10:"font-color";s:7:"#ffffff";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#253737";s:5:"width";s:3:"30%";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#737776";s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"2px";s:16:"background-color";s:7:"#737776";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                     case 'deep_space':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:8:{s:16:"background-color";s:7:"#000000";s:17:"background-color1";s:7:"#434343";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#cecece";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#588a87";s:12:"border-color";s:7:"#000000";s:7:"padding";s:4:"10px";s:11:"border-type";s:5:"solid";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#5b8d8b";s:10:"font-color";s:7:"#ffffff";s:11:"border-size";s:3:"1px";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#253737";s:5:"width";s:3:"30%";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#737776";s:10:"font-color";s:7:"#000000";s:11:"border-type";s:5:"solid";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"2px";s:16:"background-color";s:7:"#737776";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#ffffff";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'pink':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:5:{s:16:"background-color";s:7:"#ed2553";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#ed2553";s:11:"border-size";s:3:"1px";s:11:"border-type";s:6:"dashed";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#ffffff";s:10:"font-color";s:7:"#ed2553";s:11:"border-size";s:3:"2px";s:11:"border-type";s:6:"dashed";s:12:"border-color";s:7:"#ed9caf";s:13:"border-radius";s:3:"3px";s:5:"width";s:3:"30%";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#fcd3dc";s:11:"border-type";s:6:"dashed";s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#ed2553";s:12:"border-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:5:{s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#ed2553";s:10:"font-color";s:7:"#fcd3dc";s:11:"border-type";s:6:"dashed";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#fcd3dc";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#fcd3dc";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ed9caf";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'bloody_marry':
                    $theme  = maybe_unserialize( 'a:13:{s:12:"form-wrapper";a:6:{s:16:"background-color";s:7:"#FF512F";s:17:"background-color1";s:7:"#DD2476";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:12:"border-color";s:7:"#ffffff";}s:11:"form-header";a:6:{s:16:"background-color";s:7:"#FF512F";s:17:"background-color1";s:7:"#DD2476";s:11:"border-size";s:3:"1px";s:11:"border-type";s:6:"dashed";s:12:"border-color";s:7:"#ffffff";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#ffffff";s:10:"font-color";s:7:"#ed2553";s:11:"border-size";s:3:"2px";s:11:"border-type";s:6:"dashed";s:12:"border-color";s:7:"#ed9caf";s:13:"border-radius";s:3:"3px";s:5:"width";s:3:"30%";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#ffffff";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#fcd3dc";s:11:"border-type";s:6:"dashed";s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#ed2553";s:12:"border-color";s:7:"#ffffff";}s:15:"dropdown-fields";a:5:{s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#ed2553";s:10:"font-color";s:7:"#fcd3dc";s:11:"border-type";s:6:"dashed";s:12:"border-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#fcd3dc";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#fcd3dc";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#ffffff";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#ed9caf";s:10:"text-align";s:4:"left";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}}');
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'sirius_tamed':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:8:{s:16:"background-color";s:7:"#EFEFBB";s:17:"background-color1";s:7:"#D4D3DD";s:11:"border-size";s:3:"2px";s:11:"border-type";s:5:"inset";s:12:"border-color";s:7:"#d1d1d1";s:7:"padding";s:4:"30px";s:4:"font";s:7:"Default";s:13:"border-radius";s:3:"0px";}s:10:"form-title";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:6:"center";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:6:"center";}s:13:"submit-button";a:6:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#3a57af";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:12:"border-color";s:7:"#cccccc";s:13:"border-radius";s:3:"0px";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#000000";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#4c4c4c";s:11:"border-type";s:5:"solid";s:12:"border-color";s:7:"#dddddd";s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#4c4c4c";}s:19:"section-break-title";a:2:{s:10:"font-color";s:7:"#4c4c4c";s:10:"text-align";s:4:"left";}s:25:"section-break-description";a:2:{s:10:"font-color";s:7:"#cbc9c9";s:10:"text-align";s:4:"left";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#EFEFBB";s:17:"background-color1";s:7:"#D4D3DD";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:7:"padding";s:3:"0px";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"0px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#4c4c4c";s:12:"border-color";s:7:"#dddddd";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                case 'light_4':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:7:{s:4:"font";s:12:"Josefin Slab";s:11:"border-size";s:3:"5px";s:11:"border-type";s:6:"groove";s:12:"border-color";s:7:"#464646";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:16:"background-color";s:7:"#ffffff";}s:10:"form-title";a:2:{s:10:"text-align";s:6:"center";s:10:"font-color";s:7:"#000000";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#039bfc";s:11:"border-size";s:3:"0px";s:11:"border-type";s:5:"inset";s:13:"border-radius";s:3:"3px";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:12:"border-color";s:7:"#ffffff";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#039bfc";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#b2b2b2";s:13:"border-radius";s:3:"3px";s:11:"border-type";s:5:"solid";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#000000";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#000000";}s:19:"section-break-title";a:1:{s:10:"font-color";s:7:"#000000";}s:25:"section-break-description";a:1:{s:10:"font-color";s:7:"#000000";}s:11:"form-header";a:4:{s:16:"background-color";s:7:"#ffffff";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:12:"border-color";s:7:"#ffffff";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#b2b2b2";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                    case 'jonquil':
                    $theme  = maybe_unserialize('a:13:{s:12:"form-wrapper";a:8:{s:4:"font";s:12:"Josefin Slab";s:11:"border-size";s:3:"5px";s:11:"border-type";s:6:"groove";s:12:"border-color";s:7:"#464646";s:13:"border-radius";s:3:"5px";s:7:"padding";s:4:"30px";s:16:"background-color";s:7:"#FFEEEE";s:17:"background-color1";s:7:"#DDEFBB";}s:10:"form-title";a:2:{s:10:"text-align";s:6:"center";s:10:"font-color";s:7:"#000000";}s:13:"submit-button";a:8:{s:12:"button-align";s:6:"center";s:12:"button-color";s:7:"#039bfc";s:11:"border-size";s:3:"0px";s:11:"border-type";s:5:"inset";s:13:"border-radius";s:3:"3px";s:10:"font-color";s:7:"#ffffff";s:5:"width";s:3:"30%";s:12:"border-color";s:7:"#ffffff";}s:12:"field-labels";a:1:{s:10:"font-color";s:7:"#039bfc";}s:11:"text-fields";a:5:{s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#b2b2b2";s:13:"border-radius";s:3:"3px";s:11:"border-type";s:5:"solid";s:16:"background-color";s:7:"#ffffff";}s:12:"radio-inputs";a:1:{s:10:"font-color";s:7:"#000000";}s:15:"checkbox-inputs";a:1:{s:10:"font-color";s:7:"#000000";}s:19:"section-break-title";a:1:{s:10:"font-color";s:7:"#000000";}s:25:"section-break-description";a:1:{s:10:"font-color";s:7:"#000000";}s:11:"form-header";a:5:{s:16:"background-color";s:7:"#FFEEEE";s:17:"background-color1";s:7:"#DDEFBB";s:11:"border-type";s:5:"solid";s:13:"border-radius";s:3:"0px";s:12:"border-color";s:7:"#ffffff";}s:16:"form-description";a:2:{s:10:"font-color";s:7:"#000000";s:10:"text-align";s:6:"center";}s:18:"field-descriptions";a:1:{s:10:"text-align";s:4:"left";}s:15:"dropdown-fields";a:4:{s:13:"border-radius";s:3:"3px";s:16:"background-color";s:7:"#ffffff";s:10:"font-color";s:7:"#000000";s:12:"border-color";s:7:"#b2b2b2";}}' );
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
                    case 'none':
                    $theme  = array();
                    update_option('gf_stla_form_id_'.$this->selected_form_id, $theme );
                    break;
           }

        }
	}
	
	/**
	 * Check if Styles & Layouts is installed or not
	 *
	 * @return void
	 */
	function check_plugin_dependencies() {
		if ( ! class_exists( 'Gravity_customizer_admin' ) ) {
			$class = 'notice notice-error';
			$styles_layouts_url = admin_url( 'plugin-install.php?s=styles+and+layouts+for+gravity+forms&tab=search&type=term');
			$message = '<a href="'.$styles_layouts_url.'">Styles & Layouts for Gravity Forms </a>is not installed. <strong> Themes for Gravity Forms</strong> can\'t work without it.';

			printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ),  $message  );
		}
	}
}// class ends here

new Gravity_customizer_themes();