(function($) {
    'use strict';

    jQuery(document).ready(function() {

        $(document).on('click', '.rtwgftpdf_google_authenticate', function(){
            var client_id = $(document).find('#rtwgftpdf_google_client_id').val();
            var client_secret = $(document).find('#rtwgftpdf_google_client_secret').val();
            var redirect_url = $(document).find('#rtwgftpdf_redirect_url').val();

            var data = {
                action: 'rtwgftpdf_google_authenticate',
                client_id: client_id,
                client_secret: client_secret,
                redirect_url: redirect_url,
                security_check: rtwgftpdf_ajax.rtwgftpdf_nonce
            };
            $.ajax({
                url: rtwgftpdf_ajax.ajax_url,
                type: "POST",
                data: data,
                dataType: 'json',
                success: function(response) {
                    window.location.href = response;
                    if (response.status) {

                    } else {
                        
                    }
                }
            });
        });

        $(document).find('.rtwgftpdf_notice_error').addClass('rtwgftpdf_hide');
        var rules = {
            rtwgftpdf_purchase_code: { required: true }
        };

        var messages = {
            rtwgftpdf_purchase_code: { required: 'Required' }
        };

        $(document).find("#rtwgftpdf_verify").validate({
            rules: rules,
            messages: messages
        });

        $(document).on('click', '#rtwgftpdf_verify_code', function() {
            if ($(document).find("#rtwgftpdf_verify").valid()) {
                var rtwgftpdf_purchase_code = $(document).find('.rtwgftpdf_purchase_code').val();

                var data = {
                    action: 'rtwgftpdf_verify_purchase_code',
                    purchase_code: rtwgftpdf_purchase_code,
                    security_check: rtwgftpdf_ajax.rtwgftpdf_nonce
                };
                $.ajax({
                    url: rtwgftpdf_ajax.ajax_url,
                    type: "POST",
                    data: data,
                    dataType: 'json',
                    success: function(response) {
                        if (response.status) {
                            $(document).find('.rtwgftpdf_notice_success').removeClass('rtwgftpdf_hide');
                            $(document).find('.rtwgftpdf_msg_response').html(response.message);
                            $(document).find('.rtwgftpdf_msg_response').removeClass('rtwgftpdf_errorr');
                            $(document).find('.rtwgftpdf_msg_response').addClass('rtwgftpdf_successs');
                            window.setTimeout(function() {
                                window.location.reload(true);
                            }, 3000);

                        } else {
                            $(document).find('.rtwgftpdf_msg_response').html(response.message);
                            $(document).find('.rtwgftpdf_msg_response').removeClass('rtwgftpdf_successs');
                            $(document).find('.rtwgftpdf_msg_response').addClass('rtwgftpdf_errorr');
                        }
                    }
                });
            }
        });

        jQuery('.rtwgftpdf_watermark_image_upload').on('click', function() {
            var inputField = jQuery(this).parent('div');
            tb_show('watermark', 'media-upload.php?TB_iframe=true');
            window.send_to_editor = function(html) {
                var url = jQuery(html).find('img').attr('src');
                if (typeof url == 'undefined')
                    url = jQuery(html).attr('src');
                jQuery('#rtwgftpdf_watermark_img_url').val(url);
                jQuery('#rtwgftpdf_watermark_img_backgrnd').find('img').attr('src', url);
                jQuery('.rtwgftpdf_watermark_remove_img').show();
                jQuery('#rtwgftpdf_watermark_img').show();
                tb_remove();
            };
            return false;
        });

        $(document).find('.rtw-popup-wrapper').hide();
        $(document).find('.rtw-popup-wrapper2').hide();
        $(document).find('.rtw-popup-wrapper3').hide();

        $(document).on('click', '#rtw_temp_one', function() {
            $(document).find('.rtw-popup-wrapper').toggle();
            $(document).find('body').css("overflow", "hidden");
        });
        $(document).on('click', '.rtw-popup-close-popup', function() {
            $(document).find('.rtw-popup-wrapper').toggle();
            $(document).find('body').css("overflow", "unset");
        });

        $(document).on('click', '#rtw_temp_two', function() {
            $(document).find('.rtw-popup-wrapper2').toggle();
            $(document).find('body').css("overflow", "hidden");
        });
        $(document).on('click', '.rtw-popup-close-popup2', function() {
            $(document).find('.rtw-popup-wrapper2').toggle();
            $(document).find('body').css("overflow", "unset");
        });

        $(document).on('click', '#rtw_temp_three', function() {
            $(document).find('.rtw-popup-wrapper3').toggle();
            $(document).find('body').css("overflow", "hidden");
        });
        $(document).on('click', '.rtw-popup-close-popup3', function() {
            $(document).find('.rtw-popup-wrapper3').toggle();
            $(document).find('body').css("overflow", "unset");
        });

        jQuery(document).on('click', '.rtwgftpdf_watermark_remove_img', function() {
            jQuery('#rtwgftpdf_watermark_img_url').val('');
            jQuery('#rtwgftpdf_watermark_img').attr('src', '');
            jQuery(this).hide();
            jQuery('#rtwgftpdf_watermark_img').hide();
            return false;
        });

        jQuery('.rtwgftpdf_backgrnd_img_upload').on('click', function() {
            var inputField = jQuery(this).parent('div');
            tb_show('Background Image', 'media-upload.php?TB_iframe=true');
            window.send_to_editor = function(html) {
                var url = jQuery(html).find('img').attr('src');
                if (typeof url == 'undefined')
                    url = jQuery(html).attr('src');
                jQuery('#rtwgftpdf_background_img_url').val(url);
                jQuery('#rtwgftpdf_backgrnd_img').find('img').attr('src', url);
                jQuery('.rtwgftpdf_backgrnd_remove_img').show();
                jQuery('#rtwgftpdf_background_image').show();
                tb_remove();
            };
            return false;
        });

        jQuery(document).on('click', '.rtwgftpdf_backgrnd_remove_img', function() {
            jQuery('#rtwgftpdf_background_img_url').val('');
            jQuery('#rtwgftpdf_background_image').attr('src', '');
            jQuery(this).hide();
            jQuery('#rtwgftpdf_background_image').hide();
            return false;
        });

        jQuery('.rtwgftpdf_bttn_img_upload').on('click', function() {
            var inputField = jQuery(this).parent('div');
            tb_show('Upload Button Image', 'media-upload.php?TB_iframe=true');
            window.send_to_editor = function(html) {
                var url = jQuery(html).find('img').attr('src');
                if (typeof url == 'undefined')
                    url = jQuery(html).attr('src');
                jQuery('#rtwgftpdf_bttn_img_url').val(url);
                jQuery('#rtwgftpdf_bttn_img').find('img').attr('src', url);
                jQuery('.rtwgftpdf_bttn_remove_img').show();
                jQuery('#rtwgftpdf_button_image').show();
                tb_remove();
            };
            return false;
        });

        jQuery(document).on('click', '.rtwgftpdf_bttn_remove_img', function() {
            jQuery('#rtwgftpdf_bttn_img_url').val('');
            jQuery('#rtwgftpdf_background_image').attr('src', '');
            jQuery(this).hide();
            jQuery('#rtwgftpdf_background_image').hide();
            return false;
        });

        $('.color-field').wpColorPicker();
        var rtw_select_val = jQuery(document).find('#rtw_select_temp').val();
        if (rtw_select_val == 'temp_one' || rtw_select_val == 'temp_two' || rtw_select_val == 'temp_three') {
            jQuery(document).find('.rtw_wp_editor').hide();
            jQuery(document).find('.rtw_cel_color').show();
        } else {
            jQuery(document).find('.rtw_wp_editor').show();
            jQuery(document).find('.rtw_cel_color').hide();
        }

        jQuery(document).on('change', '#rtw_select_temp', function() {
            var abc = $('#rtw_select_temp').val();
            if (abc == 'temp_one' || abc == 'temp_two' || abc == 'temp_three') {
                jQuery(document).find('.rtw_wp_editor').hide();
                jQuery(document).find('.rtw_cel_color').show();
            } else {
                jQuery(document).find('.rtw_wp_editor').show();
                jQuery(document).find('.rtw_cel_color').hide();
            }
        });

        jQuery(document).on('change', '#rtwgftpdf_disable_copy_paste', function() {
            SetFieldProperty('rtwgftpdf_disable_copy_paste_status', jQuery(this).val());
        });

        jQuery(document).on('click', '#rtwgftpdf_watermark_enable_text', function() {
            rtwgftpdf_showHideCheck('rtwgftpdf_text_add_watermark', this);
        });

        jQuery(document).on('click', '#rtwgftpdf_custom_pos', function() {
            rtwgftpdf_showHideCheck('rtwgftpdf_custom_position', this);
        });

        jQuery(document).on('click', '#rtwgftpdf_watermark_enable_image', function() {
            rtwgftpdf_showHideCheck('rtwgftpdf_add_watermark_image', this);
        });

        jQuery(document).on('change', '.rtwgftpdf_watermark_img_dim', function() {
            rtwgftpdf_showHideImage();
        });

        jQuery(document).on('change', '.rtwgftpdf_watermark_img_pos', function() {
            rtwgftpdf_showHidePos();
        });

        jQuery(document).on('click', '#rtwgftpdf_pass_pattern', function() {
            rtwgftpdf_showHideCheck('rtwgftpdf_protection_rule', this);
        });
    });
})(jQuery);

function rtwgftpdf_showHideCheck(id, check) {
    if (check.checked) {
        jQuery("#" + id).show();
        if (id == 'rtwgftpdf_add_watermark_image') {
            var value = jQuery("#rtwgftpdf-doc-add-watermark-image-dimen-select").val();
            var value1 = jQuery("#rtwgftpdf-doc-add-watermark-image-pos-select").val();
            if (value == 'array') {
                jQuery('#rtwgftpdf_add_watermark_image_dimension').show();
            }
            if (value == 'INT') {
                jQuery('#rtwgftpdf_add_watermark_image_dimen_integer').show();
            }
            if (value1 == 'arrays') {
                jQuery('#rtwgftpdf_add_watermark_image_pos').show();
            }
        }
    } else {
        jQuery("#" + id).hide();
        if (id == 'rtwgftpdf_add_watermark_image') {
            jQuery('#rtwgftpdf_add_watermark_image_dimension').hide();
            jQuery('#rtwgftpdf_add_watermark_image_dimen_integer').hide();
            jQuery('#rtwgftpdf_add_watermark_image_pos').hide();
        }
    }
}

function rtwgftpdf_showHideChecked(id, check) {
    if (check.checked) {
        jQuery("#" + id).show();
    } else {
        jQuery("#" + id).hide();
    }
}

function rtwgftpdf_showHideImage() {
    var value = jQuery("#rtwgftpdf-doc-add-watermark-image-dimen-select").val();
    if (value == 'array') {
        jQuery('#rtwgftpdf_add_watermark_image_dimension').show();
        jQuery('#rtwgftpdf_add_watermark_image_dimen_integer').hide();
    }
    if (value == 'INT') {
        jQuery('#rtwgftpdf_add_watermark_image_dimen_integer').show();
        jQuery('#rtwgftpdf_add_watermark_image_dimension').hide();
    }
    if (value != 'INT' && value != 'array') {
        jQuery('#rtwgftpdf_add_watermark_image_dimension').hide();
        jQuery('#rtwgftpdf_add_watermark_image_dimen_integer').hide();
    }
}

function rtwgftpdf_showHidePos() {
    var value = jQuery("#rtwgftpdf-doc-add-watermark-image-pos-select").val();
    if (value == 'arrays') {
        jQuery('#rtwgftpdf_add_watermark_image_pos').show();
    } else {
        jQuery('#rtwgftpdf_add_watermark_image_pos').hide();
    }
}

function show() {
    document.getElementById('img1').style.visibility = 'visible';
}