<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       www.redefiningtheweb.com
 * @since      1.0.0
 *
 * @package    Rtwgftpdf_Gravity_Form_To_Pdf
 * @subpackage Rtwgftpdf_Gravity_Form_To_Pdf/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
$rtwgftpdf_verification_done = get_option( 'rtwgftpdf_verification_done', array() );
$rtwgftpdf_basic_setting = get_option('rtwgftpdf_basic_setting_opt',array());
if( !empty( $rtwgftpdf_verification_done ) && $rtwgftpdf_verification_done['status'] == true && !empty($rtwgftpdf_verification_done['purchase_code']) )
{
	$rtwgftpdf_basic_active = '';
	$rtwgftpdf_header_active = '';
	$rtwgftpdf_footer_active = '';
	$rtwgftpdf_css_active = '';
	$rtwgftpdf_watermark_active = '';
	$rtwgftpdf_google_active = '';
	$rtwgftpdf_custom_fonts = get_option('rtwgftpdf_custom_fonts', array());
	if(!class_exists('mPDF'))
	{
		include_once(RTWGFTPDF_DIR .'includes/mpdf/autoload.php');
	}

	$rtwgftpdf_mpdf = new \Mpdf\Mpdf();
	// $rtwgftpdf_mpdf = new mPDF();
	$rtwgftpdf_merge_font = array();
	if( !empty( $rtwgftpdf_custom_fonts ) ) 
	{
		foreach( $rtwgftpdf_custom_fonts as $key=> $value )
		{
			$rtwgftpdf_merge_font[$key] = $key;
		}
	}

	foreach ($rtwgftpdf_mpdf->fontdata as $key=> $value)
	{
		$rtwgftpdf_mpdf_font[$key] = $key;
	}
	$rtwgftpdf_fonts = array_merge( $rtwgftpdf_mpdf_font, $rtwgftpdf_merge_font );
	if(isset($_GET['rtwgftpdf_tab']))
	{
		if($_GET['rtwgftpdf_tab'] == "rtwgftpdf_basic")
		{
			$rtwgftpdf_basic_active = "nav-tab-active";
		}
		if($_GET['rtwgftpdf_tab'] == "rtwgftpdf_header")
		{
			$rtwgftpdf_header_active = "nav-tab-active";
		}
		elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_footer") 
		{
			$rtwgftpdf_footer_active = "nav-tab-active";
		}
		elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_css") 
		{
			$rtwgftpdf_css_active = "nav-tab-active";
		}
		elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_watermark") 
		{
			$rtwgftpdf_watermark_active = "nav-tab-active";
		}
		elseif($_GET['rtwgftpdf_tab'] == 'rtwgftpdf_google')
		{
			$rtwgftpdf_google_active = "nav-tab-active";
		}
	}
	else
	{
		$rtwgftpdf_basic_active = "nav-tab-active";
	}
	?>
	<div class="rtwgftpdf ">
		<h1 class="rtw-main-heading"><?php esc_html_e('Gravity Form To PDF Conversion Settings','rtwgftpdf-gravity-form-to-pdf');?><a href="<?php echo esc_url( admin_url( 'admin.php?page=rtwgftpdf&rtwgftpdf_action=delete_purchase_code' ) );?>" class="rtwgftpdf-button rtw-button"><?php esc_html_e( 'Remove Purchase Code', 'rtwgftpdf-gravity-form-to-pdf' ); ?></a></h1>
		<nav class="nav-tab-wrapper rtw-navigation-wrapper">
			<a class="nav-tab <?php echo esc_attr($rtwgftpdf_basic_active);?>" href="<?php echo esc_url(get_admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_basic');?>">
				<!-- <span class="dashicons dashicons-admin-tools"></span> -->
				<div class="rtwgftpdf_tab_icon">
					<img src="<?php echo RTWGFTPDF_URL.'icons/basic.png'; ?>"/>
				</div>
				<?php esc_html_e('Basic','rtwgftpdf-gravity-form-to-pdf');?>
			</a>

			<a class="nav-tab <?php echo esc_attr($rtwgftpdf_header_active);?>" href="<?php echo esc_url(get_admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_header');?>">
				<div class="rtwgftpdf_tab_icon">
					<img src="<?php echo RTWGFTPDF_URL.'icons/header.png'; ?>"/>		
				</div>	
				<?php esc_html_e('PDF Header','rtwgftpdf-gravity-form-to-pdf');?>
			</a>

			<a class="nav-tab <?php echo esc_attr($rtwgftpdf_footer_active);?>" href="<?php echo esc_url(get_admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_footer');?>">
				<div class="rtwgftpdf_tab_icon">
					<img src="<?php echo RTWGFTPDF_URL.'icons/footer.png'; ?>"/>
				</div>
				<?php esc_html_e('PDF Footer','rtwgftpdf-gravity-form-to-pdf');?>
			</a>

			<a class="nav-tab <?php echo esc_attr($rtwgftpdf_css_active);?>" href="<?php echo esc_url(get_admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_css');?>">
				<div class="rtwgftpdf_tab_icon">
					<img src="<?php echo RTWGFTPDF_URL.'icons/css.png'; ?>"/>
				</div>
				<?php esc_html_e('PDF CSS','rtwgftpdf-gravity-form-to-pdf');?>
			</a>

			<a class="nav-tab <?php echo esc_attr($rtwgftpdf_watermark_active);?>" href="<?php echo esc_url(get_admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_watermark');?>">
				<div class="rtwgftpdf_tab_icon">
					<img src="<?php echo RTWGFTPDF_URL.'icons/watermark.png'; ?>"/>
				</div>
				<?php esc_html_e('PDF WaterMark','rtwgftpdf-gravity-form-to-pdf');?>
			</a>
			<a class="nav-tab <?php echo esc_attr($rtwgftpdf_google_active);?>" href="<?php echo esc_url(get_admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_google');?>">
				<div class="rtwgftpdf_tab_icon">
					<img src="<?php echo RTWGFTPDF_URL.'icons/google_ss.png'; ?>"/>
				</div>
				<?php esc_html_e('Google SpreadSheet Integration','rtwgftpdf-gravity-form-to-pdf');?>
			</a>
		</nav>
		<?php settings_errors(); ?>
		<div class="main-wrapper">	
			<div class="rtwgftpdf_coupon_setup_wrapper">
				<form enctype="multipart/form-data" action="options.php" method="post">
					<?php
					if(isset($_GET['rtwgftpdf_tab']))
					{
						if($_GET['rtwgftpdf_tab'] == "rtwgftpdf_basic")
						{
							include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_basic.php');
						}
						if($_GET['rtwgftpdf_tab'] == "rtwgftpdf_header")
						{
							include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_header.php');
						}
						elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_footer") 
						{
							include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_footer.php');
						}
						elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_css") 
						{
							include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_css.php');
						}
						elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_watermark") 
						{
							include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_watermark.php');
						}
						elseif ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_google") 
						{
							include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_google.php');
						}
					}
					else
					{
						include_once(RTWGFTPDF_DIR.'/admin/partials/rtwgftpdf_tabs/rtwgftpdf_basic.php');
					}
					?>
					<p class="submit">
						<input type="submit" value="<?php esc_attr_e('Save changes','rtwgftpdf-gravity-form-to-pdf');?>" class="rtw-button" name="rtwgftpdf_pdf_submit">
					<?php
					if ($_GET['rtwgftpdf_tab'] == "rtwgftpdf_google") 
					{ ?>
						<input type="button" value="<?php esc_attr_e('Authenticate','rtwgftpdf-gravity-form-to-pdf');?>" class="rtw-button rtwgftpdf_google_authenticate" name="rtwgftpdf_google_authenticate">
					<?php }
					?>
					</p>
				</form>
			</div>
		</div>
	</div>
<?php }
else{
	include_once( RTWGFTPDF_DIR . 'admin/partials/rtwgftpdf_without_verify.php' );
}