<?php
settings_fields('rtwgftpdf_footer_setting');
$rtwgftpdf_footer_setting = get_option('rtwgftpdf_footer_setting_opt');

$rtwgftpdf_footer_html = '';
$rtwgftpdf_footer_top_margin = '15';
$rtwgftpdf_footer_font_family = '';
$rtwgftpdf_footer_font_size = '15';
$rtwgftpdf_footer_show		= 'Yes';

if(is_array($rtwgftpdf_footer_setting) && !empty($rtwgftpdf_footer_setting)){
	$rtwgftpdf_footer_html 			= $rtwgftpdf_footer_setting['footer_html'];
	$rtwgftpdf_footer_top_margin 	= $rtwgftpdf_footer_setting['footer_top_margin'];
	$rtwgftpdf_footer_font_family 	= $rtwgftpdf_footer_setting['footer_font_family'];
	$rtwgftpdf_footer_font_size 	= $rtwgftpdf_footer_setting['footer_font_size'];
	$rtwgftpdf_footer_show			= $rtwgftpdf_footer_setting['footer_show'];
}
?>

<table class=" rtw-table wp-list-table form-table">
	<tbody>
		<tr>
			<th class="tr1"><?php esc_html_e('Show Footer', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<p>
					<input name="rtwgftpdf_footer_setting_opt[footer_show]" value="Yes" <?php checked( $rtwgftpdf_footer_show, 'Yes'); ?> type="radio"/>
					<?php esc_html_e('Yes', 'rtwgftpdf-gravity-form-to-pdf');?>
				</p>
				<p>
					<input name="rtwgftpdf_footer_setting_opt[footer_show]" value="No" <?php checked( $rtwgftpdf_footer_show, 'No'); ?> type="radio"/>
					<?php esc_html_e('No', 'rtwgftpdf-gravity-form-to-pdf');?>
				</p>
				<div class="descr"><?php esc_html_e('Show footer on PDF.', 'rtwgftpdf-gravity-form-to-pdf');?>
				</div>
			</td>
		</tr>
		<tr>
			<th><?php esc_html_e('Footer Html', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td>
				<?php
				$rtwgftpdf_content = stripslashes($rtwgftpdf_footer_html);
				$rtwgftpdf_setting = array(
					'wpautop' => true,
					'media_buttons' => true,
					'textarea_name' => 'rtwgftpdf_footer_setting_opt[footer_html]',
					'textarea_rows' => 7
				);
				wp_editor($rtwgftpdf_content, 'rtwgftpdf_footer_editor', $rtwgftpdf_setting );
				?>
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Footer Top Margin', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2"><input type="number" min="0" name="rtwgftpdf_footer_setting_opt[footer_top_margin]" value="<?php echo esc_attr($rtwgftpdf_footer_top_margin); ?>" />
				<div class="descr"><?php esc_html_e('Enter your required top margin (By default 15)', 'rtwgftpdf-gravity-form-to-pdf');?>
				</div>
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Footer Section Font', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<select name="rtwgftpdf_footer_setting_opt[footer_font_family]">
					<?php 
					foreach ( $rtwgftpdf_fonts as $key => $value ) 
					{ 
						?>
						<option value="<?php echo esc_attr($value);?>" <?php selected( $rtwgftpdf_footer_font_family, $value); ?>>
							<?php echo esc_html($key);?>
						</option>
						<?php
					}
					?>
				</select>
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Footer Section Font Size', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<input type="number" min="0" name="rtwgftpdf_footer_setting_opt[footer_font_size]"
				value="<?php echo esc_attr($rtwgftpdf_footer_font_size); ?>" />
				<div class="descr"><?php esc_html_e('Enter your required font size for PDF Footer(By default 15)', 'rtwgftpdf-gravity-form-to-pdf');?>
				</div>
			</td>
		</tr>
	</tbody>	
</table>