<?php
settings_fields('rtwgftpdf_google_spreadsheet');
$rtwgftpdf_google_spreadsheet = get_option('rtwgftpdf_google_sheet_option');
$rtwgftpdf_google_spreadsheet_opt = get_option('rtwgftpdf_google_spreadsheet_opt');

$rtwgftpdf_googlesheet_enable = 0;
$rtwgftpdf_google_client_id = '';
$rtwgftpdf_google_client_secret = '';
$rtwgftpdf_google_sheet_id = '';
$rtwgftpdf_google_tabname = '';
$rtwgftpdf_redirect_url = admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_google';

if(is_array($rtwgftpdf_google_spreadsheet) && !empty($rtwgftpdf_google_spreadsheet))
{
	$rtwgftpdf_google_client_id = $rtwgftpdf_google_spreadsheet['rtwgftpdf_google_client_id'];
	$rtwgftpdf_google_client_secret = $rtwgftpdf_google_spreadsheet['rtwgftpdf_client_secret'];
	$rtwgftpdf_google_sheet_id = isset($rtwgftpdf_google_spreadsheet_opt['sheet_id']) ? $rtwgftpdf_google_spreadsheet_opt['sheet_id'] : '';
	$rtwgftpdf_google_tabname = isset($rtwgftpdf_google_spreadsheet_opt['sheet_tabname']) ? $rtwgftpdf_google_spreadsheet_opt['sheet_tabname'] : '';
	$rtwgftpdf_googlesheet_enable = $rtwgftpdf_google_spreadsheet_opt['googlesheet_enable'];
}
?>
<?php if(isset($_GET['code']) && $_GET['code'] != '') echo "<h2 class='auth-text'>Authentication Done Successfully.</h2>"; ?>
<table class="rtw-table wp-list-table form-table">
	<tr>
		<th class="tr1"><?php esc_html_e('Enable Google Sheet', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input id="rtwgftpdf_googlesheet_enable" value="1" type="checkbox"
			name="rtwgftpdf_google_spreadsheet_opt[googlesheet_enable]" <?php checked( $rtwgftpdf_googlesheet_enable, 1 ); ?> />
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Google Client ID', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input id="rtwgftpdf_google_client_id" type="text"
			name="rtwgftpdf_google_spreadsheet_opt[google_client_id]" value="<?php echo esc_attr( $rtwgftpdf_google_client_id ); ?>" />
			<div class="descr"><a target="_blank" href="https://console.developers.google.com"><?php esc_html_e('Get Your Client ID.', 'rtwgftpdf-gravity-form-to-pdf');?></a></div>
		</td>
	</tr>
    <tr>
		<th class="tr1"><?php esc_html_e('Google Client Secret', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input id="rtwgftpdf_google_client_secret" type="text"
			name="rtwgftpdf_google_spreadsheet_opt[google_client_secret]" value="<?php echo esc_attr( $rtwgftpdf_google_client_secret ); ?>" />
			<div class="descr"><a target="_blank" href="https://console.developers.google.com"><?php esc_html_e('Get Your Client Secret.', 'rtwgftpdf-gravity-form-to-pdf');?></a></div>
		</td>
	</tr>
    <tr>
		<th class="tr1"><?php esc_html_e('Redirect URL', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input readonly id="rtwgftpdf_redirect_url" type="text"
			name="rtwgftpdf_google_spreadsheet_opt[redirect_url]" value="<?php echo esc_attr( admin_url().'admin.php?page=rtwgftpdf&rtwgftpdf_tab=rtwgftpdf_google' ); ?>"  />
			<div class="descr"><?php esc_html_e('This is the path in your application that users are redirected to after they have authenticated with Google. Add this URI in your Google project credentials under "Authorized redirect URIs".', 'rtwgftpdf-gravity-form-to-pdf');?></div>
		</td>
	</tr>
	<?php 
	$auth_code = get_option('rtwgftpdf_authentication_code', '');
	if(!empty($auth_code))
	{ ?>
		<tr>
			<th class="tr1"><?php esc_html_e('Google Sheet ID', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<input id="rtwgftpdf_sheet_id" type="text"
				name="rtwgftpdf_google_spreadsheet_opt[sheet_id]" value="<?php echo esc_attr( $rtwgftpdf_google_sheet_id ); ?>"  />
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Google Tab Name', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<input id="rtwgftpdf_sheet_tabname" type="text"
				name="rtwgftpdf_google_spreadsheet_opt[sheet_tabname]" value="<?php echo esc_attr( $rtwgftpdf_google_tabname ); ?>"  />
			</td>
		</tr>
	<?php }
	?>
</table>