<?php
settings_fields('rtwgftpdf_header_setting');
$rtwgftpdf_header_setting = get_option('rtwgftpdf_header_setting_opt');

$rtwgftpdf_header_html 			= '';
$rtwgftpdf_header_top_margin 	= '7';
$rtwgftpdf_header_font_family 	= '';
$rtwgftpdf_header_font_size 	= '15';
$rtwgftpdf_header_show			= 'Yes';

if(is_array($rtwgftpdf_header_setting) && !empty($rtwgftpdf_header_setting))
{
	$rtwgftpdf_header_html 			= $rtwgftpdf_header_setting['header_html'];
	$rtwgftpdf_header_top_margin 	= $rtwgftpdf_header_setting['header_top_margin'];
	$rtwgftpdf_header_font_family 	= $rtwgftpdf_header_setting['header_font_family'];
	$rtwgftpdf_header_font_size 	= $rtwgftpdf_header_setting['header_font_size'];
	$rtwgftpdf_header_show			= $rtwgftpdf_header_setting['header_show'];
}
?>

<table class="rtw-table wp-list-table form-table">
	<tbody>
		<tr>
			<th class="tr1"><?php esc_html_e('Show Header', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<p>
					<input name="rtwgftpdf_header_setting_opt[header_show]" value="Yes" <?php checked( $rtwgftpdf_header_show, 'Yes'); ?> type="radio"/>
					<?php esc_html_e('Yes', 'rtwgftpdf-gravity-form-to-pdf');?>
				</p>
				<p>
					<input name="rtwgftpdf_header_setting_opt[header_show]" value="No" <?php checked( $rtwgftpdf_header_show, 'No'); ?> type="radio"/>
					<?php esc_html_e('No', 'rtwgftpdf-gravity-form-to-pdf');?>
				</p>
				<div class="descr"><?php esc_html_e('Show header on PDF.', 'rtwgftpdf-gravity-form-to-pdf');?>
				</div>
			</td>
		</tr>
		<tr>
			<th><?php esc_html_e('Header Html', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td>
				<?php
				$rtwgftpdf_content = stripslashes($rtwgftpdf_header_html);
				$rtwgftpdf_setting = array(
					'wpautop' => true,
					'media_buttons' => true,
					'textarea_name' => 'rtwgftpdf_header_setting_opt[header_html]',
					'textarea_rows' => 7
				);
				wp_editor($rtwgftpdf_content, 'rtwgftpdf_header_editor', $rtwgftpdf_setting );
				?>
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Header Top Margin', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2"><input type="number" min="0" name="rtwgftpdf_header_setting_opt[header_top_margin]" value="<?php echo esc_attr($rtwgftpdf_header_top_margin); ?>" />
				<div class="descr"><?php esc_html_e('Enter your required top margin (By default 7)', 'rtwgftpdf-gravity-form-to-pdf');?>
				</div>
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Header Section Font', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<select name="rtwgftpdf_header_setting_opt[header_font_family]">
					<?php 
					foreach ( $rtwgftpdf_fonts as $key => $value ) 
					{ 
						?>
						<option value="<?php echo esc_attr($value);?>" <?php selected( $rtwgftpdf_header_font_family, $value); ?>>
							<?php echo esc_html($key);?>
						</option>
						<?php
					}
					?>
				</select>
			</td>
		</tr>
		<tr>
			<th class="tr1"><?php esc_html_e('Header Section Font Size', 'rtwgftpdf-gravity-form-to-pdf');?></th>
			<td class="tr2">
				<input type="number" min="0" name="rtwgftpdf_header_setting_opt[header_font_size]"
				value="<?php echo esc_attr($rtwgftpdf_header_font_size); ?>" />
				<div class="descr"><?php esc_html_e('Enter your required font size for PDF Header(By default 15)', 'rtwgftpdf-gravity-form-to-pdf');?>
				</div>
			</td>
		</tr>
	</tbody>	
</table>