<?php
settings_fields('rtwgftpdf_watermark_setting');
$rtwgftpdf_watermark_setting = get_option('rtwgftpdf_watermark_setting_opt');

$rtwgftpdf_watermark_enable_text = '';
$rtwgftpdf_watermark_font = '';
$rtwgftpdf_watermark_rotation = '45';
$rtwgftpdf_watermark_text = '';
$rtwgftpdf_watermark_text_trans = '0.3';
$rtwgftpdf_watermark_enable_image = '';
$rtwgftpdf_watermark_image_trans = '0.3';
$rtwgftpdf_watermark_img_url = '';
$rtwgftpdf_watermark_img_dim = '';
$rtwgftpdf_watermark_img_dim_width = '1';
$rtwgftpdf_watermark_img_dim_height = '1';
$rtwgftpdf_watermark_img_dim_int = '';
$rtwgftpdf_watermark_img_pos = '';
$rtwgftpdf_watermark_img_pos_x = '1';
$rtwgftpdf_watermark_img_pos_y = '1';
$rtwgftpdf_watermark_font_size = '1';
$rtwgftpdf_watermark_pos_x = '';
$rtwgftpdf_watermark_pos_y = '';
$rtwgftpdf_watermark_pos = '';

if(is_array($rtwgftpdf_watermark_setting) && !empty($rtwgftpdf_watermark_setting))
{
	$rtwgftpdf_watermark_enable_text = $rtwgftpdf_watermark_setting['enable_text_watermark'];
	$rtwgftpdf_watermark_font = $rtwgftpdf_watermark_setting['watermark_font'];
	$rtwgftpdf_watermark_rotation = $rtwgftpdf_watermark_setting['watermark_rotation'];
	$rtwgftpdf_watermark_text = $rtwgftpdf_watermark_setting['watermark_text'];
	$rtwgftpdf_watermark_font_size = $rtwgftpdf_watermark_setting['watermark_font_size'];
	$rtwgftpdf_watermark_pos = $rtwgftpdf_watermark_setting['custom_pos'];
	$rtwgftpdf_watermark_pos_x = $rtwgftpdf_watermark_setting['watermark_pos_x'];
	$rtwgftpdf_watermark_pos_y = $rtwgftpdf_watermark_setting['watermark_pos_y'];

	$rtwgftpdf_watermark_text_trans = $rtwgftpdf_watermark_setting['watermark_text_trans'];
	$rtwgftpdf_watermark_enable_image = $rtwgftpdf_watermark_setting['enable_image_watermark'];
	$rtwgftpdf_watermark_image_trans = $rtwgftpdf_watermark_setting['watermark_image_trans'];
	$rtwgftpdf_watermark_img_url = $rtwgftpdf_watermark_setting['watermark_img_url'];
	$rtwgftpdf_watermark_img_dim = $rtwgftpdf_watermark_setting['watermark_img_dim'];
	$rtwgftpdf_watermark_img_dim_width = $rtwgftpdf_watermark_setting['watermark_img_dim_width'];
	$rtwgftpdf_watermark_img_dim_height = $rtwgftpdf_watermark_setting['watermark_img_dim_height'];
	$rtwgftpdf_watermark_img_dim_int = $rtwgftpdf_watermark_setting['watermark_img_dim_int'];
	$rtwgftpdf_watermark_img_pos = $rtwgftpdf_watermark_setting['watermark_img_pos'];
	$rtwgftpdf_watermark_img_pos_x = $rtwgftpdf_watermark_setting['watermark_img_pos_x'];
	$rtwgftpdf_watermark_img_pos_y = $rtwgftpdf_watermark_setting['watermark_img_pos_y'];
}
?>

<table class="rtw-table wp-list-table form-table">
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Text', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input id="rtwgftpdf_watermark_enable_text" type="checkbox"
			name="rtwgftpdf_watermark_setting_opt[enable_text_watermark]" value='1'
			<?php checked( $rtwgftpdf_watermark_enable_text, '1'); ?> />
			<div class="descr"><?php esc_html_e('Check it if you want to show Watermark text.', 'rtwgftpdf-gravity-form-to-pdf');?></div>
		</td>
	</tr>
</table>
<table id="rtwgftpdf_text_add_watermark"
class="wp-list-table form-table rtw-table <?php if(isset($rtwgftpdf_watermark_enable_text)  && $rtwgftpdf_watermark_enable_text == 1): echo esc_attr(''); else: echo esc_attr('display_none'); endif;?>">
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Font', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<select name="rtwgftpdf_watermark_setting_opt[watermark_font]">
				<?php
				foreach ( $rtwgftpdf_fonts as $key => $value ) 
				{ 
					?>
					<option value="<?php echo esc_attr($value);?>" <?php selected( $rtwgftpdf_footer_font_family, $value); ?>>
						<?php echo esc_html($key);?>
					</option>
					<?php
				}
				?>
			</select>
			<div class="descr"><?php esc_html_e('Choose the font family of Watermark text.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Font Size', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_font_size]"
			value="<?php echo esc_attr( $rtwgftpdf_watermark_font_size ); ?>" />
			<div class="descr"><?php esc_html_e('Enter your required font size for Watermark text.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Rotation', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_rotation]"
			value="<?php echo esc_attr( $rtwgftpdf_watermark_rotation ); ?>" />
			<div class="descr"><?php esc_html_e('Enter your required rotation(in degree) for Watermark text.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Text:', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<textarea name="rtwgftpdf_watermark_setting_opt[watermark_text]" rows="4" cols="35">
				<?php echo esc_html( $rtwgftpdf_watermark_text ); ?>

			</textarea>
			<div class="descr"><?php esc_html_e('Enter Watermark Text which you want to show on PDF.', 'rtwgftpdf-gravity-form-to-pdf');?></div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Text Transparency', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input type="number" min="0" max="1" step="0.1" name="rtwgftpdf_watermark_setting_opt[watermark_text_trans]"
			value="<?php echo esc_attr( $rtwgftpdf_watermark_text_trans ); ?>" />
			<div class="descr"><?php esc_html_e('Enter the text Transparency of Watermark.', 'rtwgftpdf-gravity-form-to-pdf');?></div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Text Position', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input id="rtwgftpdf_custom_pos" type="checkbox"
			name="rtwgftpdf_watermark_setting_opt[custom_pos]" value='1'
			<?php checked( $rtwgftpdf_watermark_pos, '1'); ?> />
			
			<div class="descr"><?php esc_html_e('Check this if you want to define position of your watermark text (Note: If not define watermark text will appear at the center of your PDF).', 'rtwgftpdf-gravity-form-to-pdf');?></div>
		</td>
	</tr>
</table>
<table id="rtwgftpdf_custom_position" class="wp-list-table form-table rtw-table <?php if(isset($rtwgftpdf_watermark_pos)  && $rtwgftpdf_watermark_pos == 1): echo esc_attr(''); else: echo esc_attr('display_none'); endif;?>">
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Text Position x-axis', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_pos_x]"
			value="<?php echo esc_attr( $rtwgftpdf_watermark_pos_x ); ?>" />
			<div class="descr"><?php esc_html_e('Enter your required position for Watermark text at x-axis.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Text Position y-axis', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_pos_y]"
			value="<?php echo esc_attr( $rtwgftpdf_watermark_pos_y ); ?>" />
			<div class="descr"><?php esc_html_e('Enter your required position for Watermark text at y-axis.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
</table>
<!-- Image watermark -->
<table class="wp-list-table form-table rtw-table">
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Image', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input id="rtwgftpdf_watermark_enable_image" type="checkbox"
			name="rtwgftpdf_watermark_setting_opt[enable_image_watermark]" value='1'
			<?php checked( $rtwgftpdf_watermark_enable_image, '1'); ?> />
			<div class="descr"><?php esc_html_e('Check it if you want to show Watermark image.', 'rtwgftpdf-gravity-form-to-pdf');?></div>
		</td>
	</tr>
</table>
<table id="rtwgftpdf_add_watermark_image" class="rtw-table wp-list-table form-table <?php if(isset($rtwgftpdf_watermark_enable_image)  && $rtwgftpdf_watermark_enable_image == 1): echo esc_attr(''); else: echo esc_attr('display_none'); endif;?>">
	<tr>
		<th class="tr1"><?php esc_html_e('Image Transparency', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td class="tr2">
			<input type="number" min="0" max="1" step="0.1" name="rtwgftpdf_watermark_setting_opt[watermark_image_trans]"
			value="<?php echo esc_attr( $rtwgftpdf_watermark_image_trans ); ?>" />
			<div class="descr"><?php esc_html_e('Enter the image Transparency of Watermark.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<tr>
		<th class="tr1"><?php esc_html_e('Watermark Image:', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<div id="rtwgftpdf_watermark_img_backgrnd">
				<img id="rtwgftpdf_watermark_img" src="<?php echo esc_url( $rtwgftpdf_watermark_img_url );  ?>" />
			</div>
			<div class="rtwgftpdf_img_url">
				<input type="hidden" id="rtwgftpdf_watermark_img_url"
				name="rtwgftpdf_watermark_setting_opt[watermark_img_url]"
				value="<?php echo esc_attr($rtwgftpdf_watermark_img_url);?>" />

				<button type="button" class="rtwgftpdf_watermark_image_upload button"><?php esc_html_e( 'Upload/Add image', 'rtwgftpdf-gravity-form-to-pdf');?></button>
				<br>

				<button type="button" class="rtwgftpdf_watermark_remove_img button"><?php esc_html_e( 'Remove image', 'rtwgftpdf-gravity-form-to-pdf'); ?></button>
			</div>
			<div class="descr"><?php esc_html_e('Choose your Watermark Image which you want to show on PDF.', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<?php $rtwgftpdf_watermark_size=array('D'=>'Original size of image','P'=>'Resize to fit the full page size, keeping aspect ratio','F'=>'Resize to fit the print-area (frame) respecting current page margins, keeping aspect ratio','INT'=>'Resize to full page size minus a margin set by this integer, keeping aspect ratio','array'=>'Specify Width and Height');?>
	<tr>
		<th class="tr1"><?php esc_html_e('Image Dimension', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<select class="rtwgftpdf_watermark_img_dim" name="rtwgftpdf_watermark_setting_opt[watermark_img_dim]" id="rtwgftpdf-doc-add-watermark-image-dimen-select"><?php
				foreach ( $rtwgftpdf_watermark_size as $key => $value ) 
				{
					?>
					<option value="<?php echo esc_attr($key);?>" 
						<?php selected( $rtwgftpdf_watermark_img_dim, $key); ?>>
						<?php echo esc_html($value);?>
					</option>
					<?php
				}
				?>  
			</select>
			<div class="descr"><?php esc_html_e('Choose the dimension of Watermark Image', 'rtwgftpdf-gravity-form-to-pdf');?>
			</div>
		</td>
	</tr>
	<tr>
		<td colspan="2" id="rtwgftpdf_add_watermark_image_dimension" class="<?php if($rtwgftpdf_watermark_img_dim =='array' && $rtwgftpdf_watermark_enable_image==1): echo esc_attr('');else: echo esc_attr('display_none');endif;?>">
			<table class="rtw-table ">
				<tr>
					<th class="tr1"><?php esc_html_e('Image Width', 'rtwgftpdf-gravity-form-to-pdf');?></th>
					<td class="tr2">
						<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_img_dim_width]"
						value="<?php echo esc_attr( $rtwgftpdf_watermark_img_dim_width ); ?>" />
						<div class="descr"><?php esc_html_e('Set the Width of Watermark Image', 'rtwgftpdf-gravity-form-to-pdf');?></div>
					</td>
				</tr>
				<tr>
					<th class="tr1"><?php esc_html_e('Image Height', 'rtwgftpdf-gravity-form-to-pdf');?></th>
					<td class="tr2">
						<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_img_dim_height]"
						value="<?php echo esc_attr( $rtwgftpdf_watermark_img_dim_height ); ?>" />
						<div class="descr"><?php esc_html_e('Set the Height of Watermark Image', 'rtwgftpdf-gravity-form-to-pdf');?></div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td colspan="2"  id="rtwgftpdf_add_watermark_image_dimen_integer" class=" <?php if($rtwgftpdf_watermark_img_dim=='INT' && $rtwgftpdf_watermark_enable_image==1): echo esc_attr('');else: echo esc_attr('display_none');endif;?>">
			<table class=" rtw-table">
			<tr>
				<th class="tr1"><?php esc_html_e('Integer Value', 'rtwgftpdf-gravity-form-to-pdf');?></th>
				<td class="tr2"><input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_img_dim_int]"
					value="<?php echo esc_attr( $rtwgftpdf_watermark_img_dim_int ); ?>" />
				</td>
			</tr>
		</table>
	</td>
	</tr>
	<?php $rtwgftpdf_watermark_position=array('P'=>'Centred on the whole page area','F'=>'Centred on the page print-area (frame) respecting page margins','arrays'=>'Specify a position');
	?>
	<tr>
		<th class="tr1"><?php esc_html_e('Image Position', 'rtwgftpdf-gravity-form-to-pdf');?></th>
		<td>
			<select class="rtwgftpdf_watermark_img_pos" name="rtwgftpdf_watermark_setting_opt[watermark_img_pos]" id="rtwgftpdf-doc-add-watermark-image-pos-select">
				<?php
				foreach ( $rtwgftpdf_watermark_position as $key => $value ) 
				{
					?>
					<option value="<?php echo esc_attr($key);?>" 
						<?php selected( $rtwgftpdf_watermark_img_pos, $key); ?>>
						<?php echo esc_html($value);?>
					</option>
					<?php
				}?>
			</select>
		</td>
	</tr>
	<tr>
		<td colspan="2"  id="rtwgftpdf_add_watermark_image_pos" class="<?php if($rtwgftpdf_watermark_img_pos == 'arrays' && $rtwgftpdf_watermark_enable_image == 1): echo esc_attr(''); else: echo esc_attr('display_none'); endif;?>">
			<table class="rtw-table ">
				<tr>
					<th class="tr1"><?php esc_html_e('Horizontal Position', 'rtwgftpdf-gravity-form-to-pdf');?></th>
					<td class="tr2"><input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_img_pos_x]"
						value="<?php echo esc_attr( $rtwgftpdf_watermark_img_pos_x ); ?>" />
					</td>
				</tr>
				<tr>
					<th class="tr1"><?php esc_html_e('Vertical Position', 'rtwgftpdf-gravity-form-to-pdf');?></th>
					<td class="tr2">
						<input type="number" min="1" name="rtwgftpdf_watermark_setting_opt[watermark_img_pos_y]"
						value="<?php echo esc_attr( $rtwgftpdf_watermark_img_pos_y ); ?>" />
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>