<?php
/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       www.redefiningtheweb.com
 * @since      1.0.0
 *
 * @package    Rtwgftpdf_Gravity_Form_To_Pdf
 * @subpackage Rtwgftpdf_Gravity_Form_To_Pdf/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Rtwgftpdf_Gravity_Form_To_Pdf
 * @subpackage Rtwgftpdf_Gravity_Form_To_Pdf/includes
 * @author     RedefiningTheWeb <developer@redefiningtheweb.com>
 */

class Rtwgftpdf_Gravity_Form_To_Pdf_i18n {
	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */

	public function rtwgftpdf_load_plugin_textdomain() 
	{
		load_plugin_textdomain(
			'rtwgftpdf-gravity-form-to-pdf',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);
	}
}