<?php
require RTWGFTPDF_DIR . '/assets/googlesheets/vendor/autoload.php';
use Google\Spreadsheet\DefaultServiceRequest;
use Google\Spreadsheet\ServiceRequestFactory;

class rtwgftpdf_googlesheet{

    public function __construct() {
        $this->spreadsheet = '';
        $this->worksheet = '';
    }

    public function rtwgftpdf_spreadsheet_set_title($rtwgftpdf_title) 
    {
        $this->spreadsheet = $rtwgftpdf_title;
    }

    public function rtwgftpdf_set_worksheet_title($rtwgftpdf_title) 
    {
        $this->worksheet = $rtwgftpdf_title;
    }

    public function rtwgftpdf_add_row($sheet_data, $ggl_sheet_data) 
    {
        $rtwgftpdf_sheet_data = array();
        $client = $this->rtwgftpdf_get_client();
        
        $service = new Google_Service_Sheets($client);
        foreach ($sheet_data as $key => $value) {
            array_push($rtwgftpdf_sheet_data,$value);
        }
        $data = array(
            $rtwgftpdf_sheet_data
        );
        $body = new Google_Service_Sheets_ValueRange([
            'values' => $data
        ]);
       
        $params = [
            'valueInputOption' => 'USER_ENTERED'
        ];
        $result = $service->spreadsheets_values->append($ggl_sheet_data['sheet_id'], $ggl_sheet_data['sheet_tabname'], $body, $params);
        
        // $data = printf("%d cells appended.", $result->getUpdates()->getUpdatedCells());
    }

    private function rtwgftpdf_get_client()
    {
        require_once RTWGFTPDF_DIR . 'assets/googlesheets/vendor/autoload.php';
        $client = new Google_Client();

        $rtwgftpdf_google_sclientheet = get_option('rtwgftpdf_google_sheet_option', array());
        $client->setScopes( Google_Service_Sheets::SPREADSHEETS );
        $client->setClientId( isset( $rtwgftpdf_google_sclientheet['rtwgftpdf_google_client_id'] ) ? $rtwgftpdf_google_sclientheet['rtwgftpdf_google_client_id'] : '' );
        $client->setClientSecret( isset( $rtwgftpdf_google_sclientheet['rtwgftpdf_client_secret'] ) ?$rtwgftpdf_google_sclientheet['rtwgftpdf_client_secret'] : '' );
        
        $client->setAccessType('offline');
        $client->setApprovalPrompt('force');
        $Authcode = get_option('rtwgftpdf_authentication_code');

        $response = $client->authenticate($Authcode);

        $access_token = json_decode(get_option( 'rtwgftpdf_access_token'), true);
        $RefreshToken = json_decode(get_option( 'rtwgftpdf_refresh_token'));
       
        $client->setAccessToken($access_token);
        
        if($client->isAccessTokenExpired())
        {   
            $response = $client->refreshToken($RefreshToken);
            $access_token = $client->getAccessToken();
            $RefreshToken = $client->getRefreshToken();
            update_option('rtwgftpdf_access_token',json_encode($access_token));
            if($RefreshToken != '')
            {
                update_option('rtwgftpdf_refresh_token',json_encode($RefreshToken));
            }
            $client->setAccessToken($RefreshToken);
        }
        
        return $client;
    }
}
