<?php
update_option( 'rtwgftpdf_verification_done', array('status'=>true,'purchase_code'=>'UMvD9eSl09EEqmD3a7RWcsVOvk0RFL4r') );
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              www.redefiningtheweb.com
 * @since             1.0.0
 * @package           Rtwgftpdf_Gravity_Form_To_Pdf
 *
 * @wordpress-plugin
 * Plugin Name:       WordPress Gravity Forms PDF, Excel & CSV
 * Plugin URI:        www.redefiningtheweb.com
 * Description:       This plugin helps you in creating PDF, Excel & CSV with Gravity Forms feed.
 * Version:           1.8.1
 * Author:            RedefiningTheWeb
 * Author URI:        www.redefiningtheweb.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       rtwgftpdf-gravity-form-to-pdf
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
if (class_exists( 'GFCommon' ))
{
	/**
	 * Currently plugin version.
	 * Start at version 1.0.0 and use SemVer - https://semver.org
	 * Rename this for your plugin and update it as you release new versions.
	 */
	define( 'RTWGFTPDF_GRAVITY_FORM_TO_PDF_VERSION', '1.8.1' );

	/**
	 * The core plugin class that is used to define internationalization,
	 * admin-specific hooks, and public-facing site hooks.
	 */
	require plugin_dir_path( __FILE__ ) . 'includes/rtwgftpdf-class-gravity-form-to-pdf.php';

	//Plugin Constant
	if ( !defined( 'RTWGFTPDF_DIR' ) ) {
		define('RTWGFTPDF_DIR', plugin_dir_path( __FILE__ ) );
	}
	if ( !defined( 'RTWGFTPDF_URL' ) ) {
		define('RTWGFTPDF_URL', plugin_dir_url( __FILE__ ) );
	}
	if ( !defined( 'RTWGFTPDF_HOME' ) ) {
		define('RTWGFTPDF_HOME', home_url() );
	}
	if( !defined('RTWGFTPDF_CONTENT_DIR') )
	{
		define ('RTWGFTPDF_CONTENT_DIR', WP_CONTENT_DIR .'/uploads/rtwgftpdf');
	}
	if( !defined('RTWGFTPDF_CONTENT_URL') )
	{
		define('RTWGFTPDF_CONTENT_URL', WP_CONTENT_URL .'/uploads/rtwgftpdf');	
	}

	/**
	 * Begins execution of the plugin.
	 *
	 * Since everything within the plugin is registered via hooks,
	 * then kicking off the plugin from this point in the file does
	 * not affect the page life cycle.
	 *
	 * @since    1.0.0
	 */
	function rtwgftpdf_run_gravity_form_to_pdf() {
		
		$plugin = new Rtwgftpdf_Gravity_Form_To_Pdf();
		$plugin->rtwgftpdf_run();
	}
	rtwgftpdf_run_gravity_form_to_pdf();

	$rtwgftpdf_verification_done = get_option( 'rtwgftpdf_verification_done', array() );
	$rtwgftpdf_verified = false;
	if( !empty( $rtwgftpdf_verification_done ) && $rtwgftpdf_verification_done['status'] == true && !empty($rtwgftpdf_verification_done['purchase_code']) )
	{
		$rtwgftpdf_verified = true;
	}else
	{
		add_action('admin_notices', 'rtwgftpdf_error_notice');
		function rtwgftpdf_error_notice()
		{
		?>
			<div class="rtwgftpdf_notice_error">
				<div class="notice notice-error is-dismissible">
					<p><strong><?php esc_html_e('Please provide purchase code to activate WordPress Gravity Forms PDF, Excel & CSV plugin, ','rtwgftpdf-gravity-form-to-pdf'); ?>
					<a href="<?php echo esc_url( get_admin_url(). 'admin.php?page=rtwgftpdf') ?>"><?php esc_html_e('Click here to activate.','rtwgftpdf-gravity-form-to-pdf'); ?></a></strong></p>
					<button type="button" class="notice-dismiss">
						<span class="screen-reader-text"><?php esc_html_e('Dismiss this notices.','rtwgftpdf-gravity-form-to-pdf'); ?></span>
					</button>
				</div>
			</div>
		<?php 
		}
	}
}
else
{
	function rtwgftpdf_plugin_error_notice()
 	{ ?>
 		 <div class="error notice is-dismissible">
 			<p><?php esc_html_e( 'Gravity Form is not activated, Please activate Gravity Form first to activate WordPress Gravity Forms PDF.', 'rtwgftpdf-gravity-form-to-pdf' ); ?></p>
   		</div>
   	<?php 
 	} 
 	add_action( 'admin_init', 'rtwgftpdf_plugin_deactivate' );  
 
  	function rtwgftpdf_plugin_deactivate()
	{
	   deactivate_plugins( plugin_basename( __FILE__ ) );
	   add_action( 'admin_notices', 'rtwgftpdf_plugin_error_notice' );
	}
}
/* Anti-Leecher Indentifier */
/* Credited By BABIATO-FORUM */